/**
 * 'geo_states' Table
 * @author Sagun Khosla <sagunxp@gmail.com>
 */

DROP TABLE IF EXISTS `geo_states`;
CREATE TABLE `geo_states` (
	`id` int(11) unsigned NOT NULL AUTO_INCREMENT,
	`name` varchar(255) NOT NULL,
	`country_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
	`hasc` varchar(20) NOT NULL,
	`created_at` datetime DEFAULT NULL,
	`updated_at` datetime DEFAULT NULL,
	PRIMARY KEY (`id`),
	KEY `geo_states_country_id_foreign` (`country_id`),
	CONSTRAINT `geo_states_country_id_foreign` FOREIGN KEY (`country_id`) REFERENCES `geo_countries` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;


INSERT INTO `geo_states` (`id`, `name`, `country_id`, `hasc`) VALUES 
(1, "Aruba", 1, "AW.AA"),
(2, "Balkh", 2, "AF.BK"),
(3, "Bamyan", 2, "AF.BM"),
(4, "Badghis", 2, "AF.BG"),
(5, "Badakhshan", 2, "AF.BD"),
(6, "Baghlan", 2, "AF.BL"),
(7, "Farah", 2, "AF.FH"),
(8, "Faryab", 2, "AF.FB"),
(9, "Ghazni", 2, "AF.GZ"),
(10, "Ghor", 2, "AF.GR"),
(11, "Hilmand", 2, "AF.HM"),
(12, "Hirat", 2, "AF.HR"),
(13, "Jawzjan", 2, "AF.JW"),
(14, "Kabul", 2, "AF.KB"),
(15, "Kandahar", 2, "AF.KD"),
(16, "Kapisa", 2, "AF.KP"),
(17, "Kunduz", 2, "AF.KZ"),
(18, "Khost", 2, "AF.KT"),
(19, "Kunar", 2, "AF.KR"),
(20, "Laghman", 2, "AF.LA"),
(21, "Logar", 2, "AF.LW"),
(22, "Nangarhar", 2, "AF.NG"),
(23, "Nimroz", 2, "AF.NM"),
(24, "Nuristan", 2, "AF.NR"),
(25, "Parwan", 2, "AF.PV"),
(26, "Paktika", 2, "AF.PK"),
(27, "Paktya", 2, "AF.PT"),
(28, "Samangan", 2, "AF.SM"),
(29, "Sari Pul", 2, "AF.SP"),
(30, "Takhar", 2, "AF.TK"),
(31, "Daykundi", 2, "AF.OZ"),
(32, "Wardak", 2, "AF.VR"),
(33, "Zabul", 2, "AF.ZB"),
(34, "Bengo", 3, "AO.BO"),
(35, "Benguela", 3, "AO.BG"),
(36, "BiÃ©", 3, "AO.BI"),
(37, "Cabinda", 3, "AO.CB"),
(38, "Cuando Cubango", 3, "AO.CC"),
(39, "Cunene", 3, "AO.CU"),
(40, "Cuanza Norte", 3, "AO.CN"),
(41, "Cuanza Sul", 3, "AO.CS"),
(42, "Huambo", 3, "AO.HM"),
(43, "HuÃ­la", 3, "AO.HL"),
(44, "Lunda Norte", 3, "AO.LN"),
(45, "Lunda Sul", 3, "AO.LS"),
(46, "Luanda", 3, "AO.LU"),
(47, "Malanje", 3, "AO.ML"),
(48, "Moxico", 3, "AO.MX"),
(49, "Namibe", 3, "AO.NA"),
(50, "Uige", 3, "AO.UI"),
(51, "Zaire", 3, "AO.ZA"),
(52, "AI.X00~", 4, "AI.X00~"),
(53, "Blowing Point", 4, "AI.BP"),
(54, "East End", 4, "AI.EE"),
(55, "George Hill", 4, "AI.GH"),
(56, "Island Harbour", 4, "AI.IH"),
(57, "North Hill", 4, "AI.NH"),
(58, "North Side", 4, "AI.NS"),
(59, "Sandy Ground", 4, "AI.SG"),
(60, "Sandy Hill", 4, "AI.SH"),
(61, "South Hill", 4, "AI.SO"),
(62, "Stoney Ground", 4, "AI.ST"),
(63, "The Farrington", 4, "AI.TF"),
(64, "The Quarter", 4, "AI.TQ"),
(65, "The Valley", 4, "AI.TV"),
(66, "West End", 4, "AI.WE"),
(67, "Jomala", 5, "AX.JM"),
(68, "EckerÃ¶", 5, "AX.EC"),
(69, "FÃ¶glÃ¶", 5, "AX.FG"),
(70, "Mariehamn", 5, "AX.MH"),
(71, "Lemland", 5, "AX.LE"),
(72, "Lumparland", 5, "AX.LU"),
(73, "VÃ¥rdÃ¶", 5, "AX.VR"),
(74, "Sottunga", 5, "AX.ST"),
(75, "Kumlinge", 5, "AX.KM"),
(76, "BrÃ¤ndÃ¶", 5, "AX.BR"),
(77, "KÃ¶kar", 5, "AX.KK"),
(78, "DurrÃ«s", 6, "AL.DU"),
(79, "Fier", 6, "AL.FI"),
(80, "KorÃ§Ã«", 6, "AL.KE"),
(81, "KukÃ«s", 6, "AL.KK"),
(82, "ShkodÃ«r", 6, "AL.SD"),
(83, "Berat", 6, "AL.BE"),
(84, "DibÃ«r", 6, "AL.DB"),
(85, "DurrÃ«s", 6, "AL.DU"),
(86, "Elbasan", 6, "AL.EB"),
(87, "GjirokastÃ«r", 6, "AL.GK"),
(88, "LezhÃ«", 6, "AL.LZ"),
(89, "VlorÃ«", 6, "AL.VR"),
(90, "Canillo", 7, "AD.CA"),
(91, "Encamp", 7, "AD.EN"),
(92, "Massana", 7, "AD.MA"),
(93, "Ordino", 7, "AD.OR"),
(94, "Sant JuliÃÂ  de LÃÂ²ria", 7, "AD.JL"),
(95, "Andorra la Vella", 7, "AD.AN"),
(96, "Escaldes-Engordany", 7, "AD.EE"),
(97, "Ajman", 8, "AE.AJ"),
(98, "Abu Dhabi", 8, "AE.AZ"),
(99, "Dubay", 8, "AE.DU"),
(100, "Fujayrah", 8, "AE.FU"),
(101, "Ras Al Khaymah", 8, "AE.RK"),
(102, "Sharjah", 8, "AE.SH"),
(103, "Umm Al Qaywayn", 8, "AE.UQ"),
(104, "Neutral Zone", 8, "AE.X01~"),
(105, "Neutral Zone", 8, "AE.X02~"),
(106, "Salta", 9, "AR.SA"),
(107, "Buenos Aires", 9, "AR.BA"),
(108, "Ciudad de Buenos Aires", 9, "AR.DF"),
(109, "San Luis", 9, "AR.SL"),
(110, "Entre RÃ­os", 9, "AR.ER"),
(111, "La Rioja", 9, "AR.LR"),
(112, "Santiago del Estero", 9, "AR.SE"),
(113, "Chaco", 9, "AR.CC"),
(114, "San Juan", 9, "AR.SJ"),
(115, "Catamarca", 9, "AR.CT"),
(116, "La Pampa", 9, "AR.LP"),
(117, "Mendoza", 9, "AR.MZ"),
(118, "Misiones", 9, "AR.MN"),
(119, "Formosa", 9, "AR.FM"),
(120, "NeuquÃ©n", 9, "AR.NQ"),
(121, "RÃ­o Negro", 9, "AR.RN"),
(122, "Santa Fe", 9, "AR.SF"),
(123, "TucumÃ¡n", 9, "AR.TM"),
(124, "Chubut", 9, "AR.CH"),
(125, "Tierra del Fuego", 9, "AR.TF"),
(126, "Corrientes", 9, "AR.CN"),
(127, "CÃ³rdoba", 9, "AR.CB"),
(128, "Jujuy", 9, "AR.JY"),
(129, "Santa Cruz", 9, "AR.SC"),
(130, "Aragatsotn", 10, "AM.AG"),
(131, "Ararat", 10, "AM.AR"),
(132, "Armavir", 10, "AM.AV"),
(133, "Erevan", 10, "AM.ER"),
(134, "Gegharkunik", 10, "AM.GR"),
(135, "Kotayk", 10, "AM.KT"),
(136, "Lori", 10, "AM.LO"),
(137, "Shirak", 10, "AM.SH"),
(138, "Syunik", 10, "AM.SU"),
(139, "Tavush", 10, "AM.TV"),
(140, "Vayots Dzor", 10, "AM.VD"),
(141, "Eastern", 11, "AS.ET"),
(142, "Manua", 11, "AS.MA"),
(143, "Rose Atoll", 11, "AS.UU"),
(144, "Swains", 11, "AS.UU"),
(145, "Western", 11, "AS.WT"),
(146, "Antarctica", 12, "AQ.X01~"),
(147, "AQ.X02~", 12, "AQ.X02~"),
(148, "French Southern Territories", 13, "TF.KG"),
(149, "French Southern Territories", 13, "TF.CR"),
(150, "French Southern Territories", 13, "TF.IE"),
(151, "French Southern Territories", 13, "TF.AS"),
(152, "Saint George", 14, "AG.GE"),
(153, "Saint John", 14, "AG.JO"),
(154, "Saint Mary", 14, "AG.MA"),
(155, "Saint Paul", 14, "AG.PA"),
(156, "Saint Peter", 14, "AG.PE"),
(157, "Saint Philip", 14, "AG.PH"),
(158, "Barbuda", 14, "AG.BB"),
(159, "Redonda", 14, "AG.RD"),
(160, "Canberra", 15, "AU.AC"),
(161, "New South Wales", 15, "AU.NS"),
(162, "Northern Territory", 15, "AU.NT"),
(163, "Queensland", 15, "AU.QL"),
(164, "South Australia", 15, "AU.SA"),
(165, "Tasmania", 15, "AU.TS"),
(166, "Victoria", 15, "AU.VI"),
(167, "Western Australia", 15, "AU.WA"),
(168, "Jervis Bay", 15, "AU.JB"),
(169, "Macquarie Island", 15, "AU.X03~"),
(170, "Ashmore and Cartier Islands", 15, "AU.AS"),
(171, "Burgenland", 16, "AT.BU"),
(172, "KÃ¤rnten", 16, "AT.KA"),
(173, "NiederÃ¶sterreich", 16, "AT.NO"),
(174, "OberÃ¶sterreich", 16, "AT.OO"),
(175, "Salzburg", 16, "AT.SZ"),
(176, "Steiermark", 16, "AT.ST"),
(177, "Tirol", 16, "AT.TR"),
(178, "Vorarlberg", 16, "AT.VO"),
(179, "Wien", 16, "AT.WI"),
(180, "AbÅeron", 17, "AZ.AR"),
(181, "AÄstafa", 17, "AZ.AF"),
(182, "Agcabadi", 17, "AZ.AC"),
(183, "AÄdam", 17, "AZ.AM"),
(184, "Agdas", 17, "AZ.AS"),
(185, "Agsu", 17, "AZ.AU"),
(186, "Astara", 17, "AZ.AA"),
(187, "BakÄ±", 17, "AZ.BA"),
(188, "Babek", 17, "AZ.BK"),
(189, "BalakÉn", 17, "AZ.BL"),
(190, "BÉrdÉ", 17, "AZ.BR"),
(191, "Beylaqan", 17, "AZ.BQ"),
(192, "BilÉsuvar", 17, "AZ.BS"),
(193, "Cabrayil", 17, "AZ.CB"),
(194, "Calilabad", 17, "AZ.CL"),
(195, "Culfa", 17, "AZ.CF"),
(196, "Daskasan", 17, "AZ.DS"),
(197, "Fuzuli", 17, "AZ.FU"),
(198, "GÉncÉ", 17, "AZ.GA"),
(199, "Gadabay", 17, "AZ.GD"),
(200, "Goranboy", 17, "AZ.GR"),
(201, "GÃ¶yÃ§ay", 17, "AZ.GY"),
(202, "Xanlar", 17, "AZ.XR"),
(203, "Æli BayramlÄ±", 17, "AZ.HA"),
(204, "Imisli", 17, "AZ.IM"),
(205, "Ä°smayÄ±llÄ±", 17, "AZ.IS"),
(206, "KÉlbÉcÉr", 17, "AZ.KA"),
(207, "Sarur", 17, "AZ.KG"),
(208, "KÃ¼rdÉmir", 17, "AZ.KU"),
(209, "Astara", 17, "AZ.LA"),
(210, "Lankaran", 17, "AZ.SU"),
(211, "Lerik", 17, "AZ.LE"),
(212, "MasallÄ±", 17, "AZ.MA"),
(213, "MingÉÃ§evir", 17, "AZ.MI"),
(214, "Goranboy", 17, "AZ.NA"),
(215, "Neftcala", 17, "AZ.NE"),
(216, "Naxcivan", 17, "AZ.NX"),
(217, "OÄuz", 17, "AZ.OG"),
(218, "Ordubad", 17, "AZ.OR"),
(219, "QÉbÉlÉ", 17, "AZ.QA"),
(220, "Qax", 17, "AZ.QX"),
(221, "Qazax", 17, "AZ.QZ"),
(222, "Quba", 17, "AZ.QB"),
(223, "Qubadli", 17, "AZ.QD"),
(224, "Qobustan", 17, "AZ.QO"),
(225, "Qusar", 17, "AZ.QR"),
(226, "ÅÉki", 17, "AZ.SA"),
(227, "Sabirabad", 17, "AZ.SB"),
(228, "Sädäräk", 17, "AZ.SD"),
(229, "Sahbuz", 17, "AZ.SH"),
(230, "Salyan", 17, "AZ.SL"),
(231, "Sarur", 17, "AZ.SR"),
(232, "Saatli", 17, "AZ.ST"),
(233, "DÉvÉÃ§i", 17, "AZ.DV"),
(234, "SiyÉzÉn", 17, "AZ.SY"),
(235, "ÅÉmkir", 17, "AZ.SM"),
(236, "SumqayÄ±t", 17, "AZ.SQ"),
(237, "ÅamaxÄ±", 17, "AZ.SI"),
(238, "Samux", 17, "AZ.SX"),
(239, "Sabirabad", 17, "AZ.AB"),
(240, "ÅuÅa", 17, "AZ.SU"),
(241, "TÉrtÉr", 17, "AZ.TA"),
(242, "Tovuz", 17, "AZ.TO"),
(243, "Ucar", 17, "AZ.UC"),
(244, "ÅuÅa", 17, "AZ.SS"),
(245, "Xankandi", 17, "AZ.XC"),
(246, "XaÃ§maz", 17, "AZ.XZ"),
(247, "XocalÄ±", 17, "AZ.XC"),
(248, "XizÄ±", 17, "AZ.XI"),
(249, "XocavÉnd", 17, "AZ.XD"),
(250, "Yardimli", 17, "AZ.YR"),
(251, "Yevlax", 17, "AZ.YV"),
(252, "Zangilan", 17, "AZ.ZG"),
(253, "Zaqatala", 17, "AZ.ZQ"),
(254, "Zardab", 17, "AZ.ZR"),
(255, "Bubanza", 18, "BI.BB"),
(256, "Bujumbura Rural", 18, "BI.BL"),
(257, "Bujumbura Mairie", 18, "BI.BM"),
(258, "Bururi", 18, "BI.BI"),
(259, "Cankuzo", 18, "BI.CA"),
(260, "Cibitoke", 18, "BI.CI"),
(261, "Gitega", 18, "BI.GI"),
(262, "Kirundo", 18, "BI.KI"),
(263, "Karuzi", 18, "BI.KR"),
(264, "Kayanza", 18, "BI.KY"),
(265, "Makamba", 18, "BI.MA"),
(266, "Muramvya", 18, "BI.MV"),
(267, "Muramvya", 18, "BI.MW"),
(268, "Muyinga", 18, "BI.MY"),
(269, "Ngozi", 18, "BI.NG"),
(270, "Rutana", 18, "BI.RT"),
(271, "Ruyigi", 18, "BI.RY"),
(272, "Brussels", 19, "BE.BU"),
(273, "Antwerp", 19, "BE.AN"),
(274, "Flemish Brabant", 19, "BE.VB"),
(275, "Limburg", 19, "BE.LI"),
(276, "East Flanders", 19, "BE.OV"),
(277, "West Flanders", 19, "BE.WV"),
(278, "Walloon Brabant", 19, "BE.BW"),
(279, "Hainaut", 19, "BE.HT"),
(280, "Liege", 19, "BE.LG"),
(281, "Luxembourg", 19, "BE.LX"),
(282, "Namur", 19, "BE.NA"),
(283, "Atakora", 20, "BJ.AK"),
(284, "Alibori", 20, "BJ.AL"),
(285, "Atlantique", 20, "BJ.AQ"),
(286, "Borgou", 20, "BJ.BO"),
(287, "Collines", 20, "BJ.CL"),
(288, "Donga", 20, "BJ.DO"),
(289, "Kouffo", 20, "BJ.CF"),
(290, "Littoral", 20, "BJ.LI"),
(291, "Mono", 20, "BJ.MO"),
(292, "OuÃ©mÃ©", 20, "BJ.OU"),
(293, "Plateau", 20, "BJ.PL"),
(294, "Zou", 20, "BJ.ZO"),
(295, "BalÃ©", 21, "BF.BA"),
(296, "Bam", 21, "BF.BM"),
(297, "Banwa", 21, "BF.BW"),
(298, "BazÃ©ga", 21, "BF.BZ"),
(299, "Bougouriba", 21, "BF.BB"),
(300, "Boulgou", 21, "BF.BL"),
(301, "BoulkiemdÃ©", 21, "BF.BK"),
(302, "KomoÃ©", 21, "BF.KM"),
(303, "Ganzourgou", 21, "BF.GZ"),
(304, "Gnagna", 21, "BF.GG"),
(305, "Gourma", 21, "BF.GM"),
(306, "Houet", 21, "BF.HO"),
(307, "Ioba", 21, "BF.IO"),
(308, "Kadiogo", 21, "BF.KA"),
(309, "KÃ©nÃ©dougou", 21, "BF.KN"),
(310, "Komondjari", 21, "BF.KJ"),
(311, "Kompienga", 21, "BF.KP"),
(312, "KoulpÃ©logo", 21, "BF.KL"),
(313, "Kossi", 21, "BF.KS"),
(314, "Kouritenga", 21, "BF.KR"),
(315, "KourwÃ©ogo", 21, "BF.KW"),
(316, "LÃ©raba", 21, "BF.LE"),
(317, "Loroum", 21, "BF.LO"),
(318, "Mou Houn", 21, "BF.MO"),
(319, "Namentenga", 21, "BF.NM"),
(320, "Nahouri", 21, "BF.NR"),
(321, "Nayala", 21, "BF.NY"),
(322, "Poni", 21, "BF.SO.NB"),
(323, "Oubritenga", 21, "BF.OB"),
(324, "Oudalan", 21, "BF.OD"),
(325, "PassorÃ©", 21, "BF.PA"),
(326, "Poni", 21, "BF.PO"),
(327, "SÃ©no", 21, "BF.SE"),
(328, "Sissili", 21, "BF.SS"),
(329, "Sanmatenga", 21, "BF.ST"),
(330, "SanguiÃ©", 21, "BF.SG"),
(331, "Soum", 21, "BF.SM"),
(332, "Sourou", 21, "BF.SR"),
(333, "Tapoa", 21, "BF.TA"),
(334, "Tuy", 21, "BF.TU"),
(335, "Yagha", 21, "BF.YG"),
(336, "Yatenga", 21, "BF.YT"),
(337, "Ziro", 21, "BF.ZR"),
(338, "Zondoma", 21, "BF.ZM"),
(339, "ZoundwÃ©ogo", 21, "BF.ZW"),
(340, "Barisal", 22, "BD.BA"),
(341, "Chittagong", 22, "BD.CG"),
(342, "Dhaka", 22, "BD.DH"),
(343, "Khulna", 22, "BD.KH"),
(344, "Rajshahi", 22, "BD.RS"),
(345, "Rangpur zila", 22, "BD.RP"),
(346, "Sylhet", 22, "BD.SY"),
(347, "Blagoevgrad", 23, "BG.BL"),
(348, "Burgas", 23, "BG.BR"),
(349, "Varna", 23, "BG.VN"),
(350, "Veliko Tarnovo", 23, "BG.VT"),
(351, "Vidin", 23, "BG.VD"),
(352, "Vratsa", 23, "BG.VR"),
(353, "Gabrovo", 23, "BG.GB"),
(354, "Dobrich", 23, "BG.DO"),
(355, "Kardzhali", 23, "BG.KZ"),
(356, "Kyustendil", 23, "BG.KY"),
(357, "Lovech", 23, "BG.LV"),
(358, "Montana", 23, "BG.MT"),
(359, "Pazardzhik", 23, "BG.PZ"),
(360, "Pernik", 23, "BG.PN"),
(361, "Pleven", 23, "BG.PV"),
(362, "Plovdiv", 23, "BG.PD"),
(363, "Razgrad", 23, "BG.RG"),
(364, "Ruse", 23, "BG.RS"),
(365, "Silistra", 23, "BG.SI"),
(366, "Sliven", 23, "BG.SL"),
(367, "Smolyan", 23, "BG.SM"),
(368, "Grad Sofiya", 23, "BG.SG"),
(369, "Sofia", 23, "BG.SF"),
(370, "Stara Zagora", 23, "BG.SZ"),
(371, "Targovishte", 23, "BG.TU"),
(372, "Haskovo", 23, "BG.KK"),
(373, "Shumen", 23, "BG.SH"),
(374, "Yambol", 23, "BG.YA"),
(375, "Capital", 24, "BH.CP"),
(376, "Southern", 24, "BH.SN"),
(377, "Muharraq", 24, "BH.MU"),
(378, "Central", 24, "BH.CE"),
(379, "Northern", 24, "BH.NN"),
(380, "Acklins", 25, "BS.AK"),
(381, "Bimini", 25, "BS.BI"),
(382, "Black Point", 25, "BS.BP"),
(383, "Berry Islands", 25, "BS.BR"),
(384, "Central Eleuthera", 25, "BS.CE"),
(385, "Cat Island", 25, "BS.CI"),
(386, "Crooked Island", 25, "BS.CK"),
(387, "Central Abaco", 25, "BS.CB"),
(388, "Central Andros", 25, "BS.CN"),
(389, "East Grand Bahama", 25, "BS.EB"),
(390, "Exuma", 25, "BS.EM"),
(391, "City of Freeport", 25, "BS.FP"),
(392, "Harbour Island", 25, "BS.HB"),
(393, "Inagua", 25, "BS.IN"),
(394, "Long Island", 25, "BS.LI"),
(395, "Mangrove Cay", 25, "BS.MC"),
(396, "Mayaguana", 25, "BS.MG"),
(397, "Moore's Island", 25, "BS.MI"),
(398, "North Eleuthera", 25, "BS.NE"),
(399, "North Abaco", 25, "BS.NA"),
(400, "North Andros", 25, "BS.NN"),
(401, "Rum Cay", 25, "BS.RC"),
(402, "Ragged Island", 25, "BS.RI"),
(403, "South Andros", 25, "BS.SN"),
(404, "South Eleuthera", 25, "BS.SE"),
(405, "South Abaco", 25, "BS.SB"),
(406, "San Salvador", 25, "BS.SS"),
(407, "Spanish Wells", 25, "BS.SW"),
(408, "West Grand Bahama", 25, "BS.WB"),
(409, "New Providence", 25, "BS.NW"),
(410, "Bosansko-podrinjski Kanton", 26, "BA.BF"),
(411, "BrÄko Distrikt", 26, "BA.BR"),
(412, "Posavski Kanton", 26, "BA.SR"),
(413, "Doboj", 26, "BA.DO.DO"),
(414, "Banja Luka", 26, "BA.BL.BL"),
(415, "Bijeljina", 26, "BA.BR.BJ"),
(416, "Vlasenica", 26, "BA.TU.VL"),
(417, "Sarajevo-romanija", 26, "BA.SA.SA"),
(418, "FoÄa", 26, "BA.GO.FC"),
(419, "Trebinje", 26, "BA.MO.TB"),
(420, "Saint BarthÃ©lemy", 27, "BL.SB"),
(421, "Ascension", 28, "SH.AC"),
(422, "Saint Helena", 28, "SH.SH"),
(423, "Tristan da Cunha", 28, "SH.TA"),
(424, "Brest", 29, "BY.BR"),
(425, "Minsk", 29, "BY.HM"),
(426, "Homyel'", 29, "BY.HO"),
(427, "Hrodna", 29, "BY.HR"),
(428, "Mahilyow", 29, "BY.MA"),
(429, "Minsk", 29, "BY.MI"),
(430, "Vitsyebsk", 29, "BY.VI"),
(431, "Belize", 30, "BZ.BZ"),
(432, "Cayo", 30, "BZ.CY"),
(433, "Corozal", 30, "BZ.CZ"),
(434, "Orange Walk", 30, "BZ.OW"),
(435, "Stann Creek", 30, "BZ.SC"),
(436, "Toledo", 30, "BZ.TO"),
(437, "Devonshire", 31, "BM.DE"),
(438, "Hamilton", 31, "BM.HC"),
(439, "Hamilton", 31, "BM.HA"),
(440, "Paget", 31, "BM.PA"),
(441, "Pembroke", 31, "BM.PE"),
(442, "Sandys", 31, "BM.SA"),
(443, "Saint George", 31, "BM.SG"),
(444, "Saint George's", 31, "BM.SC"),
(445, "Smith's", 31, "BM.SM"),
(446, "Southampton", 31, "BM.SO"),
(447, "Warwick", 31, "BM.WA"),
(448, "El Beni", 32, "BO.EB"),
(449, "Cochabamba", 32, "BO.CB"),
(450, "Chuquisaca", 32, "BO.CQ"),
(451, "La Paz", 32, "BO.LP"),
(452, "Pando", 32, "BO.PA"),
(453, "Oruro", 32, "BO.OR"),
(454, "PotosÃ­", 32, "BO.PO"),
(455, "Santa Cruz", 32, "BO.SC"),
(456, "Tarija", 32, "BO.TR"),
(457, "Acre", 33, "BR.AC"),
(458, "Alagoas", 33, "BR.AL"),
(459, "Amazonas", 33, "BR.AM"),
(460, "AmapÃ¡", 33, "BR.AP"),
(461, "Bahia", 33, "BR.BA"),
(462, "CearÃ¡", 33, "BR.CE"),
(463, "Distrito Federal", 33, "BR.DF"),
(464, "EspÃ­rito Santo", 33, "BR.ES"),
(465, "GoiÃ¡s", 33, "BR.GO"),
(466, "MaranhÃ£o", 33, "BR.MA"),
(467, "Minas Gerais", 33, "BR.MG"),
(468, "Mato Grosso do Sul", 33, "BR.MS"),
(469, "Mato Grosso", 33, "BR.MT"),
(470, "ParÃ¡", 33, "BR.PA"),
(471, "ParaÃ­ba", 33, "BR.PB"),
(472, "Pernambuco", 33, "BR.PE"),
(473, "PiauÃ­", 33, "BR.PI"),
(474, "ParanÃ¡", 33, "BR.PR"),
(475, "Rio de Janeiro", 33, "BR.RJ"),
(476, "Rio Grande do Norte", 33, "BR.RN"),
(477, "RondÃ´nia", 33, "BR.RO"),
(478, "Roraima", 33, "BR.RR"),
(479, "Rio Grande do Sul", 33, "BR.RS"),
(480, "Santa Catarina", 33, "BR.SC"),
(481, "Sergipe", 33, "BR.SE"),
(482, "SÃ£o Paulo", 33, "BR.SP"),
(483, "Tocantins", 33, "BR.TO"),
(484, "Christ Church", 34, "BB.CC"),
(485, "Saint Andrew", 34, "BB.AN"),
(486, "Saint George", 34, "BB.GE"),
(487, "Saint James", 34, "BB.JM"),
(488, "Saint John", 34, "BB.JN"),
(489, "Saint Joseph", 34, "BB.JS"),
(490, "Saint Lucy", 34, "BB.LU"),
(491, "Saint Michael", 34, "BB.MI"),
(492, "Saint Peter", 34, "BB.PE"),
(493, "Saint Philip", 34, "BB.PH"),
(494, "Saint Thomas", 34, "BB.TH"),
(495, "Belait", 35, "BN.BE"),
(496, "Brunei and Muara", 35, "BN.BM"),
(497, "Temburong", 35, "BN.TE"),
(498, "Tutong", 35, "BN.TU"),
(499, "Paro", 36, "BT.PR"),
(500, "Chhukha", 36, "BT.CK"),
(501, "Ha", 36, "BT.HA"),
(502, "Samchi", 36, "BT.SM"),
(503, "Thimphu", 36, "BT.TM"),
(504, "Chirang", 36, "BT.CR"),
(505, "Daga", 36, "BT.DA"),
(506, "Punakha", 36, "BT.PN"),
(507, "Wangdi Phodrang", 36, "BT.WP"),
(508, "Geylegphug", 36, "BT.GE"),
(509, "Tongsa", 36, "BT.TO"),
(510, "Bumthang", 36, "BT.BU"),
(511, "Shemgang", 36, "BT.SG"),
(512, "Tashigang", 36, "BT.TA"),
(513, "Mongar", 36, "BT.MO"),
(514, "Pemagatsel", 36, "BT.PM"),
(515, "Lhuntshi", 36, "BT.LH"),
(516, "Samdrup Jongkhar", 36, "BT.SJ"),
(517, "Gasa", 36, "BT.GA"),
(518, "Tashi Yangtse", 36, "BT.TY"),
(519, "Central", 37, "BW.CT"),
(520, "Francistown", 37, "BW.FR"),
(521, "Gaborone", 37, "BW.GB"),
(522, "Ghanzi", 37, "BW.GH"),
(523, "Jwaneng", 37, "BW.JW"),
(524, "Kgalagadi", 37, "BW.KG"),
(525, "Kgatleng", 37, "BW.KL"),
(526, "Kweneng", 37, "BW.KW"),
(527, "Lobatse", 37, "BW.LB"),
(528, "North-East", 37, "BW.NR"),
(529, "North-West", 37, "BW.NC"),
(530, "South-East", 37, "BW.SE"),
(531, "Southern", 37, "BW.SN"),
(532, "Selebi-Phikwe", 37, "BW.SP"),
(533, "Sowa", 37, "BW.ST"),
(534, "Ouham", 38, "CF.AC"),
(535, "Bamingui-Bangoran", 38, "CF.BB"),
(536, "Bangui", 38, "CF.BG"),
(537, "Basse-Kotto", 38, "CF.BK"),
(538, "Haute-Kotto", 38, "CF.HK"),
(539, "Haut-Mbomou", 38, "CF.HM"),
(540, "MambÃ©rÃ©-KadÃ©Ã¯", 38, "CF.HS"),
(541, "Nana-GrÃ©bizi", 38, "CF.KB"),
(542, "KÃ©mo", 38, "CF.KG"),
(543, "Lobaye", 38, "CF.LB"),
(544, "Mbomou", 38, "CF.MB"),
(545, "Ombella-M'Poko", 38, "CF.MP"),
(546, "Nana-MambÃ©rÃ©", 38, "CF.NM"),
(547, "Ouham-PendÃ©", 38, "CF.OP"),
(548, "Sangha-MbaÃ©rÃ©", 38, "CF.SE"),
(549, "Ouaka", 38, "CF.UK"),
(550, "Vakaga", 38, "CF.VK"),
(551, "Alberta", 39, "CA.AB"),
(552, "British Columbia", 39, "CA.BC"),
(553, "Manitoba", 39, "CA.MB"),
(554, "New Brunswick", 39, "CA.NB"),
(555, "Newfoundland and Labrador", 39, "CA.NF"),
(556, "Nova Scotia", 39, "CA.NS"),
(557, "Northwest Territories", 39, "CA.NT"),
(558, "Nunavut", 39, "CA.NU"),
(559, "Ontario", 39, "CA.ON"),
(560, "Prince Edward Island", 39, "CA.PE"),
(561, "QuÃ©bec", 39, "CA.QC"),
(562, "Saskatchewan", 39, "CA.SK"),
(563, "Yukon", 39, "CA.YT"),
(564, "Aargau", 40, "CH.AG"),
(565, "Appenzell Innerrhoden", 40, "CH.AI"),
(566, "Appenzell Ausserrhoden", 40, "CH.AR"),
(567, "Bern", 40, "CH.BE"),
(568, "Basel-Landschaft", 40, "CH.BL"),
(569, "Basel-Stadt", 40, "CH.BS"),
(570, "Fribourg", 40, "CH.FR"),
(571, "GenÃ¨ve", 40, "CH.GE"),
(572, "Glarus", 40, "CH.GL"),
(573, "GraubÃ¼nden", 40, "CH.GR"),
(574, "Jura", 40, "CH.JU"),
(575, "Lucerne", 40, "CH.LU"),
(576, "NeuchÃ¢tel", 40, "CH.NE"),
(577, "Nidwalden", 40, "CH.NW"),
(578, "Obwalden", 40, "CH.OW"),
(579, "Sankt Gallen", 40, "CH.SG"),
(580, "Schaffhausen", 40, "CH.SH"),
(581, "Solothurn", 40, "CH.SO"),
(582, "Schwyz", 40, "CH.SZ"),
(583, "Thurgau", 40, "CH.TG"),
(584, "Ticino", 40, "CH.TI"),
(585, "Uri", 40, "CH.UR"),
(586, "Vaud", 40, "CH.VD"),
(587, "Valais", 40, "CH.VS"),
(588, "Zug", 40, "CH.ZG"),
(589, "ZÃ¼rich", 40, "CH.ZH"),
(590, "AisÃ©n del General Carlos IbÃ¡Ã±ez del Campo", 41, "CL.AI"),
(591, "Antofagasta", 41, "CL.AN"),
(592, "Arica y Parinacota", 41, "CL.AP"),
(593, "La AraucanÃ­a", 41, "CL.AR"),
(594, "Atacama", 41, "CL.AT"),
(595, "BÃ­o-BÃ­o", 41, "CL.BI"),
(596, "Coquimbo", 41, "CL.CO"),
(597, "Libertador General Bernardo O'Higgins", 41, "CL.LI"),
(598, "Los Lagos", 41, "CL.LG"),
(599, "Los RÃ­os", 41, "CL.AR"),
(600, "Magallanes y AntÃ¡rtica Chilena", 41, "CL.MA"),
(601, "Maule", 41, "CL.ML"),
(602, "RegiÃ³n Metropolitana de Santiago", 41, "CL.RM"),
(603, "TarapacÃ¡", 41, "CL.TA"),
(604, "Valparaíso", 41, "CL.VS"),
(605, "Beijing", 42, "CN.BJ"),
(606, "Tianjin", 42, "CN.TJ"),
(607, "Hebei", 42, "CN.HB"),
(608, "Shanxi", 42, "CN.SX"),
(609, "Inner Mongol", 42, "CN.NM"),
(610, "Liaoning", 42, "CN.LN"),
(611, "Jilin", 42, "CN.JL"),
(612, "Heilongjiang", 42, "CN.HL"),
(613, "Shanghai", 42, "CN.SH"),
(614, "Jiangsu", 42, "CN.JS"),
(615, "Zhejiang", 42, "CN.ZJ"),
(616, "Anhui", 42, "CN.AH"),
(617, "Fujian", 42, "CN.FJ"),
(618, "Jiangxi", 42, "CN.JX"),
(619, "Shandong", 42, "CN.SD"),
(620, "Henan", 42, "CN.HE"),
(621, "Hubei", 42, "CN.HU"),
(622, "Hunan", 42, "CN.HN"),
(623, "Guangdong", 42, "CN.GD"),
(624, "Guangxi", 42, "CN.GX"),
(625, "Hainan", 42, "CN.HA"),
(626, "Chongqing", 42, "CN.CQ"),
(627, "Sichuan", 42, "CN.SC"),
(628, "Guizhou", 42, "CN.GZ"),
(629, "Yunnan", 42, "CN.YN"),
(630, "Xizang", 42, "CN.XZ"),
(631, "Shaanxi", 42, "CN.SA"),
(632, "Gansu", 42, "CN.GS"),
(633, "Qinghai", 42, "CN.QH"),
(634, "Ningxia", 42, "CN.NX"),
(635, "Xinjiang", 42, "CN.XJ"),
(636, "Paracel Islands", 42, "CN.X01~"),
(637, "Lagunes", 43, "CI.LG.AB"),
(638, "Haut-Sassandra", 43, "CI.SM.HS"),
(639, "Savanes", 43, "CI.SV"),
(640, "VallÃ©e du Bandama", 43, "CI.VB"),
(641, "Moyen-ComoÃ©", 43, "CI.CM.SC"),
(642, "Dix-Huit Montagnes", 43, "CI.DM"),
(643, "Lacs", 43, "CI.LC.TM"),
(644, "Zanzan", 43, "CI.ZA"),
(645, "Bas-Sassandra", 43, "CI.BS.SO"),
(646, "DenguÃ©lÃ©", 43, "CI.DE"),
(647, "N'zi-ComoÃ©", 43, "CI.NC.BG"),
(648, "MarahouÃ©", 43, "CI.MR.ZU"),
(649, "Sud-ComoÃ©", 43, "CI.SC"),
(650, "Worodougou", 43, "CI.WR"),
(651, "Sud-Bandama", 43, "CI.SB.LA"),
(652, "AgnÃ©by", 43, "CI.AG.AV"),
(653, "Bafing", 43, "CI.BF"),
(654, "Fromager", 43, "CI.FR"),
(655, "Moyen-Cavally", 43, "CI.MN.CV"),
(656, "Adamaoua", 44, "CM.AD"),
(657, "Centre", 44, "CM.CE"),
(658, "ExtrÃªme-Nord", 44, "CM.EN"),
(659, "Est", 44, "CM.ES"),
(660, "Littoral", 44, "CM.LT"),
(661, "Nord", 44, "CM.NO"),
(662, "Nord-Ouest", 44, "CM.NW"),
(663, "Ouest", 44, "CM.OU"),
(664, "Sud", 44, "CM.SU"),
(665, "Sud-Ouest", 44, "CM.SW"),
(666, "Bas-Congo", 45, "CD.BC"),
(667, "Bandundu", 45, "CD.BN"),
(668, "Ãquateur", 45, "CD.EQ"),
(669, "Katanga", 45, "CD.KT"),
(670, "KasaÃ¯-Oriental", 45, "CD.KR"),
(671, "Kinshasa City", 45, "CD.KN"),
(672, "KasaÃ¯-Occidental", 45, "CD.KC"),
(673, "Maniema", 45, "CD.MN"),
(674, "Nord-Kivu", 45, "CD.NK"),
(675, "Orientale", 45, "CD.HC"),
(676, "Sud-Kivu", 45, "CD.SK"),
(677, "LÃ©koumou", 46, "CG.LE"),
(678, "Kouilou", 46, "CG.KL"),
(679, "Likouala", 46, "CG.LI"),
(680, "Cuvette", 46, "CG.CU"),
(681, "Niari", 46, "CG.NI"),
(682, "Bouenza", 46, "CG.BO"),
(683, "Pool", 46, "CG.PO"),
(684, "Sangha", 46, "CG.SA"),
(685, "Plateaux", 46, "CG.PL"),
(686, "Cuvette-Ouest", 46, "CG.CO"),
(687, "Kouilou", 46, "CG.PN"),
(688, "Brazzaville", 46, "CG.BR"),
(689, "Atiu", 47, "CK.X01~"),
(690, "Aitutaki", 47, "CK.X02~"),
(691, "Mangaia", 47, "CK.X03~"),
(692, "Rarotonga", 47, "CK.X04~"),
(693, "Mitiaro", 47, "CK.X05~"),
(694, "Mauke", 47, "CK.X06~"),
(695, "Palmerston", 47, "CK.X07~"),
(696, "Pukapuka", 47, "CK.X08~"),
(697, "Rakahanga", 47, "CK.X09~"),
(698, "Maniki", 47, "CK.X10~"),
(699, "Tongareva", 47, "CK.X11~"),
(700, "Amazonas", 48, "CO.AM"),
(701, "Antioquia", 48, "CO.AN"),
(702, "Arauca", 48, "CO.AR"),
(703, "AtlÃ¡ntico", 48, "CO.AT"),
(704, "BolÃ­var", 48, "CO.BL"),
(705, "BoyacÃ¡", 48, "CO.BY"),
(706, "Caldas", 48, "CO.CL"),
(707, "CaquetÃ¡", 48, "CO.CQ"),
(708, "Casanare", 48, "CO.CS"),
(709, "Cauca", 48, "CO.CA"),
(710, "Cesar", 48, "CO.CE"),
(711, "ChocÃ³", 48, "CO.CH"),
(712, "CÃ³rdoba", 48, "CO.CO"),
(713, "Bogota", 48, "CO.CU"),
(714, "GuainÃ­a", 48, "CO.GN"),
(715, "Guaviare", 48, "CO.GV"),
(716, "Huila", 48, "CO.HU"),
(717, "La Guajira", 48, "CO.LG"),
(718, "Magdalena", 48, "CO.MA"),
(719, "Meta", 48, "CO.ME"),
(720, "NariÃ±o", 48, "CO.NA"),
(721, "Norte de Santander", 48, "CO.NS"),
(722, "Putumayo", 48, "CO.PU"),
(723, "QuindÃ­o", 48, "CO.QD"),
(724, "Risaralda", 48, "CO.RI"),
(725, "Santander", 48, "CO.ST"),
(726, "San AndrÃ©s y Providencia", 48, "CO.SA"),
(727, "Sucre", 48, "CO.SU"),
(728, "Tolima", 48, "CO.TO"),
(729, "Valle del Cauca", 48, "CO.VC"),
(730, "VaupÃ©s", 48, "CO.VP"),
(731, "Vichada", 48, "CO.VD"),
(732, "CO.X01~", 48, "CO.X01~"),
(733, "Anjouan", 49, "KM.AN"),
(734, "Grande Comore", 49, "KM.GC"),
(735, "Moheli", 49, "KM.AN"),
(736, "Brava", 50, "CV.BR"),
(737, "Boa Vista", 50, "CV.BV"),
(738, "Santa Catarina", 50, "CV.CT"),
(739, "Santa Catarina do Fogo", 50, "CV.CF"),
(740, "Santa Cruz", 50, "CV.CZ"),
(741, "Maio", 50, "CV.MA"),
(742, "Mosteiros", 50, "CV.MO"),
(743, "Paul", 50, "CV.PA"),
(744, "Porto Novo", 50, "CV.PN"),
(745, "Praia", 50, "CV.PC"),
(746, "Ribeira Brava", 50, "CV.RB"),
(747, "Ribeira Grande", 50, "CV.RG"),
(748, "Ribeira Grande", 50, "CV.RS"),
(749, "SÃ£o Domingos", 50, "CV.SD"),
(750, "SÃÂ£o Filipe", 50, "CV.FP"),
(751, "Sal", 50, "CV.SL"),
(752, "SÃÂ£o Miguel", 50, "CV.SM"),
(753, "SÃ£o LourenÃ§o dos ÃrgÃ£os", 50, "CV.LO"),
(754, "SÃ£o Salvador do Mundo", 50, "CV.SS"),
(755, "SÃÂ£o Vicente", 50, "CV.SV"),
(756, "Tarrafal", 50, "CV.TF"),
(757, "Tarrafal de SÃÂ£o Nicolau", 50, "CV.TS"),
(758, "Alajuela", 51, "CR.AL"),
(759, "Cartago", 51, "CR.CA"),
(760, "Guanacaste", 51, "CR.GU"),
(761, "Heredia", 51, "CR.HE"),
(762, "LimÃ³n", 51, "CR.LI"),
(763, "Puntarenas", 51, "CR.PU"),
(764, "San JosÃ©", 51, "CR.SJ"),
(765, "Pinar del RÃ­o", 52, "CU.PR"),
(766, "Ciudad de la Habana", 52, "CU.CH"),
(767, "Matanzas", 52, "CU.MA"),
(768, "Villa Clara", 52, "CU.VC"),
(769, "Cienfuegos", 52, "CU.CF"),
(770, "Sancti SpÃ­ritus", 52, "CU.SS"),
(771, "Ciego de Ãvila", 52, "CU.CA"),
(772, "CamagÃ¼ey", 52, "CU.CM"),
(773, "Las Tunas", 52, "CU.LT"),
(774, "HolguÃ­n", 52, "CU.HO"),
(775, "Granma", 52, "CU.GR"),
(776, "Santiago de Cuba", 52, "CU.SC"),
(777, "GuantÃ¡namo", 52, "CU.GU"),
(778, "Artemisa", 52, "CU.AR"),
(779, "Mayabeque", 52, "CU.MQ"),
(780, "Isla de la Juventud", 52, "CU.IJ"),
(781, "CUW-00 (CuraÃ§ao aggregation)", 53, "CW.X01~"),
(782, "Cayman Islands", 54, "KY.X00~"),
(783, "Nicosia", 55, "CY.NI"),
(784, "Limassol", 55, "CY.LI"),
(785, "Larnaca", 55, "CY.LA"),
(786, "Famagusta", 55, "CY.FA"),
(787, "Paphos", 55, "CY.PA"),
(788, "JihoÄeskÃ½", 56, "CZ.CK"),
(789, "JihomoravskÃ½", 56, "CZ.BK"),
(790, "KarlovarskÃ½", 56, "CZ.KK"),
(791, "KrÃ¡lovÃ©hradeckÃ½", 56, "CZ.HK"),
(792, "LibereckÃ½", 56, "CZ.LK"),
(793, "MoravskoslezskÃ½", 56, "CZ.VK"),
(794, "OlomouckÃ½", 56, "CZ.OK"),
(795, "PardubickÃ½", 56, "CZ.EK"),
(796, "PlzeÅskÃ½", 56, "CZ.PK"),
(797, "Prague", 56, "CZ.SK"),
(798, "StÅedoÄeskÃ½", 56, "CZ.SK"),
(799, "ÃsteckÃ½", 56, "CZ.UK"),
(800, "VysoÄina", 56, "CZ.JK"),
(801, "ZlÃ­nskÃ½", 56, "CZ.ZK"),
(802, "Brandenburg", 57, "DE.BB"),
(803, "Berlin", 57, "DE.BE"),
(804, "Baden-WÃ¼rttemberg", 57, "DE.BW"),
(805, "Bayern", 57, "DE.BY"),
(806, "Bremen", 57, "DE.HB"),
(807, "Hessen", 57, "DE.HE"),
(808, "Hamburg", 57, "DE.HH"),
(809, "Mecklenburg-Vorpommern", 57, "DE.MV"),
(810, "Niedersachsen", 57, "DE.NI"),
(811, "Nordrhein-Westfalen", 57, "DE.NW"),
(812, "Rheinland-Pfalz", 57, "DE.RP"),
(813, "Schleswig-Holstein", 57, "DE.SH"),
(814, "Saarland", 57, "DE.SL"),
(815, "Sachsen", 57, "DE.SN"),
(816, "Sachsen-Anhalt", 57, "DE.ST"),
(817, "ThÃ¼ringen", 57, "DE.TH"),
(818, "Arta", 58, "DJ.AR"),
(819, "Ali Sabieh", 58, "DJ.AS"),
(820, "Dikhil", 58, "DJ.DK"),
(821, "Djibouti", 58, "DJ.DB"),
(822, "Obock", 58, "DJ.OB"),
(823, "Tadjourah", 58, "DJ.TA"),
(824, "Saint Andrew", 59, "DM.AN"),
(825, "Saint David", 59, "DM.DA"),
(826, "Saint George", 59, "DM.GO"),
(827, "Saint John", 59, "DM.JN"),
(828, "Saint Joseph", 59, "DM.JH"),
(829, "Saint Luke", 59, "DM.LU"),
(830, "Saint Mark", 59, "DM.MA"),
(831, "Saint Patrick", 59, "DM.PK"),
(832, "Saint Paul", 59, "DM.PL"),
(833, "Saint Peter", 59, "DM.PR"),
(834, "Nordjylland", 60, "DK.ND"),
(835, "Midtjylland", 60, "DK.MJ"),
(836, "Syddanmark", 60, "DK.SD"),
(837, "Hovedstaden", 60, "DK.HS"),
(838, "SjaÃ¦lland", 60, "DK.SL"),
(839, "Distrito Nacional", 61, "DO.NC"),
(840, "Azua", 61, "DO.AZ"),
(841, "Bahoruco", 61, "DO.BR"),
(842, "Barahona", 61, "DO.BH"),
(843, "DajabÃ³n", 61, "DO.DA"),
(844, "Duarte", 61, "DO.DU"),
(845, "La Estrelleta", 61, "DO.EP"),
(846, "El Seybo", 61, "DO.SE"),
(847, "Espaillat", 61, "DO.ES"),
(848, "Independencia", 61, "DO.IN"),
(849, "La Altagracia", 61, "DO.AL"),
(850, "La Romana", 61, "DO.RO"),
(851, "La Vega", 61, "DO.VE"),
(852, "MarÃ­a Trinidad SÃ¡nchez", 61, "DO.MT"),
(853, "Monte Cristi", 61, "DO.MC"),
(854, "Pedernales", 61, "DO.PN"),
(855, "Peravia", 61, "DO.PV"),
(856, "Puerto Plata", 61, "DO.PP"),
(857, "Hermanas", 61, "DO.SC"),
(858, "SamanÃ¡", 61, "DO.SM"),
(859, "San CristÃ³bal", 61, "DO.CR"),
(860, "San Juan", 61, "DO.JU"),
(861, "San Pedro de MacorÃ­s", 61, "DO.PM"),
(862, "SÃ¡nchez RamÃ­rez", 61, "DO.SZ"),
(863, "Santiago", 61, "DO.ST"),
(864, "Santiago RodrÃ­guez", 61, "DO.SR"),
(865, "Valverde", 61, "DO.VA"),
(866, "MonseÃ±or Nouel", 61, "DO.MN"),
(867, "Monte Plata", 61, "DO.MP"),
(868, "Hato Mayor", 61, "DO.HM"),
(869, "San JosÃ© de Ocoa", 61, "DO.JO"),
(870, "Santo Domingo", 61, "DO.SD"),
(871, "Adrar", 62, "DZ.AR"),
(872, "Chlef", 62, "DZ.CH"),
(873, "Laghouat", 62, "DZ.LG"),
(874, "Oum el Bouaghi", 62, "DZ.OB"),
(875, "Batna", 62, "DZ.BT"),
(876, "BÃ©jaÃ¯a", 62, "DZ.BJ"),
(877, "Biskra", 62, "DZ.BS"),
(878, "BÃ©char", 62, "DZ.BC"),
(879, "Blida", 62, "DZ.BL"),
(880, "Bouira", 62, "DZ.BU"),
(881, "Tamanghasset", 62, "DZ.TM"),
(882, "TÃ©bessa", 62, "DZ.TB"),
(883, "Tlemcen", 62, "DZ.TL"),
(884, "Tiaret", 62, "DZ.TR"),
(885, "Tizi Ouzou", 62, "DZ.TO"),
(886, "Alger", 62, "DZ.AL"),
(887, "Djelfa", 62, "DZ.DJ"),
(888, "Jijel", 62, "DZ.JJ"),
(889, "SÃ©tif", 62, "DZ.SF"),
(890, "SaÃ¯da", 62, "DZ.SD"),
(891, "Skikda", 62, "DZ.SK"),
(892, "Sidi Bel AbbÃ¨s", 62, "DZ.SB"),
(893, "Annaba", 62, "DZ.AN"),
(894, "Guelma", 62, "DZ.GL"),
(895, "Constantine", 62, "DZ.CO"),
(896, "MÃ©dÃ©a", 62, "DZ.MD"),
(897, "Mostaganem", 62, "DZ.MG"),
(898, "M'Sila", 62, "DZ.MS"),
(899, "Mascara", 62, "DZ.MC"),
(900, "Ouargla", 62, "DZ.OG"),
(901, "Oran", 62, "DZ.OR"),
(902, "El Bayadh", 62, "DZ.EB"),
(903, "Illizi", 62, "DZ.IL"),
(904, "Bordj Bou ArrÃ©ridj", 62, "DZ.BB"),
(905, "BoumerdÃ¨s", 62, "DZ.BM"),
(906, "El Tarf", 62, "DZ.ET"),
(907, "Tindouf", 62, "DZ.TR"),
(908, "Tissemsilt", 62, "DZ.TS"),
(909, "El Oued", 62, "DZ.EO"),
(910, "Khenchela", 62, "DZ.KH"),
(911, "Souk Ahras", 62, "DZ.SA"),
(912, "Tipaza", 62, "DZ.TP"),
(913, "Mila", 62, "DZ.ML"),
(914, "AÃ¯n Defla", 62, "DZ.AD"),
(915, "NaÃ¢ma", 62, "DZ.NA"),
(916, "AÃ¯n TÃ©mouchent", 62, "DZ.AT"),
(917, "GhardaÃ¯a", 62, "DZ.GR"),
(918, "Relizane", 62, "DZ.RE"),
(919, "Azuay", 63, "EC.AZ"),
(920, "Bolivar", 63, "EC.BO"),
(921, "Carchi", 63, "EC.CR"),
(922, "Orellana", 63, "EC.OR"),
(923, "Esmeraldas", 63, "EC.ES"),
(924, "CaÃ±ar", 63, "EC.CN"),
(925, "Guayas", 63, "EC.GY"),
(926, "Chimborazo", 63, "EC.CB"),
(927, "Imbabura", 63, "EC.IM"),
(928, "Loja", 63, "EC.LJ"),
(929, "Manabi", 63, "EC.MN"),
(930, "Napo", 63, "EC.NA"),
(931, "El Oro", 63, "EC.EO"),
(932, "Pichincha", 63, "EC.PC"),
(933, "Los Rios", 63, "EC.LR"),
(934, "Morona Santiago", 63, "EC.MS"),
(935, "Santo Domingo de los TsÃ¡chilas", 63, "EC.SD"),
(936, "Santa Elena", 63, "EC.SE"),
(937, "Tungurahua", 63, "EC.TU"),
(938, "Sucumbios", 63, "EC.SU"),
(939, "GalÃ¡pagos", 63, "EC.GA"),
(940, "Cotopaxi", 63, "EC.CT"),
(941, "Pastaza", 63, "EC.PA"),
(942, "Zamora Chinchipe", 63, "EC.ZC"),
(943, "Al Iskandariyah", 64, "EG.IK"),
(944, "Aswan", 64, "EG.AN"),
(945, "Asyut", 64, "EG.AT"),
(946, "Al Bahr al Ahmar", 64, "EG.BA"),
(947, "Al Buhayrah", 64, "EG.BH"),
(948, "Bani Suwayf", 64, "EG.BN"),
(949, "Al Qahirah", 64, "EG.QH"),
(950, "Ad Daqahliyah", 64, "EG.DQ"),
(951, "Dumyat", 64, "EG.DT"),
(952, "Al Fayyum", 64, "EG.FY"),
(953, "Al Gharbiyah", 64, "EG.GH"),
(954, "Al Jizah", 64, "EG.JZ"),
(955, "Al Isma`iliyah", 64, "EG.IS"),
(956, "Janub Sina'", 64, "EG.JS"),
(957, "Al Qalyubiyah", 64, "EG.QL"),
(958, "Kafr ash Shaykh", 64, "EG.KS"),
(959, "Qina", 64, "EG.QN"),
(960, "al-Uqsur", 64, "EG.UQ"),
(961, "Al Minya", 64, "EG.MN"),
(962, "Al Minufiyah", 64, "EG.MF"),
(963, "Matruh", 64, "EG.MT"),
(964, "Bur Sa`id", 64, "EG.BS"),
(965, "Suhaj", 64, "EG.SJ"),
(966, "Ash Sharqiyah", 64, "EG.SQ"),
(967, "Shamal Sina'", 64, "EG.SS"),
(968, "As Suways", 64, "EG.SW"),
(969, "Al Wadi at Jadid", 64, "EG.WJ"),
(970, "Anseba", 65, "ER.AN"),
(971, "Debubawi Keyih Bahri", 65, "ER.DK"),
(972, "Debub", 65, "ER.DU"),
(973, "Gash Barka", 65, "ER.GB"),
(974, "Maekel", 65, "ER.MA"),
(975, "Semenawi Keyih Bahri", 65, "ER.SK"),
(976, "Western Sahara", 66, "EH.X01~"),
(977, "Comunidad Valenciana", 67, "ES.VC"),
(978, "Castilla-La Mancha", 67, "ES.CM"),
(979, "AndalucÃ­a", 67, "ES.AN"),
(980, "Castilla y LeÃ³n", 67, "ES.CL"),
(981, "CataluÃ±a", 67, "ES.CT"),
(982, "Extremadura", 67, "ES.EX"),
(983, "PaÃ­s Vasco", 67, "ES.PV"),
(984, "Castilla y LeÃ³n", 67, "ES.CL"),
(985, "Galicia", 67, "ES.GA"),
(986, "AndalucÃ­a", 67, "ES.AN"),
(987, "Extremadura", 67, "ES.EX"),
(988, "Ceuta", 67, "ES.CE"),
(989, "AndalucÃ­a", 67, "ES.AN"),
(990, "Castilla-La Mancha", 67, "ES.CM"),
(991, "Comunidad Valenciana", 67, "ES.VC"),
(992, "Castilla-La Mancha", 67, "ES.CM"),
(993, "Palmas", 67, "ES.CN"),
(994, "CataluÃ±a", 67, "ES.CT"),
(995, "AndalucÃ­a", 67, "ES.AN"),
(996, "Castilla-La Mancha", 67, "ES.CM"),
(997, "AndalucÃ­a", 67, "ES.AN"),
(998, "AragÃ³n", 67, "ES.AR"),
(999, "AndalucÃ­a", 67, "ES.AN"),
(1000, "CataluÃ±a", 67, "ES.CT"),
(1001, "Castilla y LeÃ³n", 67, "ES.CL"),
(1002, "La Rioja", 67, "ES.LO"),
(1003, "Galicia", 67, "ES.GA"),
(1004, "Comunidad de Madrid", 67, "ES.MD"),
(1005, "AndalucÃ­a", 67, "ES.AN"),
(1006, "Melilla", 67, "ES.ML"),
(1007, "RegiÃ³n de Murcia", 67, "ES.MU"),
(1008, "Comunidad Foral de Navarra", 67, "ES.NA"),
(1009, "Principado de Asturias", 67, "ES.AS"),
(1010, "Galicia", 67, "ES.GA"),
(1011, "Castilla y LeÃ³n", 67, "ES.CL"),
(1012, "Islas Baleares", 67, "ES.PM"),
(1013, "Galicia", 67, "ES.GA"),
(1014, "Cantabria", 67, "ES.CB"),
(1015, "Castilla y LeÃ³n", 67, "ES.CL"),
(1016, "AndalucÃ­a", 67, "ES.AN"),
(1017, "Castilla y LeÃ³n", 67, "ES.CL"),
(1018, "Castilla y LeÃ³n", 67, "ES.CL"),
(1019, "PaÃ­s Vasco", 67, "ES.PV"),
(1020, "CataluÃ±a", 67, "ES.CT"),
(1021, "AragÃ³n", 67, "ES.AR"),
(1022, "Santa Cruz de Tenerife", 67, "ES.CN"),
(1023, "Castilla-La Mancha", 67, "ES.CM"),
(1024, "Comunidad Valenciana", 67, "ES.VC"),
(1025, "Castilla y LeÃ³n", 67, "ES.CL"),
(1026, "PaÃ­s Vasco", 67, "ES.PV"),
(1027, "AragÃ³n", 67, "ES.AR"),
(1028, "Castilla y LeÃ³n", 67, "ES.CL"),
(1029, "Harju", 68, "EE.HA"),
(1030, "Hiiu", 68, "EE.HI"),
(1031, "Ida-Viru", 68, "EE.IV"),
(1032, "JÃµgeva", 68, "EE.JN"),
(1033, "JÃ¤rva", 68, "EE.JR"),
(1034, "LÃ¤Ã¤ne", 68, "EE.LN"),
(1035, "LÃ¤Ã¤ne-Viru", 68, "EE.LV"),
(1036, "PÃµlva", 68, "EE.PL"),
(1037, "PÃ¤rnu", 68, "EE.PR"),
(1038, "Rapla", 68, "EE.RA"),
(1039, "Saare", 68, "EE.SA"),
(1040, "Tartu", 68, "EE.TA"),
(1041, "Valga", 68, "EE.VG"),
(1042, "Viljandi", 68, "EE.VD"),
(1043, "VÃµru", 68, "EE.VR"),
(1044, "Addis Ababa", 69, "ET.AA"),
(1045, "Afar", 69, "ET.AF"),
(1046, "Amhara", 69, "ET.AM"),
(1047, "Benshangul-Gumaz", 69, "ET.BE"),
(1048, "Dire Dawa", 69, "ET.DD"),
(1049, "Gambela Peoples", 69, "ET.GA"),
(1050, "Harari People", 69, "ET.HA"),
(1051, "Addis Ababa", 69, "ET.AA"),
(1052, "Southern Nations, Nationalities and Peoples", 69, "ET.SN"),
(1053, "Somali", 69, "ET.SO"),
(1054, "Tigray", 69, "ET.TI"),
(1055, "South Karelia", 70, "FI.SK"),
(1056, "Southern Ostrobothnia", 70, "FI.SO"),
(1057, "Southern Savonia", 70, "FI.SS"),
(1058, "Kainuu", 70, "FI.KA"),
(1059, "Tavastia Proper", 70, "FI.KH"),
(1060, "Central Ostrobothnia", 70, "FI.CO"),
(1061, "Central Finland", 70, "FI.CF"),
(1062, "Kymenlaakso", 70, "FI.KY"),
(1063, "Lapland", 70, "FI.LA"),
(1064, "Pirkanmaa", 70, "FI.TR"),
(1065, "Ostrobothnia", 70, "FI.OS"),
(1066, "North Karelia", 70, "FI.NK"),
(1067, "Northern Ostrobothnia", 70, "FI.NO"),
(1068, "Northern Savonia", 70, "FI.NS"),
(1069, "PÃ¤ijÃ¤t-HÃ¤me", 70, "FI.PH"),
(1070, "Satakunta", 70, "FI.SA"),
(1071, "Uusimaa", 70, "FI.US"),
(1072, "Finland Proper", 70, "FI.SF"),
(1073, "Central", 71, "FJ.CE"),
(1074, "Eastern", 71, "FJ.EA"),
(1075, "Northern", 71, "FJ.NO"),
(1076, "Rotuma", 71, "FJ.RO"),
(1077, "Western", 71, "FJ.WE"),
(1078, "Falkland Islands", 72, "FK.FK"),
(1079, "Ain", 73, "FR.AI"),
(1080, "Aisne", 73, "FR.AS"),
(1081, "Corse-du-Sud", 73, "FR.CS"),
(1082, "Haute-Corse", 73, "FR.HC"),
(1083, "Allier", 73, "FR.AL"),
(1084, "Alpes-de-Haute-Provence", 73, "FR.AP"),
(1085, "Hautes-Alpes", 73, "FR.HA"),
(1086, "Alpes-Maritimes", 73, "FR.AM"),
(1087, "ArdÃ¨che", 73, "FR.AH"),
(1088, "Ardennes", 73, "FR.AN"),
(1089, "AriÃ¨ge", 73, "FR.AG"),
(1090, "Aube", 73, "FR.AB"),
(1091, "Aude", 73, "FR.AD"),
(1092, "Aveyron", 73, "FR.AV"),
(1093, "Bouches-du-RhÃ´ne", 73, "FR.BD"),
(1094, "Calvados", 73, "FR.CV"),
(1095, "Cantal", 73, "FR.CL"),
(1096, "Charente", 73, "FR.CT"),
(1097, "Charente-Maritime", 73, "FR.CM"),
(1098, "Cher", 73, "FR.CH"),
(1099, "CorrÃ¨ze", 73, "FR.CZ"),
(1100, "CÃ´te-d'Or", 73, "FR.CO"),
(1101, "CÃ´tes-d'Armor", 73, "FR.CA"),
(1102, "Creuse", 73, "FR.CR"),
(1103, "Dordogne", 73, "FR.DD"),
(1104, "Doubs", 73, "FR.DB"),
(1105, "DrÃ´me", 73, "FR.DM"),
(1106, "Eure", 73, "FR.EU"),
(1107, "Eure-et-Loir", 73, "FR.EL"),
(1108, "FinistÃ¨re", 73, "FR.FI"),
(1109, "Gard", 73, "FR.GA"),
(1110, "Haute-Garonne", 73, "FR.HG"),
(1111, "Gers", 73, "FR.GE"),
(1112, "Gironde", 73, "FR.GI"),
(1113, "HÃ©rault", 73, "FR.HE"),
(1114, "Ille-et-Vilaine", 73, "FR.IV"),
(1115, "Indre", 73, "FR.IN"),
(1116, "Indre-et-Loire", 73, "FR.IL"),
(1117, "IsÃ¨re", 73, "FR.IS"),
(1118, "Jura Mountains", 73, "FR.JU"),
(1119, "Landes", 73, "FR.LD"),
(1120, "Loir-et-Cher", 73, "FR.LC"),
(1121, "Loire", 73, "FR.LR"),
(1122, "Haute-Loire", 73, "FR.HL"),
(1123, "Loire-Atlantique", 73, "FR.LA"),
(1124, "Loiret", 73, "FR.LT"),
(1125, "Lot", 73, "FR.LO"),
(1126, "Lot-et-Garonne", 73, "FR.LG"),
(1127, "LozÃ¨re", 73, "FR.LZ"),
(1128, "Maine-et-Loire", 73, "FR.ML"),
(1129, "Manche", 73, "FR.MH"),
(1130, "Marne", 73, "FR.MR"),
(1131, "Haute-Marne", 73, "FR.HM"),
(1132, "Mayenne", 73, "FR.MY"),
(1133, "Meurhe-et-Moselle", 73, "FR.MM"),
(1134, "Meuse", 73, "FR.MS"),
(1135, "Morbihan", 73, "FR.MB"),
(1136, "Moselle", 73, "FR.MO"),
(1137, "NiÃ¨vre", 73, "FR.NI"),
(1138, "Nord", 73, "FR.NO"),
(1139, "Oise", 73, "FR.OI"),
(1140, "Orne", 73, "FR.OR"),
(1141, "Pas-de-Calais", 73, "FR.PC"),
(1142, "Puy-de-DÃ´me", 73, "FR.PD"),
(1143, "PyrÃ©nÃ©es-Atlantiques", 73, "FR.PA"),
(1144, "Hautes-PyrÃ©nÃ©es", 73, "FR.HP"),
(1145, "PyrÃ©nÃ©es-Orientales", 73, "FR.PO"),
(1146, "Bas-Rhin", 73, "FR.BR"),
(1147, "Haut-Rhin", 73, "FR.HR"),
(1148, "RhÃ´ne", 73, "FR.RH"),
(1149, "Haute-SaÃ´ne", 73, "FR.HN"),
(1150, "SaÃ´ne-et-Loire", 73, "FR.SL"),
(1151, "Sarthe", 73, "FR.ST"),
(1152, "Savoie", 73, "FR.SV"),
(1153, "Haute-Savoie", 73, "FR.HS"),
(1154, "Paris", 73, "FR.VP"),
(1155, "Seine-Maritime", 73, "FR.SM"),
(1156, "Seien-et-Marne", 73, "FR.SE"),
(1157, "Yvelines", 73, "FR.YV"),
(1158, "Deux-SÃ¨vres", 73, "FR.DS"),
(1159, "Somme", 73, "FR.SO"),
(1160, "Tarn", 73, "FR.TA"),
(1161, "Tarn-et-Garonne", 73, "FR.TG"),
(1162, "Var", 73, "FR.VR"),
(1163, "Vaucluse", 73, "FR.VC"),
(1164, "VendÃ©e", 73, "FR.VD"),
(1165, "Vienne", 73, "FR.VN"),
(1166, "Haute-Vienne", 73, "FR.HV"),
(1167, "Vosges", 73, "FR.VG"),
(1168, "Yonne", 73, "FR.YO"),
(1169, "Belfort", 73, "FR.TB"),
(1170, "Essonne", 73, "FR.ES"),
(1171, "Hauts-de-Seine", 73, "FR.HD"),
(1172, "Seine-Saint-Denis", 73, "FR.SS"),
(1173, "Val-de-Marne", 73, "FR.VM"),
(1174, "Val-d'Oise", 73, "FR.VO"),
(1175, "Guyane franÃ§aise", 73, "GF.X00~"),
(1176, "Guadeloupe", 73, "GP.X00~"),
(1177, "Martinique", 73, "MQ.X00~"),
(1178, "La RÃ©union", 73, "RE.X00~"),
(1179, "Mayotte", 73, "YT.YT"),
(1180, "Faroe Islands", 74, "FO.OS"),
(1181, "Kosrae", 75, "FM.KO"),
(1182, "Pohnpei", 75, "FM.PO"),
(1183, "Chuuk", 75, "FM.CH"),
(1184, "Yap", 75, "FM.YA"),
(1185, "Estuaire", 76, "GA.ES"),
(1186, "Haut-OgoouÃ©", 76, "GA.HO"),
(1187, "Moyen-OgoouÃ©", 76, "GA.MO"),
(1188, "NgouniÃ©", 76, "GA.NG"),
(1189, "Nyanga", 76, "GA.NY"),
(1190, "OgoouÃ©-Ivindo", 76, "GA.OI"),
(1191, "Ogooue-Lolo", 76, "GA.OL"),
(1192, "OgoouÃ©-Maritime", 76, "GA.OM"),
(1193, "Wouleu-Ntem", 76, "GA.WN"),
(1194, "Aberdeenshire", 77, "GB.AS"),
(1195, "Aberdeen City", 77, "GB.AR"),
(1196, "Argyll and Bute", 77, "GB.AB"),
(1197, "Anglesey County", 77, "GB.AY"),
(1198, "Angus", 77, "GB.AG"),
(1199, "Antrim", 77, "GB.AN"),
(1200, "Ards", 77, "GB.ND"),
(1201, "Armagh", 77, "GB.AM"),
(1202, "Bath and North East Somerset", 77, "GB.BN"),
(1203, "Blackburn with Darwen", 77, "GB.BW"),
(1204, "Bedfordshire", 77, "GB.FO"),
(1205, "London Borough of Barking and Dagenham", 77, "GB.BA"),
(1206, "London Borough of Brent", 77, "GB.BE"),
(1207, "London Borough of Bexley", 77, "GB.XB"),
(1208, "Belfast", 77, "GB.BF"),
(1209, "Bridgend County Borough", 77, "GB.BJ"),
(1210, "Blaenau Gwent County Borough", 77, "GB.BG"),
(1211, "West Midlands", 77, "GB.BI"),
(1212, "Buckinghamshire", 77, "GB.BU"),
(1213, "Ballymena", 77, "GB.BL"),
(1214, "Ballymoney", 77, "GB.BY"),
(1215, "Bournemouth Borough", 77, "GB.BM"),
(1216, "Banbridge", 77, "GB.BB"),
(1217, "London Borough of Enfield", 77, "GB.EF"),
(1218, "Brighton and Hove City", 77, "GB.BH"),
(1219, "South Yorkshire", 77, "GB.BX"),
(1220, "Greater Manchester", 77, "GB.BT"),
(1221, "Lancashire", 77, "GB.BP"),
(1222, "Berkshire", 77, "GB.BC"),
(1223, "West Yorkshire", 77, "GB.BV"),
(1224, "London Borough of Bromley", 77, "GB.BZ"),
(1225, "City of Bristol", 77, "GB.BS"),
(1226, "Greater Manchester", 77, "GB.BR"),
(1227, "Cambridgeshire", 77, "GB.CM"),
(1228, "Caerphilly County Borough", 77, "GB.CP"),
(1229, "Bedfordshire", 77, "GB.CB"),
(1230, "Ceredigion County", 77, "GB.CG"),
(1231, "Craigavon", 77, "GB.CR"),
(1232, "Cheshire", 77, "GB.CQ"),
(1233, "Cheshire", 77, "GB.CZ"),
(1234, "Carrickfergus", 77, "GB.CF"),
(1235, "Cookstown", 77, "GB.MU"),
(1236, "West Yorkshire", 77, "GB.CX"),
(1237, "Clackmannan", 77, "GB.CC"),
(1238, "Coleraine", 77, "GB.CL"),
(1239, "Cumbria", 77, "GB.CU"),
(1240, "London Borough of Camden", 77, "GB.CN"),
(1241, "Carmarthenshire County", 77, "GB.CI"),
(1242, "Cornwall and Isles of Scilly", 77, "GB.CO"),
(1243, "West Midlands", 77, "GB.CT"),
(1244, "Cardiff County", 77, "GB.CA"),
(1245, "London Borough of Croydon", 77, "GB.CY"),
(1246, "Castlereagh", 77, "GB.CS"),
(1247, "Conwy County Borough", 77, "GB.CW"),
(1248, "Darlington Borough", 77, "GB.DA"),
(1249, "Derbyshire", 77, "GB.DB"),
(1250, "Denbighshire County", 77, "GB.DI"),
(1251, "Derby City", 77, "GB.DE"),
(1252, "Devon", 77, "GB.DO"),
(1253, "Dungannon", 77, "GB.DN"),
(1254, "Dumfries and Galloway", 77, "GB.DG"),
(1255, "South Yorkshire", 77, "GB.DC"),
(1256, "Dundee City", 77, "GB.DU"),
(1257, "Dorset", 77, "GB.DS"),
(1258, "Down", 77, "GB.DW"),
(1259, "Derry", 77, "GB.LD"),
(1260, "West Midlands", 77, "GB.DY"),
(1261, "County Durham", 77, "GB.DH"),
(1262, "London Borough of Ealing", 77, "GB.EG"),
(1263, "East Ayrshire", 77, "GB.EA"),
(1264, "City of Edinburgh", 77, "GB.EB"),
(1265, "East Dunbartonshire", 77, "GB.ED"),
(1266, "East Lothian", 77, "GB.EL"),
(1267, "Eilean Siar", 77, "GB.WI"),
(1268, "London Borough of Enfield", 77, "GB.EF"),
(1269, "East Renfrewshire", 77, "GB.ER"),
(1270, "East Riding of Yorkshire", 77, "GB.EY"),
(1271, "Essex", 77, "GB.EX"),
(1272, "East Sussex", 77, "GB.ES"),
(1273, "Falkirk", 77, "GB.FK"),
(1274, "Fermanagh", 77, "GB.FE"),
(1275, "Fife", 77, "GB.FI"),
(1276, "Flintshire County", 77, "GB.FL"),
(1277, "Tyne and Wear", 77, "GB.GH"),
(1278, "Glasgow City", 77, "GB.GG"),
(1279, "Gloucestershire", 77, "GB.GC"),
(1280, "London Borough of Greenwich", 77, "GB.GR"),
(1281, "Gwynedd", 77, "GB.GD"),
(1282, "Warrington Borough", 77, "GB.HL"),
(1283, "Hampshire", 77, "GB.HA"),
(1284, "London Borough of Havering", 77, "GB.HV"),
(1285, "London Borough of Hackney", 77, "GB.HK"),
(1286, "Herefordshire", 77, "GB.HE"),
(1287, "London Borough of Hillingdon", 77, "GB.HD"),
(1288, "Highland", 77, "GB.HI"),
(1289, "London Borough of Hammersmith and Fulham", 77, "GB.HF"),
(1290, "London Borough of Hounslow", 77, "GB.HU"),
(1291, "Hartlepool Borough", 77, "GB.HP"),
(1292, "Hertfordshire", 77, "GB.HT"),
(1293, "London Borough of Harrow", 77, "GB.HR"),
(1294, "London Borough of Haringey", 77, "GB.HY"),
(1295, "Cornwall and Isles of Scilly", 77, "GB.IS"),
(1296, "Isle of Wight", 77, "GB.IW"),
(1297, "London Borough of Islington", 77, "GB.IT"),
(1298, "Inverclyde", 77, "GB.IC"),
(1299, "Royal Borough of Kensington and Chelsea", 77, "GB.KC"),
(1300, "Kent", 77, "GB.KE"),
(1301, "Kingston upon Hull City", 77, "GB.KH"),
(1302, "West Yorkshire", 77, "GB.KK"),
(1303, "Royal Borough of Kingston upon Thames", 77, "GB.KT"),
(1304, "Merseyside", 77, "GB.KN"),
(1305, "Lancashire", 77, "GB.LA"),
(1306, "London Borough of Lambeth", 77, "GB.LT"),
(1307, "Leicester City", 77, "GB.LC"),
(1308, "West Yorkshire", 77, "GB.LS"),
(1309, "Leicestershire", 77, "GB.LE"),
(1310, "London Borough of Lewisham", 77, "GB.LW"),
(1311, "Lincolnshire", 77, "GB.LI"),
(1312, "Merseyside", 77, "GB.LV"),
(1313, "Limavady", 77, "GB.LM"),
(1314, "City of London", 77, "GB.IT"),
(1315, "Larne", 77, "GB.LR"),
(1316, "Lisburn", 77, "GB.LB"),
(1317, "Luton Borough", 77, "GB.LU"),
(1318, "Greater Manchester", 77, "GB.MN"),
(1319, "Middlesbrough", 77, "GB.MB"),
(1320, "Medway", 77, "GB.MW"),
(1321, "Magherafelt", 77, "GB.MF"),
(1322, "Milton Keynes", 77, "GB.MK"),
(1323, "Midlothian", 77, "GB.EB"),
(1324, "Monmouthshire", 77, "GB.MM"),
(1325, "London Borough of Merton", 77, "GB.ME"),
(1326, "Moray", 77, "GB.MO"),
(1327, "Merthyr Tydfil County Borough", 77, "GB.MT"),
(1328, "Moyle", 77, "GB.MY"),
(1329, "North Ayrshire", 77, "GB.ED"),
(1330, "Northumberland", 77, "GB.NB"),
(1331, "North Down", 77, "GB.ND"),
(1332, "North East Lincolnshire", 77, "GB.NE"),
(1333, "Tyne and Wear", 77, "GB.NU"),
(1334, "Norfolk", 77, "GB.NF"),
(1335, "Nottingham City", 77, "GB.NG"),
(1336, "North Lanarkshire", 77, "GB.NN"),
(1337, "North Lincolnshire", 77, "GB.NL"),
(1338, "North Somerset", 77, "GB.NS"),
(1339, "Newtownabbey", 77, "GB.NW"),
(1340, "Northamptonshire", 77, "GB.NA"),
(1341, "Neath and Port Talbot County Borough", 77, "GB.NP"),
(1342, "Nottinghamshire", 77, "GB.NT"),
(1343, "Tyne and Wear", 77, "GB.NI"),
(1344, "London Borough of Newham", 77, "GB.NH"),
(1345, "Newport City", 77, "GB.NO"),
(1346, "North Yorkshire", 77, "GB.NY"),
(1347, "Newry and Mourne", 77, "GB.NM"),
(1348, "Greater Manchester", 77, "GB.OL"),
(1349, "Omagh", 77, "GB.OM"),
(1350, "Orkney", 77, "GB.MO"),
(1351, "Oxfordshire", 77, "GB.OX"),
(1352, "Pembrokeshire County", 77, "GB.PE"),
(1353, "Perth and Kinross", 77, "GB.PK"),
(1354, "Plymouth City", 77, "GB.PM"),
(1355, "Poole Borough", 77, "GB.PL"),
(1356, "Portsmouth City", 77, "GB.PS"),
(1357, "Powys County", 77, "GB.PO"),
(1358, "Peterborough City", 77, "GB.PB"),
(1359, "Redcar and Cleveland Borough", 77, "GB.RC"),
(1360, "Greater Manchester", 77, "GB.RD"),
(1361, "Rhondda Cynon Taff County Borough", 77, "GB.RT"),
(1362, "London Borough of Redbridge", 77, "GB.RB"),
(1363, "Berkshire", 77, "GB.RG"),
(1364, "Renfrewshire", 77, "GB.RF"),
(1365, "London Borough of Richmond upon Thames", 77, "GB.RU"),
(1366, "South Yorkshire", 77, "GB.RH"),
(1367, "Rutland County", 77, "GB.RL"),
(1368, "West Midlands", 77, "GB.ZW"),
(1369, "South Ayrshire", 77, "GB.SA"),
(1370, "The Scottish Borders", 77, "GB.BO"),
(1371, "Suffolk", 77, "GB.SF"),
(1372, "Merseyside", 77, "GB.SE"),
(1373, "South Gloucestershire", 77, "GB.SJ"),
(1374, "South Yorkshire", 77, "GB.SV"),
(1375, "Merseyside", 77, "GB.MS"),
(1376, "Shropshire", 77, "GB.SP"),
(1377, "Greater Manchester", 77, "GB.SK"),
(1378, "Greater Manchester", 77, "GB.ZF"),
(1379, "Berkshire", 77, "GB.ZL"),
(1380, "South Lanarkshire", 77, "GB.SL"),
(1381, "Tyne and Wear", 77, "GB.SD"),
(1382, "West Midlands", 77, "GB.SI"),
(1383, "Somerset", 77, "GB.SM"),
(1384, "Southend-on-Sea Borough", 77, "GB.SS"),
(1385, "Surrey", 77, "GB.SR"),
(1386, "Strabane", 77, "GB.SB"),
(1387, "Stoke-on-Trent City", 77, "GB.SO"),
(1388, "Stirling", 77, "GB.ZG"),
(1389, "Southampton City", 77, "GB.ZH"),
(1390, "London Borough of Sutton", 77, "GB.SU"),
(1391, "Staffordshire", 77, "GB.ST"),
(1392, "Stockton-on-Tees Borough", 77, "GB.ZT"),
(1393, "Tyne and Wear", 77, "GB.SX"),
(1394, "Swansea City and County", 77, "GB.SW"),
(1395, "Swindon Borough", 77, "GB.SN"),
(1396, "London Borough of Southwark", 77, "GB.SQ"),
(1397, "Greater Manchester", 77, "GB.TM"),
(1398, "Telford and Wrekin Borough", 77, "GB.TK"),
(1399, "Thurrock", 77, "GB.TR"),
(1400, "Torbay Borough", 77, "GB.TB"),
(1401, "Torfaen County Borough", 77, "GB.TF"),
(1402, "Greater Manchester", 77, "GB.TD"),
(1403, "London Borough of Tower Hamlets", 77, "GB.TH"),
(1404, "Vale of Glamorgan", 77, "GB.VG"),
(1405, "Warwickshire", 77, "GB.WR"),
(1406, "Berkshire", 77, "GB.WB"),
(1407, "Dumbarton & Clydebank", 77, "GB.WD"),
(1408, "London Borough of Waltham Forest", 77, "GB.WF"),
(1409, "Greater Manchester", 77, "GB.WN"),
(1410, "Wiltshire", 77, "GB.WL"),
(1411, "West Yorkshire", 77, "GB.WK"),
(1412, "West Midlands", 77, "GB.WZ"),
(1413, "West Lothian", 77, "GB.WH"),
(1414, "West Midlands", 77, "GB.WV"),
(1415, "London Borough of Wandsworth", 77, "GB.WW"),
(1416, "Berkshire", 77, "GB.BK"),
(1417, "Berkshire", 77, "GB.WO"),
(1418, "Worcestershire", 77, "GB.WC"),
(1419, "Halton Borough", 77, "GB.HL"),
(1420, "Warrington Borough", 77, "GB.WT"),
(1421, "Wrexham County Borough", 77, "GB.WX"),
(1422, "City of Westminster", 77, "GB.WE"),
(1423, "West Sussex", 77, "GB.WS"),
(1424, "York City", 77, "GB.YK"),
(1425, "Shetland Islands", 77, "GB.SH"),
(1426, "Abkhazia", 78, "GE.AB"),
(1427, "Ajaria", 78, "GE.AJ"),
(1428, "Guria", 78, "GE.GU"),
(1429, "Imereti", 78, "GE.IM"),
(1430, "Kakheti", 78, "GE.KA"),
(1431, "Kvemo Kartli", 78, "GE.KK"),
(1432, "Mtskheta-Mtianeti", 78, "GE.MM"),
(1433, "Racha-Lechkhumi [and] Kvemo Svaneti", 78, "GE.RK"),
(1434, "Samtskhe-Javakheti", 78, "GE.SJ"),
(1435, "Shida Kartli", 78, "GE.SD"),
(1436, "Samegrelo-Zemo Svaneti", 78, "GE.SZ"),
(1437, "Tbilisi", 78, "GE.TB"),
(1438, "Sark", 79, "GG.SK"),
(1439, "Greater Accra", 80, "GH.AA"),
(1440, "Ashanti", 80, "GH.AH"),
(1441, "Brong Ahafo", 80, "GH.BA"),
(1442, "Central", 80, "GH.CP"),
(1443, "Eastern", 80, "GH.EP"),
(1444, "Northern", 80, "GH.NP"),
(1445, "Volta", 80, "GH.TV"),
(1446, "Upper East", 80, "GH.UE"),
(1447, "Upper West", 80, "GH.UW"),
(1448, "Western", 80, "GH.WP"),
(1449, "Gibraltar", 81, "GI.GI"),
(1450, "NzÃ©rÃ©korÃ©", 82, "GN.BE"),
(1451, "Boke", 82, "GN.BF"),
(1452, "Boke", 82, "GN.BK"),
(1453, "Conakry", 82, "GN.CK"),
(1454, "Kindia", 82, "GN.CO"),
(1455, "Faranah", 82, "GN.DB"),
(1456, "Faranah", 82, "GN.DI"),
(1457, "Mamou", 82, "GN.DL"),
(1458, "Kindia", 82, "GN.DU"),
(1459, "Faranah", 82, "GN.FA"),
(1460, "Kindia", 82, "GN.FO"),
(1461, "Boke", 82, "GN.FR"),
(1462, "Boke", 82, "GN.GA"),
(1463, "NzÃ©rÃ©korÃ©", 82, "GN.GU"),
(1464, "Kankan", 82, "GN.KA"),
(1465, "LabÃ©", 82, "GN.KB"),
(1466, "Kindia", 82, "GN.KD"),
(1467, "Kankan", 82, "GN.KE"),
(1468, "Boke", 82, "GN.KN"),
(1469, "Kankan", 82, "GN.KO"),
(1470, "Faranah", 82, "GN.KS"),
(1471, "LabÃ©", 82, "GN.LA"),
(1472, "LabÃ©", 82, "GN.LE"),
(1473, "NzÃ©rÃ©korÃ©", 82, "GN.LO"),
(1474, "NzÃ©rÃ©korÃ©", 82, "GN.MC"),
(1475, "Kankan", 82, "GN.MD"),
(1476, "LabÃ©", 82, "GN.ML"),
(1477, "Mamou", 82, "GN.MM"),
(1478, "NzÃ©rÃ©korÃ©", 82, "GN.NZ"),
(1479, "Mamou", 82, "GN.PI"),
(1480, "Kankan", 82, "GN.SI"),
(1481, "Kindia", 82, "GN.TE"),
(1482, "LabÃ©", 82, "GN.TO"),
(1483, "NzÃ©rÃ©korÃ©", 82, "GN.YO"),
(1484, "Banjul", 83, "GM.BJ"),
(1485, "Lower River", 83, "GM.LR"),
(1486, "Maccarthy Island", 83, "GM.MC"),
(1487, "North Bank", 83, "GM.NB"),
(1488, "Upper River", 83, "GM.UR"),
(1489, "Western", 83, "GM.WE"),
(1490, "BafatÃ¡", 84, "GW.BA"),
(1491, "Bolama", 84, "GW.BL"),
(1492, "Biombo", 84, "GW.BM"),
(1493, "Bissau", 84, "GW.BS"),
(1494, "Cacheu", 84, "GW.CA"),
(1495, "Gabu", 84, "GW.GA"),
(1496, "Oio", 84, "GW.OI"),
(1497, "Quinara", 84, "GW.QU"),
(1498, "Tombali", 84, "GW.TO"),
(1499, "Annobon", 85, "GQ.AN"),
(1500, "Bioko Norte", 85, "GQ.BN"),
(1501, "Bioko Sur", 85, "GQ.BS"),
(1502, "Centro Sur", 85, "GQ.CS"),
(1503, "Kie-Ntem", 85, "GQ.KN"),
(1504, "Litoral", 85, "GQ.LI"),
(1505, "Wele-Nzas", 85, "GQ.WN"),
(1506, "Ayion Oros", 86, "GR.MA"),
(1507, "Anatoliki Makedonia kai Thraki", 86, "GR.MT"),
(1508, "Attiki", 86, "GR.AT"),
(1509, "Kentriki Makedonia", 86, "GR.MC"),
(1510, "Dytiki Makedonia", 86, "GR.MW"),
(1511, "Ipeiros", 86, "GR.EP"),
(1512, "Thessalia", 86, "GR.TS"),
(1513, "Ionioi Nisoi", 86, "GR.II"),
(1514, "Dytiki Ellada", 86, "GR.GW"),
(1515, "StereÃ¡ EllÃ¡da", 86, "GR.GC"),
(1516, "Peloponnisos", 86, "GR.PP"),
(1517, "Voreio Aigaio", 86, "GR.AN"),
(1518, "Notio Aigaio", 86, "GR.AS"),
(1519, "Kriti", 86, "GR.CR"),
(1520, "Saint Andrew", 87, "GD.AN"),
(1521, "Saint David", 87, "GD.DA"),
(1522, "Saint George", 87, "GD.GE"),
(1523, "Saint John", 87, "GD.JO"),
(1524, "Saint Mark", 87, "GD.MA"),
(1525, "Saint Patrick", 87, "GD.PA"),
(1526, "Southern Grenadine Islands", 87, "GD.CA"),
(1527, "Kommune Kujalleq", 88, "GL.KU"),
(1528, "Qaasuitsup Kommunia", 88, "GL.QS"),
(1529, "Qeqqata Kommunia", 88, "GL.QT"),
(1530, "Kommuneqarfik Sermersooq", 88, "GL.SE"),
(1531, "Nationalparken", 88, "GL.UO"),
(1532, "Alta Verapaz", 89, "GT.AV"),
(1533, "Baja Verapaz", 89, "GT.BV"),
(1534, "Chimaltenango", 89, "GT.CM"),
(1535, "Chiquimula", 89, "GT.CQ"),
(1536, "Escuintla", 89, "GT.ES"),
(1537, "Guatemala", 89, "GT.GU"),
(1538, "Huehuetenango", 89, "GT.HU"),
(1539, "Izabal", 89, "GT.IZ"),
(1540, "Jalapa", 89, "GT.JA"),
(1541, "Jutiapa", 89, "GT.JU"),
(1542, "PetÃ©n", 89, "GT.PE"),
(1543, "El Progreso", 89, "GT.PR"),
(1544, "QuichÃ©", 89, "GT.QC"),
(1545, "Quezaltenango", 89, "GT.QZ"),
(1546, "Retalhuleu", 89, "GT.RE"),
(1547, "SacatepÃ©quez", 89, "GT.SA"),
(1548, "San Marcos", 89, "GT.SM"),
(1549, "SololÃ¡", 89, "GT.SO"),
(1550, "Santa Rosa", 89, "GT.SR"),
(1551, "SuchitepÃ©quez", 89, "GT.SU"),
(1552, "TotonicapÃ¡n", 89, "GT.TO"),
(1553, "Zacapa", 89, "GT.ZA"),
(1554, "Guam", 90, "GU.X00~"),
(1555, "Barima-Waini", 91, "GY.BA"),
(1556, "Cuyuni-Mazaruni", 91, "GY.CU"),
(1557, "Demerara-Mahaica", 91, "GY.DE"),
(1558, "East Berbice-Corentyne", 91, "GY.EB"),
(1559, "Essequibo Islands-West Demerara", 91, "GY.ES"),
(1560, "Mahaica-Berbice", 91, "GY.MA"),
(1561, "Pomeroon-Supenaam", 91, "GY.PM"),
(1562, "Potaro-Siparuni", 91, "GY.PT"),
(1563, "Upper Demerara-Berbice", 91, "GY.UD"),
(1564, "Upper Takutu-Upper Essequibo", 91, "GY.UT"),
(1565, "Central and Western", 92, "HK.CW"),
(1566, "Wan Chai", 92, "HK.WC"),
(1567, "Eastern", 92, "HK.EA"),
(1568, "Southern", 92, "HK.SO"),
(1569, "Yau Tsim Mong", 92, "HK.YT"),
(1570, "Kowloon City", 92, "HK.KC"),
(1571, "Sham Shui Po", 92, "HK.SS"),
(1572, "Wong Tai Sin", 92, "HK.WT"),
(1573, "Kwun Tong", 92, "HK.KU"),
(1574, "Sai Kung", 92, "HK.SK"),
(1575, "Sha Tin", 92, "HK.ST"),
(1576, "Kwai Tsing", 92, "HK.KI"),
(1577, "Tsuen Wan", 92, "HK.TW"),
(1578, "Tuen Mun", 92, "HK.TM"),
(1579, "Yuen Long", 92, "HK.YL"),
(1580, "North", 92, "HK.NO"),
(1581, "Tai Po", 92, "HK.TP"),
(1582, "Islands", 92, "HK.IS"),
(1583, "eard Island and McDonald Islands", 93, "HM.HM"),
(1584, "AtlÃ¡ntida", 94, "HN.AT"),
(1585, "Choluteca", 94, "HN.CH"),
(1586, "ColÃ³n", 94, "HN.CL"),
(1587, "Comayagua", 94, "HN.CM"),
(1588, "CopÃ¡n", 94, "HN.CP"),
(1589, "CortÃ©s", 94, "HN.CR"),
(1590, "El ParaÃ­so", 94, "HN.EP"),
(1591, "Francisco MorazÃ¡n", 94, "HN.FM"),
(1592, "Gracias a Dios", 94, "HN.GD"),
(1593, "Islas de la BahÃ­a", 94, "HN.IB"),
(1594, "IntibucÃ¡", 94, "HN.IN"),
(1595, "Lempira", 94, "HN.LE"),
(1596, "La Paz", 94, "HN.LP"),
(1597, "Ocotepeque", 94, "HN.OC"),
(1598, "Olancho", 94, "HN.OL"),
(1599, "Santa BÃ¡rbara", 94, "HN.SB"),
(1600, "Valle", 94, "HN.VA"),
(1601, "Yoro", 94, "HN.YO"),
(1602, "Zagrebacka", 95, "HR.ZG"),
(1603, "Krapinsko-Zagorska", 95, "HR.KZ"),
(1604, "Sisacko-Moslavacka", 95, "HR.SM"),
(1605, "Karlovacka", 95, "HR.KA"),
(1606, "VaraÅ¾dinska", 95, "HR.VA"),
(1607, "KoprivniÄko-KriÅ¾evaÄka", 95, "HR.KK"),
(1608, "Bjelovarska-Bilogorska", 95, "HR.BB"),
(1609, "Primorsko-Goranska", 95, "HR.PG"),
(1610, "Licko-Senjska", 95, "HR.LS"),
(1611, "Viroviticko-Podravska", 95, "HR.VP"),
(1612, "Brodsko-Posavska", 95, "HR.SP"),
(1613, "Zadarska", 95, "HR.ZD"),
(1614, "Osjecko-Baranjska", 95, "HR.OB"),
(1615, "Å ibensko-Kninska", 95, "HR.SB"),
(1616, "Vukovarsko-Srijemska", 95, "HR.VS"),
(1617, "Splitsko-Dalmatinska", 95, "HR.SD"),
(1618, "Istarska", 95, "HR.IS"),
(1619, "DubrovaÄko-neretvanska", 95, "HR.DN"),
(1620, "Medimurska", 95, "HR.ME"),
(1621, "Grad Zagreb", 95, "HR.GZ"),
(1622, "L'Artibonite", 96, "HT.AR"),
(1623, "Centre", 96, "HT.CE"),
(1624, "Grand'Anse", 96, "HT.GR"),
(1625, "Nord", 96, "HT.ND"),
(1626, "Nord-Est", 96, "HT.NE"),
(1627, "Nippes", 96, "HT.NI"),
(1628, "Nord-Ouest", 96, "HT.NO"),
(1629, "Ouest", 96, "HT.OU"),
(1630, "Sud", 96, "HT.SD"),
(1631, "Sud-Est", 96, "HT.SE"),
(1632, "Baranya", 97, "HU.BA"),
(1633, "BÃ©kÃ©scsaba", 97, "HU.BC"),
(1634, "BÃ©kÃ©s", 97, "HU.BE"),
(1635, "BÃ¡cs-Kiskun", 97, "HU.BK"),
(1636, "Budapest", 97, "HU.BU"),
(1637, "Borsod-AbaÃºj-ZemplÃ©n", 97, "HU.BZ"),
(1638, "CsongrÃ¡d", 97, "HU.CS"),
(1639, "Debrecen", 97, "HU.DE"),
(1640, "DunaÃºjvÃ¡ros", 97, "HU.DU"),
(1641, "Ãrd", 97, "HU.ED"),
(1642, "Eger", 97, "HU.EG"),
(1643, "FejÃ©r", 97, "HU.FE"),
(1644, "Gyor-Moson-Sopron", 97, "HU.GS"),
(1645, "GyÃ´r", 97, "HU.GY"),
(1646, "HajdÃº-Bihar", 97, "HU.HB"),
(1647, "Heves", 97, "HU.HE"),
(1648, "HÃ³dmezÃ´vÃ¡sÃ¡rhely", 97, "HU.HV"),
(1649, "JÃ¡sz-Nagykun-Szolnok", 97, "HU.JN"),
(1650, "KomÃ¡rom-Esztergom", 97, "HU.KE"),
(1651, "KecskemÃ©t", 97, "HU.KM"),
(1652, "KaposvÃ¡r", 97, "HU.KV"),
(1653, "Miskolc", 97, "HU.MI"),
(1654, "Nagykanizsa", 97, "HU.NK"),
(1655, "NÃ³grÃ¡d", 97, "HU.NO"),
(1656, "NyÃ­regyhÃ¡za", 97, "HU.NY"),
(1657, "Pest", 97, "HU.PT"),
(1658, "PÃ©cs", 97, "HU.PS"),
(1659, "Szeged", 97, "HU.SD"),
(1660, "SzÃ©kesfehÃ©rvÃ¡r", 97, "HU.SF"),
(1661, "Szombathely", 97, "HU.SH"),
(1662, "Szolnok", 97, "HU.SK"),
(1663, "Sopron", 97, "HU.SN"),
(1664, "Somogy", 97, "HU.SO"),
(1665, "SzekszÃ¡rd", 97, "HU.SS"),
(1666, "SalgÃ³tarjÃ¡n", 97, "HU.ST"),
(1667, "Szabolcs-SzatmÃ¡r-Bereg", 97, "HU.SZ"),
(1668, "TatabÃ¡nya", 97, "HU.TB"),
(1669, "Tolna", 97, "HU.TO"),
(1670, "Vas", 97, "HU.VA"),
(1671, "VeszprÃ©m", 97, "HU.VE"),
(1672, "VeszprÃ©m", 97, "HU.VM"),
(1673, "Zala", 97, "HU.ZA"),
(1674, "Zalaegerszeg", 97, "HU.ZE"),
(1675, "Aceh", 98, "ID.AC"),
(1676, "Bali", 98, "ID.BA"),
(1677, "Bangka-Belitung", 98, "ID.BB"),
(1678, "Bengkulu", 98, "ID.BE"),
(1679, "Banten", 98, "ID.BT"),
(1680, "Gorontalo", 98, "ID.GO"),
(1681, "Jambi", 98, "ID.JA"),
(1682, "Jawa Barat", 98, "ID.JR"),
(1683, "Jawa Timur", 98, "ID.JI"),
(1684, "Jakarta Raya", 98, "ID.JK"),
(1685, "Jawa Tengah", 98, "ID.JT"),
(1686, "Kalimantan Barat", 98, "ID.KB"),
(1687, "Kalimantan Timur", 98, "ID.KI"),
(1688, "Kepulauan Riau", 98, "ID.KR"),
(1689, "Kalimantan Selatan", 98, "ID.KS"),
(1690, "Kalimantan Tengah", 98, "ID.KT"),
(1691, "Lampung", 98, "ID.LA"),
(1692, "Maluku", 98, "ID.MA"),
(1693, "Maluku Utara", 98, "ID.LA"),
(1694, "Nusa Tenggara Barat", 98, "ID.NB"),
(1695, "Nusa Tenggara Timur", 98, "ID.NT"),
(1696, "Papua", 98, "ID.PA"),
(1697, "Irian Jaya Barat", 98, "ID.IB"),
(1698, "Riau", 98, "ID.RI"),
(1699, "Sulawesi Utara", 98, "ID.SW"),
(1700, "Sumatera Barat", 98, "ID.SB"),
(1701, "Sulawesi Tenggara", 98, "ID.SG"),
(1702, "Sulawesi Selatan", 98, "ID.SE"),
(1703, "Sulawesi Barat", 98, "ID.SR"),
(1704, "Sumatera Selatan", 98, "ID.SL"),
(1705, "Sulawesi Tengah", 98, "ID.ST"),
(1706, "Sumatera Utara", 98, "ID.SU"),
(1707, "Yogyakarta", 98, "ID.YO"),
(1708, "IMN-00 (Isle of Man aggregation)", 99, "IM.X00~"),
(1709, "Andaman and Nicobar", 100, "IN.AN"),
(1710, "Andhra Pradesh", 100, "IN.AD"),
(1711, "Arunachal Pradesh", 100, "IN.AR"),
(1712, "Assam", 100, "IN.AS"),
(1713, "Bihar", 100, "IN.BR"),
(1714, "Chandigarh", 100, "IN.CH"),
(1715, "Chhattisgarh", 100, "IN.CT"),
(1716, "Daman and Diu", 100, "IN.DD"),
(1717, "Delhi", 100, "IN.DL"),
(1718, "Dadra and Nagar Haveli", 100, "IN.DN"),
(1719, "Goa", 100, "IN.GA"),
(1720, "Gujarat", 100, "IN.GJ"),
(1721, "Himachal Pradesh", 100, "IN.HP"),
(1722, "Haryana", 100, "IN.HR"),
(1723, "Jharkhand", 100, "IN.JH"),
(1724, "Jammu and Kashmir", 100, "IN.JK"),
(1725, "Karnataka", 100, "IN.KA"),
(1726, "Kerala", 100, "IN.KL"),
(1727, "Lakshadweep", 100, "IN.LD"),
(1728, "Maharashtra", 100, "IN.MH"),
(1729, "Meghalaya", 100, "IN.ML"),
(1730, "Manipur", 100, "IN.MN"),
(1731, "Madhya Pradesh", 100, "IN.MP"),
(1732, "Mizoram", 100, "IN.MZ"),
(1733, "Nagaland", 100, "IN.NL"),
(1734, "Orissa", 100, "IN.OR"),
(1735, "Punjab", 100, "IN.PB"),
(1736, "Puducherry", 100, "IN.PY"),
(1737, "Rajasthan", 100, "IN.RJ"),
(1738, "Sikkim", 100, "IN.SK"),
(1739, "Tamil Nadu", 100, "IN.TN"),
(1740, "Tripura", 100, "IN.TR"),
(1741, "Uttar Pradesh", 100, "IN.UP"),
(1742, "Uttaranchal", 100, "IN.UT"),
(1743, "West Bengal", 100, "IN.WB"),
(1744, "British Indian Ocean Territory", 101, "IO.IO"),
(1745, "Clare", 102, "IE.CE"),
(1746, "Cavan", 102, "IE.CN"),
(1747, "Cork", 102, "IE.CK"),
(1748, "Carlow", 102, "IE.CW"),
(1749, "Dublin", 102, "IE.DN"),
(1750, "Donegal", 102, "IE.DL"),
(1751, "Galway", 102, "IE.GY"),
(1752, "Kildare", 102, "IE.KE"),
(1753, "Kilkenny", 102, "IE.KK"),
(1754, "Kerry", 102, "IE.KY"),
(1755, "Longford", 102, "IE.LD"),
(1756, "Louth", 102, "IE.LH"),
(1757, "Limerick", 102, "IE.LK"),
(1758, "Leitrim", 102, "IE.LM"),
(1759, "Laoighis", 102, "IE.LS"),
(1760, "Meath", 102, "IE.MH"),
(1761, "Monaghan", 102, "IE.MN"),
(1762, "Mayo", 102, "IE.MO"),
(1763, "Offaly", 102, "IE.OY"),
(1764, "Roscommon", 102, "IE.RN"),
(1765, "Sligo", 102, "IE.SO"),
(1766, "Tipperary", 102, "IE.TY"),
(1767, "Waterford", 102, "IE.WD"),
(1768, "Westmeath", 102, "IE.WH"),
(1769, "Wicklow", 102, "IE.WW"),
(1770, "Wexford", 102, "IE.WX"),
(1771, "East Azarbaijan", 103, "IR.EA"),
(1772, "West Azarbaijan", 103, "IR.WA"),
(1773, "Ardebil", 103, "IR.AR"),
(1774, "Esfahan", 103, "IR.ES"),
(1775, "Ilam", 103, "IR.IL"),
(1776, "Bushehr", 103, "IR.BS"),
(1777, "Tehran", 103, "IR.AL"),
(1778, "Chahar Mahall and Bakhtiari", 103, "IR.CM"),
(1779, "Khuzestan", 103, "IR.KZ"),
(1780, "Zanjan", 103, "IR.ZA"),
(1781, "Semnan", 103, "IR.SM"),
(1782, "Sistan and Baluchestan", 103, "IR.SB"),
(1783, "Fars", 103, "IR.FA"),
(1784, "Kerman", 103, "IR.KE"),
(1785, "Kordestan", 103, "IR.KD"),
(1786, "Kermanshah", 103, "IR.BK"),
(1787, "Kohgiluyeh and Buyer Ahmad", 103, "IR.KB"),
(1788, "Gilan", 103, "IR.GI"),
(1789, "Lorestan", 103, "IR.LO"),
(1790, "Mazandaran", 103, "IR.MN"),
(1791, "Markazi", 103, "IR.MK"),
(1792, "Hormozgan", 103, "IR.HG"),
(1793, "Hamadan", 103, "IR.HD"),
(1794, "Yazd", 103, "IR.YA"),
(1795, "Qom", 103, "IR.QM"),
(1796, "Golestan", 103, "IR.GO"),
(1797, "Qazvin", 103, "IR.QZ"),
(1798, "Khorasan-e Janubi", 103, "IR.KJ"),
(1799, "Razavi Khorasan", 103, "IR.KV"),
(1800, "Khorasan-e Shemali", 103, "IR.KS"),
(1801, "Al-Anbar", 104, "IQ.AN"),
(1802, "Arbil", 104, "IQ.AR"),
(1803, "Al-Basrah", 104, "IQ.BA"),
(1804, "Babil", 104, "IQ.BB"),
(1805, "Baghdad", 104, "IQ.BG"),
(1806, "Dihok", 104, "IQ.DA"),
(1807, "Diyala", 104, "IQ.DI"),
(1808, "Dhi-Qar", 104, "IQ.DQ"),
(1809, "Karbala'", 104, "IQ.KA"),
(1810, "Maysan", 104, "IQ.MA"),
(1811, "Al-Muthannia", 104, "IQ.MU"),
(1812, "An-Najaf", 104, "IQ.NA"),
(1813, "Ninawa", 104, "IQ.NI"),
(1814, "Al-Qadisiyah", 104, "IQ.QA"),
(1815, "Sala ad-Din", 104, "IQ.SD"),
(1816, "As-Sulaymaniyah", 104, "IQ.SU"),
(1817, "At-Ta'mim", 104, "IQ.TS"),
(1818, "Wasit", 104, "IQ.WA"),
(1819, "Höfuðborgarsvæði utan Reykjavíkur", 105, "IS.HO"),
(1820, "Suðurnes", 105, "IS.SU"),
(1821, "Vesturland", 105, "IS.VL"),
(1822, "Vestfirðir", 105, "IS.VF"),
(1823, "Norðurland vestra", 105, "IS.NV"),
(1824, "Norðurland eystra", 105, "IS.NE"),
(1825, "Austurland", 105, "IS.AL"),
(1826, "Suðurland", 105, "IS.SL"),
(1827, "HaDarom", 106, "IL.HD"),
(1828, "Haifa", 106, "IL.HA"),
(1829, "Jerusalem", 106, "IL.JM"),
(1830, "HaMerkaz", 106, "IL.HM"),
(1831, "Tel Aviv", 106, "IL.TA"),
(1832, "HaZafon", 106, "IL.HZ"),
(1833, "Agrigento", 107, "IT.AG"),
(1834, "Alessandria", 107, "IT.AL"),
(1835, "Ancona", 107, "IT.AN"),
(1836, "Aosta", 107, "IT.AO"),
(1837, "Ascoli Piceno", 107, "IT.AP"),
(1838, "L'Aquila", 107, "IT.AQ"),
(1839, "Arezzo", 107, "IT.AR"),
(1840, "Asti", 107, "IT.AT"),
(1841, "Avellino", 107, "IT.AV"),
(1842, "Bari", 107, "IT.BA"),
(1843, "Bergamo", 107, "IT.BG"),
(1844, "Biella", 107, "IT.BI"),
(1845, "Belluno", 107, "IT.BL"),
(1846, "Benevento", 107, "IT.BN"),
(1847, "Bologna", 107, "IT.BO"),
(1848, "Brindisi", 107, "IT.BR"),
(1849, "Brescia", 107, "IT.BS"),
(1850, "Barletta-Andria Trani", 107, "IT.BT"),
(1851, "Bolzano", 107, "IT.BZ"),
(1852, "Cagliari", 107, "IT.CA"),
(1853, "Campobasso", 107, "IT.CB"),
(1854, "Caserta", 107, "IT.CE"),
(1855, "Chieti", 107, "IT.CH"),
(1856, "Carbonia-Iglesias", 107, "IT.CI"),
(1857, "Caltanissetta", 107, "IT.CL"),
(1858, "Cuneo", 107, "IT.CN"),
(1859, "Como", 107, "IT.CO"),
(1860, "Cremona", 107, "IT.CR"),
(1861, "Cosenza", 107, "IT.CS"),
(1862, "Catania", 107, "IT.CT"),
(1863, "Catanzaro", 107, "IT.CZ"),
(1864, "Enna", 107, "IT.EN"),
(1865, "Forli-Cesena", 107, "IT.FC"),
(1866, "Ferrara", 107, "IT.FE"),
(1867, "Foggia", 107, "IT.FG"),
(1868, "Firenze", 107, "IT.FI"),
(1869, "Fermo", 107, "IT.FM"),
(1870, "Frosinone", 107, "IT.FR"),
(1871, "Genova", 107, "IT.GE"),
(1872, "Gorizia", 107, "IT.GO"),
(1873, "Grosseto", 107, "IT.GR"),
(1874, "Imperia", 107, "IT.IM"),
(1875, "Isernia", 107, "IT.IS"),
(1876, "Crotene", 107, "IT.KR"),
(1877, "Lecco", 107, "IT.LC"),
(1878, "Lecce", 107, "IT.LE"),
(1879, "Livorno", 107, "IT.LI"),
(1880, "Lodi", 107, "IT.LO"),
(1881, "Latina", 107, "IT.LT"),
(1882, "Lucca", 107, "IT.LU"),
(1883, "Province of Monza and Brianza", 107, "IT.MB"),
(1884, "Macerata", 107, "IT.MC"),
(1885, "Messina", 107, "IT.ME"),
(1886, "Milano", 107, "IT.MI"),
(1887, "Mantova", 107, "IT.MN"),
(1888, "Modena", 107, "IT.MO"),
(1889, "Massa-Carrara", 107, "IT.MS"),
(1890, "Matera", 107, "IT.MT"),
(1891, "Napoli", 107, "IT.NA"),
(1892, "Novara", 107, "IT.NO"),
(1893, "Nuoro", 107, "IT.NU"),
(1894, "Ogliastra", 107, "IT.OG"),
(1895, "Oristrano", 107, "IT.OR"),
(1896, "Olbia-Tempio", 107, "IT.OT"),
(1897, "Palermo", 107, "IT.PA"),
(1898, "Piacenza", 107, "IT.PC"),
(1899, "Padova", 107, "IT.PD"),
(1900, "Pescara", 107, "IT.PE"),
(1901, "Perugia", 107, "IT.PG"),
(1902, "Pisa", 107, "IT.PI"),
(1903, "Pordenone", 107, "IT.PN"),
(1904, "Prato", 107, "IT.PO"),
(1905, "Parma", 107, "IT.PR"),
(1906, "Pistoia", 107, "IT.PT"),
(1907, "Pesaro e Urbino", 107, "IT.PU"),
(1908, "Pavia", 107, "IT.PV"),
(1909, "Potenza", 107, "IT.PZ"),
(1910, "Ravenna", 107, "IT.RA"),
(1911, "Reggio Calabria", 107, "IT.RC"),
(1912, "Reggio Emilia", 107, "IT.RE"),
(1913, "Ragusa", 107, "IT.RG"),
(1914, "Rieti", 107, "IT.RI"),
(1915, "Roma", 107, "IT.RM"),
(1916, "Rimini", 107, "IT.RN"),
(1917, "Rovigo", 107, "IT.RO"),
(1918, "Salerno", 107, "IT.SA"),
(1919, "Siena", 107, "IT.SI"),
(1920, "Sondrio", 107, "IT.SO"),
(1921, "La Spezia", 107, "IT.SP"),
(1922, "Siracusa", 107, "IT.SR"),
(1923, "Sassari", 107, "IT.SS"),
(1924, "Savona", 107, "IT.SV"),
(1925, "Taranto", 107, "IT.TA"),
(1926, "Teramo", 107, "IT.TE"),
(1927, "Trento", 107, "IT.TN"),
(1928, "Turin", 107, "IT.TO"),
(1929, "Trapani", 107, "IT.TP"),
(1930, "Terni", 107, "IT.TR"),
(1931, "Trieste", 107, "IT.TS"),
(1932, "Treviso", 107, "IT.TV"),
(1933, "Udine", 107, "IT.UD"),
(1934, "Varese", 107, "IT.VA"),
(1935, "Verbano-Cusio-Ossola", 107, "IT.VB"),
(1936, "Vercelli", 107, "IT.VC"),
(1937, "Venezia", 107, "IT.VE"),
(1938, "Vicenza", 107, "IT.VI"),
(1939, "Verona", 107, "IT.VR"),
(1940, "Medio Campidano", 107, "IT.VS"),
(1941, "Viterbo", 107, "IT.VT"),
(1942, "Vibo Valentia", 107, "IT.VV"),
(1943, "Kingston", 108, "JM.KI"),
(1944, "Saint Andrew", 108, "JM.SD"),
(1945, "Saint Thomas", 108, "JM.ST"),
(1946, "Portland", 108, "JM.PO"),
(1947, "Saint Mary", 108, "JM.SM"),
(1948, "Saint Ann", 108, "JM.SN"),
(1949, "Trelawny", 108, "JM.TR"),
(1950, "Saint James", 108, "JM.SJ"),
(1951, "Hanover", 108, "JM.HA"),
(1952, "Westmoreland", 108, "JM.WE"),
(1953, "Saint Elizabeth", 108, "JM.SE"),
(1954, "Manchester", 108, "JM.MA"),
(1955, "Clarendon", 108, "JM.CL"),
(1956, "Saint Catherine", 108, "JM.SC"),
(1957, "Jersey", 109, "JE.X00~"),
(1958, "Ajlun", 110, "JO.AJ"),
(1959, "Amman", 110, "JO.AM"),
(1960, "Aqaba", 110, "JO.AQ"),
(1961, "Tafilah", 110, "JO.AT"),
(1962, "Zarqa", 110, "JO.AZ"),
(1963, "Balqa", 110, "JO.BA"),
(1964, "Irbid", 110, "JO.IR"),
(1965, "Jarash", 110, "JO.JA"),
(1966, "Karak", 110, "JO.KA"),
(1967, "Mafraq", 110, "JO.MA"),
(1968, "Madaba", 110, "JO.MD"),
(1969, "Ma`an", 110, "JO.MN"),
(1970, "Hokkaido", 111, "JP.HK"),
(1971, "Aomori", 111, "JP.AO"),
(1972, "Iwate", 111, "JP.IW"),
(1973, "Miyagi", 111, "JP.MG"),
(1974, "Akita", 111, "JP.AK"),
(1975, "Yamagata", 111, "JP.YT"),
(1976, "Fukushima", 111, "JP.FS"),
(1977, "Ibaraki", 111, "JP.IB"),
(1978, "Tochigi", 111, "JP.TC"),
(1979, "Gunma", 111, "JP.GM"),
(1980, "Saitama", 111, "JP.ST"),
(1981, "Chiba", 111, "JP.CH"),
(1982, "Tokyo", 111, "JP.TK"),
(1983, "Kanagawa", 111, "JP.KN"),
(1984, "Niigata", 111, "JP.NI"),
(1985, "Toyama", 111, "JP.TY"),
(1986, "Ishikawa", 111, "JP.IS"),
(1987, "Fukui", 111, "JP.FI"),
(1988, "Yamanashi", 111, "JP.YN"),
(1989, "Nagano", 111, "JP.NN"),
(1990, "Gifu", 111, "JP.GF"),
(1991, "Shizuoka", 111, "JP.SZ"),
(1992, "Aichi", 111, "JP.AI"),
(1993, "Mie", 111, "JP.ME"),
(1994, "Shiga", 111, "JP.SH"),
(1995, "Kyoto", 111, "JP.KY"),
(1996, "Osaka", 111, "JP.OS"),
(1997, "HyÅgo", 111, "JP.HG"),
(1998, "Nara", 111, "JP.NR"),
(1999, "Wakayama", 111, "JP.WK"),
(2000, "Tottori", 111, "JP.TT"),
(2001, "Shimane", 111, "JP.SM"),
(2002, "Okayama", 111, "JP.OY"),
(2003, "Hiroshima", 111, "JP.HS"),
(2004, "Yamaguchi", 111, "JP.YC"),
(2005, "Tokushima", 111, "JP.TS"),
(2006, "Kagawa", 111, "JP.KG"),
(2007, "Ehime", 111, "JP.EH"),
(2008, "Kochi", 111, "JP.KC"),
(2009, "Fukuoka", 111, "JP.FO"),
(2010, "Saga", 111, "JP.SG"),
(2011, "Nagasaki", 111, "JP.NS"),
(2012, "Kumamoto", 111, "JP.KM"),
(2013, "Oita", 111, "JP.OT"),
(2014, "Miyazaki", 111, "JP.MZ"),
(2015, "Kagoshima", 111, "JP.KS"),
(2016, "Okinawa", 111, "JP.ON"),
(2017, "Aqmola", 112, "KZ.AM"),
(2018, "AqtÃ¶be", 112, "KZ.AT"),
(2019, "Almaty", 112, "KZ.AC"),
(2020, "Astana", 112, "KZ.AS"),
(2021, "Atyrau", 112, "KZ.AR"),
(2022, "Qaraghandy", 112, "KZ.QG"),
(2023, "Qostanay", 112, "KZ.QS"),
(2024, "Qyzylorda", 112, "KZ.QO"),
(2025, "Mangghystau", 112, "KZ.MG"),
(2026, "Pavlodar", 112, "KZ.PA"),
(2027, "North Kazakhstan", 112, "KZ.NK"),
(2028, "East Kazakhstan", 112, "KZ.EK"),
(2029, "South Kazakhstan", 112, "KZ.SK"),
(2030, "West Kazakhstan", 112, "KZ.WK"),
(2031, "Zhambyl", 112, "KZ.ZM"),
(2032, "Nairobi", 113, "KE.NB"),
(2033, "Central", 113, "KE.CE"),
(2034, "Coast", 113, "KE.CO"),
(2035, "Eastern", 113, "KE.NA"),
(2036, "North-Eastern", 113, "KE.NE"),
(2037, "Nyanza", 113, "KE.NY"),
(2038, "Rift Valley", 113, "KE.RV"),
(2039, "Western", 113, "KE.WE"),
(2040, "Batken", 114, "KG.BA"),
(2041, "Chuy", 114, "KG.GB"),
(2042, "Bishkek", 114, "KG.GB"),
(2043, "Jalal-Abad", 114, "KG.DA"),
(2044, "Naryn", 114, "KG.NA"),
(2045, "Osh", 114, "KG.OH"),
(2046, "Talas", 114, "KG.TL"),
(2047, "Ysyk-KÃ¶l", 114, "KG.YK"),
(2048, "BÃ¢ntÃ©ay MÃ©anchey", 115, "KH.OM"),
(2049, "BatdÃ¢mbÃ¢ng", 115, "KH.BA"),
(2050, "KÃ¢mpÃ³ng Cham", 115, "KH.KC"),
(2051, "KÃ¢mpÃ³ng Chhnang", 115, "KH.KG"),
(2052, "KÃ¢mpÃ³ng SpÅ", 115, "KH.KS"),
(2053, "KÃ¢mpÃ³ng Thum", 115, "KH.KT"),
(2054, "KÃ¢mpÃ´t", 115, "KH.KP"),
(2055, "KÃ¢ndal", 115, "KH.KN"),
(2056, "KaÃ´h Kong", 115, "KH.KK"),
(2057, "KrÃ¢chÃ©h", 115, "KH.KH"),
(2058, "MÃ´ndÃ³l Kiri", 115, "KH.MK"),
(2059, "Phnom Penh", 115, "KH.PP"),
(2060, "Preah VihÃ©ar", 115, "KH.PH"),
(2061, "Prey VÃªng", 115, "KH.PY"),
(2062, "Pouthisat", 115, "KH.PO"),
(2063, "RÃ´tÃ¢nÃ´kiri", 115, "KH.RO"),
(2064, "SiemrÃ©ab", 115, "KH.SI"),
(2065, "Krong Preah Sihanouk", 115, "KH.KA"),
(2066, "StÅng TrÃªng", 115, "KH.ST"),
(2067, "Svay Rieng", 115, "KH.SR"),
(2068, "TakÃªv", 115, "KH.TA"),
(2069, "Otdar Mean Chey", 115, "KH.OC"),
(2070, "Kep", 115, "KH.KB"),
(2071, "Krong Pailin", 115, "KH.PL"),
(2072, "Kiribati", 116, "KI.X01~"),
(2073, "KI.X02~", 116, "KI.X02~"),
(2074, "Christ Church Nichola Town", 117, "KN.CC"),
(2075, "Saint Anne Sandy Point", 117, "KN.AS"),
(2076, "Saint George Basseterre", 117, "KN.GB"),
(2077, "Saint George Gingerland", 117, "KN.GG"),
(2078, "Saint James Windward", 117, "KN.JW"),
(2079, "Saint John Capesterre", 117, "KN.JC"),
(2080, "Saint John Figtree", 117, "KN.JF"),
(2081, "Saint Mary Cayon", 117, "KN.MC"),
(2082, "Saint Paul Capesterre", 117, "KN.PP"),
(2083, "Saint Paul Charlestown", 117, "KN.PL"),
(2084, "Saint Peter Basseterre", 117, "KN.PB"),
(2085, "Saint Thomas Lowland", 117, "KN.TL"),
(2086, "Saint Thomas Middle Island", 117, "KN.TM"),
(2087, "Trinity Palmetto Point", 117, "KN.TP"),
(2088, "Seoul", 118, "KR.SO"),
(2089, "Busan", 118, "KR.PU"),
(2090, "Daegu", 118, "KR.TG"),
(2091, "Inch'on-gwangyoksi", 118, "KR.IN"),
(2092, "Gwangju Gwang'yeogsi [Kwangju-Kwangyokshi]", 118, "KR.KJ"),
(2093, "Daejeon", 118, "KR.TJ"),
(2094, "Ulsan", 118, "KR.UL"),
(2095, "Gyeonggi-do", 118, "KR.KG"),
(2096, "Gangwon-do", 118, "KR.KW"),
(2097, "Chungcheongbuk-do", 118, "KR.HB"),
(2098, "Chungcheongnam-do", 118, "KR.HN"),
(2099, "Jeollabuk-do", 118, "KR.CB"),
(2100, "Jeonranamdo [Chollanam-do]", 118, "KR.KJ"),
(2101, "Taegu-gwangyoksi", 118, "KR.TG"),
(2102, "Gyeongsangnam-do", 118, "KR.KN"),
(2103, "Jeju", 118, "KR.CJ"),
(2104, "Sejong", 118, "KR.SJ"),
(2105, "Äakovica", 119, "XK.X01~"),
(2106, "Äakovica", 119, "XK.X02~"),
(2107, "Prizren", 119, "XK.X03~"),
(2108, "Pristina", 119, "XK.X04~"),
(2109, "Gnjilane", 119, "XK.X05~"),
(2110, "Äakovica", 119, "XK.X06~"),
(2111, "Prizren", 119, "XK.X07~"),
(2112, "Äakovica", 119, "XK.X08~"),
(2113, "Pristina", 119, "XK.X09~"),
(2114, "Gnjilane", 119, "XK.X10~"),
(2115, "Kosovska Mitrovica", 119, "XK.X11~"),
(2116, "Kosovska Mitrovica", 119, "XK.X12~"),
(2117, "Pristina", 119, "XK.X13~"),
(2118, "Prizren", 119, "XK.X14~"),
(2119, "Gnjilane", 119, "XK.X15~"),
(2120, "Pristina", 119, "XK.X16~"),
(2121, "Äakovica", 119, "XK.X17~"),
(2122, "Äakovica", 119, "XK.X18~"),
(2123, "Pristina", 119, "XK.X19~"),
(2124, "Pristina", 119, "XK.X20~"),
(2125, "Prizren", 119, "XK.X21~"),
(2126, "Kosovska Mitrovica", 119, "XK.X22~"),
(2127, "Prizren", 119, "XK.X23~"),
(2128, "Prizren", 119, "XK.X24~"),
(2129, "Prizren", 119, "XK.X25~"),
(2130, "Prizren", 119, "XK.X26~"),
(2131, "Gnjilane", 119, "XK.X27~"),
(2132, "Kosovska Mitrovica", 119, "XK.X28~"),
(2133, "Kosovska Mitrovica", 119, "XK.X29~"),
(2134, "Kosovska Mitrovica", 119, "XK.X30~"),
(2135, "Al Ahmadi", 120, "KW.AH"),
(2136, "Al Farwaniyah", 120, "KW.FA"),
(2137, "Hawalli", 120, "KW.HW"),
(2138, "Al Jahrah", 120, "KW.JA"),
(2139, "Al Asimah", 120, "KW.KU"),
(2140, "Mubarak Al-Kabeer", 120, "KW.MU"),
(2141, "Attapu", 121, "LA.AT"),
(2142, "Bokeo", 121, "LA.BK"),
(2143, "Bolikhamxai", 121, "LA.BL"),
(2144, "Champasak", 121, "LA.CH"),
(2145, "Houaphan", 121, "LA.HO"),
(2146, "Khammouan", 121, "LA.KH"),
(2147, "Louang Namtha", 121, "LA.LM"),
(2148, "Louangphrabang", 121, "LA.LP"),
(2149, "OudÃ´mxai", 121, "LA.OU"),
(2150, "PhÃ´ngsali", 121, "LA.PH"),
(2151, "Saravan", 121, "LA.SL"),
(2152, "SavannakhÃ©t", 121, "LA.SV"),
(2153, "Vientiane", 121, "LA.VI"),
(2154, "Xaignabouri", 121, "LA.XA"),
(2155, "XÃ©kong", 121, "LA.XE"),
(2156, "Xiangkhoang", 121, "LA.XI"),
(2157, "North Lebanon", 122, "LB.NL"),
(2158, "Beirut", 122, "LB.BA"),
(2159, "Beqaa", 122, "LB.BQ"),
(2160, "South Lebanon", 122, "LB.JA"),
(2161, "Mount Lebanon", 122, "LB.JL"),
(2162, "An Nabatiyah", 122, "LB.NA"),
(2163, "Bong", 123, "LR.BG"),
(2164, "Bomi", 123, "LR.BM"),
(2165, "Grand Cape Mount", 123, "LR.CM"),
(2166, "Grand Bassa", 123, "LR.GB"),
(2167, "Grand Gedeh", 123, "LR.GD"),
(2168, "Grand Kru", 123, "LR.GK"),
(2169, "Lofa", 123, "LR.LF"),
(2170, "Margibi", 123, "LR.MG"),
(2171, "Montserrado", 123, "LR.MO"),
(2172, "Maryland", 123, "LR.MY"),
(2173, "Nimba", 123, "LR.NI"),
(2174, "River Cess", 123, "LR.RI"),
(2175, "Sinoe", 123, "LR.SI"),
(2176, "Gbarpolu", 123, "LR.GP"),
(2177, "River Gee", 123, "LR.RG"),
(2178, "Ajdabiya", 124, "LY.AJ"),
(2179, "Benghazi", 124, "LY.BG"),
(2180, "Al Butnan", 124, "LY.BN"),
(2181, "Ghadamis", 124, "LY.GD"),
(2182, "Ghat", 124, "LY.GH"),
(2183, "Al Jabal al Akhdar", 124, "LY.JK"),
(2184, "Al Jifarah", 124, "LY.JR"),
(2185, "Al Jufrah", 124, "LY.JF"),
(2186, "Al Kufrah", 124, "LY.KU"),
(2187, "Al Marqab", 124, "LY.MR"),
(2188, "Misratah", 124, "LY.MS"),
(2189, "Al Hizam Al Akhdar", 124, "LY.MA"),
(2190, "Murzuq", 124, "LY.MU"),
(2191, "Mizdah", 124, "LY.MZ"),
(2192, "An Nuqat al Khams", 124, "LY.NK"),
(2193, "Al Qubbah", 124, "LY.QB"),
(2194, "Sabha", 124, "LY.SA"),
(2195, "Surt", 124, "LY.ST"),
(2196, "Tajura' wa an Nawahi al Arba", 124, "LY.TN"),
(2197, "Wadi al ?ayat", 124, "LY.GT"),
(2198, "Ash Shati'", 124, "LY.SH"),
(2199, "Az Zawiyah", 124, "LY.ZW"),
(2200, "Ansela-Raye", 125, "LC.AR"),
(2201, "Castries", 125, "LC.CS"),
(2202, "Choiseul", 125, "LC.CH"),
(2203, "Dauphin", 125, "LC..X02~"),
(2204, "Dennery", 125, "LC.DE"),
(2205, "Gros Islet", 125, "LC.GI"),
(2206, "Laborie", 125, "LC.LB"),
(2207, "Micoud", 125, "LC.MI"),
(2208, "Praslin", 125, "LC.X01~"),
(2209, "Soufriere", 125, "LC.CO"),
(2210, "Vieux Fort", 125, "LC.VF"),
(2211, "Balzers", 126, "LI.BA"),
(2212, "Eschen", 126, "LI.ES"),
(2213, "Gamprin", 126, "LI.GA"),
(2214, "Mauren", 126, "LI.MA"),
(2215, "Planken", 126, "LI.PL"),
(2216, "Ruggell", 126, "LI.RU"),
(2217, "Schaan", 126, "LI.SN"),
(2218, "Schellenberg", 126, "LI.SB"),
(2219, "Triesen", 126, "LI.TN"),
(2220, "Triesenberg", 126, "LI.TB"),
(2221, "Vaduz", 126, "LI.VA"),
(2222, "Colombo", 127, "LK.CO"),
(2223, "Gampaha", 127, "LK.GQ"),
(2224, "Kalutara", 127, "LK.KT"),
(2225, "Kandy", 127, "LK.KY"),
(2226, "Matale", 127, "LK.MT"),
(2227, "Nuwara Eliya", 127, "LK.NW"),
(2228, "Galle", 127, "LK.GL"),
(2229, "Matara", 127, "LK.MH"),
(2230, "Hambantota", 127, "LK.HB"),
(2231, "Jaffna", 127, "LK.JA"),
(2232, "Kilinochchi", 127, "LK.KL"),
(2233, "Mannar", 127, "LK.MB"),
(2234, "Vavuniya", 127, "LK.VA"),
(2235, "Mullaitivu", 127, "LK.MP"),
(2236, "Batticaloa", 127, "LK.BC"),
(2237, "Ampara", 127, "LK.AP"),
(2238, "Trincomalee", 127, "LK.TC"),
(2239, "Kurunegala", 127, "LK.KG"),
(2240, "Puttalam", 127, "LK.PX"),
(2241, "Anuradhapura", 127, "LK.AD"),
(2242, "Polonnaruwa", 127, "LK.PR"),
(2243, "Badulla", 127, "LK.BD"),
(2244, "Moneragala", 127, "LK.MJ"),
(2245, "Ratnapura", 127, "LK.RN"),
(2246, "Kegalle", 127, "LK.KE"),
(2247, "Maseru", 128, "LS.MS"),
(2248, "Butha-Buthe", 128, "LS.BB"),
(2249, "Leribe", 128, "LS.LE"),
(2250, "Berea", 128, "LS.BE"),
(2251, "Mafeteng", 128, "LS.MF"),
(2252, "Mohale's Hoek", 128, "LS.MH"),
(2253, "Quthing", 128, "LS.QT"),
(2254, "Qacha's Nek", 128, "LS.QN"),
(2255, "Mokhotlong", 128, "LS.MK"),
(2256, "Thaba-Tseka", 128, "LS.TT"),
(2257, "Alytaus", 129, "LT.AS"),
(2258, "Klaipedos", 129, "LT.KP"),
(2259, "Kauno", 129, "LT.KS"),
(2260, "Marijampoles", 129, "LT.MA"),
(2261, "Panevezio", 129, "LT.PA"),
(2262, "Å iauliai", 129, "LT.SH"),
(2263, "Taurages", 129, "LT.TG"),
(2264, "TelÅ¡iai", 129, "LT.TL"),
(2265, "Utenos", 129, "LT.UN"),
(2266, "Vilniaus", 129, "LT.VI"),
(2267, "Diekirch", 130, "LU.DI"),
(2268, "Grevenmacher", 130, "LU.GR"),
(2269, "Luxembourg", 130, "LU.LU"),
(2270, "Balvi", 131, "LV.AG"),
(2271, "Jekabpils", 131, "LV.AK"),
(2272, "Kurzeme", 131, "LV.AZ"),
(2273, "Jekabpils", 131, "LV.AN"),
(2274, "Riga", 131, "LV.AJ"),
(2275, "Kurzeme", 131, "LV.AS"),
(2276, "Aluksne", 131, "LV.AE"),
(2277, "Valmiera", 131, "LV.AM"),
(2278, "Valmiera", 131, "LV.AP"),
(2279, "Jekabpils", 131, "LV.AU"),
(2280, "Riga", 131, "LV.AD"),
(2281, "Riga", 131, "LV.BB"),
(2282, "Riga", 131, "LV.BD"),
(2283, "Balvi", 131, "LV.BA"),
(2284, "Balvi", 131, "LV.BV"),
(2285, "Bauska", 131, "LV.BK"),
(2286, "Valmiera", 131, "LV.BE"),
(2287, "Kurzeme", 131, "LV.BR"),
(2288, "Valmiera", 131, "LV.BT"),
(2289, "Riga", 131, "LV.CR"),
(2290, "Valmiera", 131, "LV.CV"),
(2291, "Vidzeme", 131, "LV.CS"),
(2292, "Balvi", 131, "LV.CI"),
(2293, "Balvi", 131, "LV.DD"),
(2294, "Dobele", 131, "LV.DB"),
(2295, "Talsi", 131, "LV.DN"),
(2296, "Liepaja", 131, "LV.DR"),
(2297, "Riga", 131, "LV.EN"),
(2298, "Valmiera", 131, "LV.ER"),
(2299, "Riga", 131, "LV.GA"),
(2300, "Kurzeme", 131, "LV.GR"),
(2301, "Gulbene", 131, "LV.GU"),
(2302, "Jekabpils", 131, "LV.IE"),
(2303, "Riga", 131, "LV.IK"),
(2304, "Balvi", 131, "LV.IL"),
(2305, "Riga", 131, "LV.IN"),
(2306, "Jekabpils", 131, "LV.JJ"),
(2307, "Valmiera", 131, "LV.JA"),
(2308, "Riga", 131, "LV.JU"),
(2309, "Riga", 131, "LV.KN"),
(2310, "Balvi", 131, "LV.KA"),
(2311, "Valmiera", 131, "LV.VR"),
(2312, "Jekabpils", 131, "LV.KO"),
(2313, "Kraslava", 131, "LV.KS"),
(2314, "Riga", 131, "LV.KM"),
(2315, "Jekabpils", 131, "LV.KT"),
(2316, "Kurzeme", 131, "LV.KD"),
(2317, "Riga", 131, "LV.KG"),
(2318, "Riga", 131, "LV.KK"),
(2319, "Riga", 131, "LV.LL"),
(2320, "LimbaÅ¾i", 131, "LV.LI"),
(2321, "Valmiera", 131, "LV.LG"),
(2322, "Balvi", 131, "LV.LV"),
(2323, "Valmiera", 131, "LV.LB"),
(2324, "Ludza", 131, "LV.LZ"),
(2325, "Madona", 131, "LV.MD"),
(2326, "Valmiera", 131, "LV.MZ"),
(2327, "Riga", 131, "LV.ML"),
(2328, "Riga", 131, "LV.MR"),
(2329, "Talsi", 131, "LV.ME"),
(2330, "Valmiera", 131, "LV.NA"),
(2331, "Zemgale", 131, "LV.NE"),
(2332, "Kurzeme", 131, "LV.NI"),
(2333, "Ogre", 131, "LV.OR"),
(2334, "Riga", 131, "LV.OL"),
(2335, "Jekabpils", 131, "LV.OZ"),
(2336, "Valmiera", 131, "LV.PG"),
(2337, "Kurzeme", 131, "LV.PT"),
(2338, "Jekabpils", 131, "LV.PL"),
(2339, "Preili", 131, "LV.PI"),
(2340, "Kurzeme", 131, "LV.PK"),
(2341, "Valmiera", 131, "LV.PU"),
(2342, "Valmiera", 131, "LV.RN"),
(2343, "Balvi", 131, "LV.RB"),
(2344, "Talsi", 131, "LV.RR"),
(2345, "Riga", 131, "LV.RP"),
(2346, "Kurzeme", 131, "LV.RC"),
(2347, "Balvi", 131, "LV.RJ"),
(2348, "Jekabpils", 131, "LV.RD"),
(2349, "Valmiera", 131, "LV.RU"),
(2350, "Riga", 131, "LV.SL"),
(2351, "Jekabpils", 131, "LV.SC"),
(2352, "Riga", 131, "LV.SS"),
(2353, "Saldus", 131, "LV.SD"),
(2354, "Riga", 131, "LV.SU"),
(2355, "Riga", 131, "LV.SE"),
(2356, "Riga", 131, "LV.SI"),
(2357, "Jekabpils", 131, "LV.SR"),
(2358, "Kurzeme", 131, "LV.SK"),
(2359, "Valmiera", 131, "LV.SM"),
(2360, "Riga", 131, "LV.SP"),
(2361, "Valmiera", 131, "LV.ST"),
(2362, "Talsi", 131, "LV.TL"),
(2363, "Jekabpils", 131, "LV.TE"),
(2364, "Tukums", 131, "LV.TK"),
(2365, "Kurzeme", 131, "LV.VD"),
(2366, "Valga", 131, "LV.VA"),
(2367, "Valmiera", 131, "LV.VX"),
(2368, "Balvi", 131, "LV.VV"),
(2369, "Valmiera", 131, "LV.VB"),
(2370, "Jekabpils", 131, "LV.VC"),
(2371, "Jekabpils", 131, "LV.VT"),
(2372, "Balvi", 131, "LV.VL"),
(2373, "Balvi", 131, "LV.VI"),
(2374, "Balvi", 131, "LV.ZI"),
(2375, "Daugavpils", 131, "LV.DP"),
(2376, "Jelgava", 131, "LV.JL"),
(2377, "Jekabpils", 131, "LV.JP"),
(2378, "Riga", 131, "LV.JM"),
(2379, "Liepaja", 131, "LV.LJ"),
(2380, "Rezekne", 131, "LV.RE"),
(2381, "Riga", 131, "LV.RA"),
(2382, "Ventspils", 131, "LV.VN"),
(2383, "Valmiera", 131, "LV.VE"),
(2384, "Macau", 132, "MO.MA"),
(2385, "Saint-Martin", 133, "MF.SM"),
(2386, "Tanger - TÃ©touan", 134, "MA.TO"),
(2387, "Gharb - Chrarda - BÃ©ni Hssen", 134, "MA.GB"),
(2388, "Taza - Al Hoceima - Taounate", 134, "MA.TH"),
(2389, "Oriental", 134, "MA.OR"),
(2390, "FÃ¨s - Boulemane", 134, "MA.FB"),
(2391, "MeknÃ¨s - Tafilalet", 134, "MA.MT"),
(2392, "Rabat - SalÃ© - Zemmour - Zaer", 134, "MA.RZ"),
(2393, "Grand Casablanca", 134, "MA.GC"),
(2394, "Chaouia - Ouardigha", 134, "MA.CO"),
(2395, "Doukkala - Abda", 134, "MA.DA"),
(2396, "Marrakech - Tensift - Al Haouz", 134, "MA.MK"),
(2397, "Tadla - Azilal", 134, "MA.TD"),
(2398, "Souss - Massa - DraÃ¢", 134, "MA.SM"),
(2399, "Guelmim - Es-Semara", 134, "MA.GE"),
(2400, "LaÃ¢youne - Boujdour - Sakia El Hamra", 134, "MA.LB"),
(2401, "Oued el Dahab", 134, "MA.OD"),
(2402, "Monaco", 135, "MC.MC"),
(2403, "Anenii Noi", 136, "MD.AN"),
(2404, "BÄlÅ£i", 136, "MD.BT"),
(2405, "Tighina", 136, "MD.BD"),
(2406, "Briceni", 136, "MD.BR"),
(2407, "Basarabeasca", 136, "MD.BA"),
(2408, "Cahul", 136, "MD.CH"),
(2409, "Camenca", 136, "MD.CM"),
(2410, "Calarasi", 136, "MD.CA"),
(2411, "Cimislia", 136, "MD.CS"),
(2412, "Criuleni", 136, "MD.CR"),
(2413, "Causeni", 136, "MD.CU"),
(2414, "Cantemir", 136, "MD.CN"),
(2415, "ChiÅinÄu", 136, "MD.CV"),
(2416, "Donduseni", 136, "MD.DO"),
(2417, "Drochia", 136, "MD.DR"),
(2418, "Edinet", 136, "MD.ED"),
(2419, "Falesti", 136, "MD.FA"),
(2420, "FloreÅti", 136, "MD.FL"),
(2421, "GÄgÄuzia", 136, "MD.CO"),
(2422, "Glodeni", 136, "MD.GL"),
(2423, "Grigoriopol", 136, "MD.DU"),
(2424, "HÃ®ncesti", 136, "MD.HI"),
(2425, "Ialoveni", 136, "MD.IA"),
(2426, "Leova", 136, "MD.LE"),
(2427, "Nisporeni", 136, "MD.NI"),
(2428, "OcniÅ£a", 136, "MD.OC"),
(2429, "Orhei", 136, "MD.OH"),
(2430, "Rezina", 136, "MD.RZ"),
(2431, "RÃ®Åcani", 136, "MD.RS"),
(2432, "ÅoldÄneÅti", 136, "MD.SD"),
(2433, "SÃ®ngerei", 136, "MD.SI"),
(2434, "Transnistria", 136, "MD.DU"),
(2435, "Soroca", 136, "MD.SO"),
(2436, "StrÄÅeni", 136, "MD.ST"),
(2437, "Stefan-voda", 136, "MD.SV"),
(2438, "Taraclia", 136, "MD.TA"),
(2439, "TeleneÅti", 136, "MD.TE"),
(2440, "Ungheni", 136, "MD.UG"),
(2441, "Toamasina", 137, "MG.TM"),
(2442, "Antsiranana", 137, "MG.AS"),
(2443, "Fianarantsoa", 137, "MG.FI"),
(2444, "Mahajanga", 137, "MG.MA"),
(2445, "Antananarivo", 137, "MG.AV"),
(2446, "Toliary", 137, "MG.TL"),
(2447, "Alif Dhaal", 138, "MV.AD"),
(2448, "Seenu", 138, "MV.SE"),
(2449, "Alif", 138, "MV.AA"),
(2450, "Lhaviyani", 138, "MV.LV"),
(2451, "Vaavu", 138, "MV.WA"),
(2452, "Laamu", 138, "MV.LM"),
(2453, "Haa Alifu", 138, "MV.HA"),
(2454, "Thaa", 138, "MV.TH"),
(2455, "Meemu", 138, "MV.ME"),
(2456, "Raa", 138, "MV.RA"),
(2457, "Faafu", 138, "MV.FA"),
(2458, "Dhaalu", 138, "MV.DA"),
(2459, "Baa", 138, "MV.BA"),
(2460, "Haa Dhaalu", 138, "MV.HD"),
(2461, "Shaviyani", 138, "MV.SH"),
(2462, "Noonu", 138, "MV.NO"),
(2463, "Kaafu", 138, "MV.KA"),
(2464, "Gaafu Alifu", 138, "MV.GA"),
(2465, "Gaafu Dhaalu", 138, "MV.DD"),
(2466, "Gnaviyani", 138, "MV.NA"),
(2467, "Aguascalientes", 139, "MX.AG"),
(2468, "Baja California", 139, "MX.BN"),
(2469, "Baja California Sur", 139, "MX.BS"),
(2470, "Campeche", 139, "MX.CM"),
(2471, "Chihuahua", 139, "MX.CH"),
(2472, "Chiapas", 139, "MX.CP"),
(2473, "Coahuila", 139, "MX.CA"),
(2474, "Colima", 139, "MX.CL"),
(2475, "Distrito Federal", 139, "MX.DF"),
(2476, "Durango", 139, "MX.DU"),
(2477, "Guerrero", 139, "MX.GR"),
(2478, "Guanajuato", 139, "MX.GJ"),
(2479, "Hidalgo", 139, "MX.HI"),
(2480, "Jalisco", 139, "MX.JA"),
(2481, "MÃ©xico", 139, "MX.MX"),
(2482, "MichoacÃ¡n", 139, "MX.MC"),
(2483, "Morelos", 139, "MX.MR"),
(2484, "Nayarit", 139, "MX.NA"),
(2485, "Nuevo LeÃ³n", 139, "MX.NL"),
(2486, "Oaxaca", 139, "MX.OA"),
(2487, "Puebla", 139, "MX.PU"),
(2488, "QuerÃ©taro", 139, "MX.QE"),
(2489, "Quintana Roo", 139, "MX.QR"),
(2490, "Sinaloa", 139, "MX.SI"),
(2491, "San Luis PotosÃ­", 139, "MX.SL"),
(2492, "Sonora", 139, "MX.SO"),
(2493, "Tabasco", 139, "MX.TB"),
(2494, "Tamaulipas", 139, "MX.TM"),
(2495, "Tlaxcala", 139, "MX.TL"),
(2496, "Veracruz", 139, "MX.VE"),
(2497, "MX.X01~", 139, "MX.X01~"),
(2498, "YucatÃ¡n", 139, "MX.YU"),
(2499, "Zacatecas", 139, "MX.ZA"),
(2500, "Railik Chain", 140, "MH.X02~"),
(2501, "Ratak Chain", 140, "MH.X01~"),
(2502, "Aerodrom Municipality", 141, "MK.AD"),
(2503, "Aracinovo Municipality", 141, "MK.AR"),
(2504, "Berovo", 141, "MK.BR"),
(2505, "Bitola", 141, "MK.TL"),
(2506, "Bogdanci", 141, "MK.BG"),
(2507, "Bogovinje", 141, "MK.VJ"),
(2508, "Bosilovo Municipality", 141, "MK.BS"),
(2509, "Brvenica", 141, "MK.BN"),
(2510, "Butel Municipality", 141, "MK.BU"),
(2511, "Valandovo", 141, "MK.VA"),
(2512, "Vasilevo Municipality", 141, "MK.VL"),
(2513, "Vevcani", 141, "MK.VV"),
(2514, "Veles", 141, "MK.VE"),
(2515, "Vinica Municipality", 141, "MK.NI"),
(2516, "Vranestica Municipality", 141, "MK.VC"),
(2517, "Polog", 141, "MK.VH"),
(2518, "Gazi Baba Municipality", 141, "MK.GB"),
(2519, "Southeastern", 141, "MK.GV"),
(2520, "Gostivar", 141, "MK.GT"),
(2521, "Gradsko", 141, "MK.GR"),
(2522, "Debar", 141, "MK.DB"),
(2523, "Debarca", 141, "MK.DA"),
(2524, "Delcevo", 141, "MK.DL"),
(2525, "Demir Kapija", 141, "MK.DK"),
(2526, "Demir Hisar Municipality", 141, "MK.DM"),
(2527, "Dojran", 141, "MK.SD"),
(2528, "Dolneni", 141, "MK.DE"),
(2529, "Drugovo Municipality", 141, "MK.DR"),
(2530, "Gjorce Petrov Municipality", 141, "MK.GP"),
(2531, "Å½elino", 141, "MK.ZE"),
(2532, "Zajas", 141, "MK.ZA"),
(2533, "Zelenikovo Municipality", 141, "MK.ZK"),
(2534, "Zrnovci Municipality", 141, "MK.ZR"),
(2535, "Ilinden", 141, "MK.IL"),
(2536, "Jegunovce Municipality", 141, "MK.JG"),
(2537, "Kavadartsi", 141, "MK.AV"),
(2538, "Karbinci Municipality", 141, "MK.KB"),
(2539, "KarpoÅ¡", 141, "MK.KX"),
(2540, "Skopje", 141, "MK.VD"),
(2541, "Kicevo", 141, "MK.KH"),
(2542, "Konce Municipality", 141, "MK.KN"),
(2543, "Kocani", 141, "MK.OC"),
(2544, "Kratovo", 141, "MK.KY"),
(2545, "Kriva Palanka", 141, "MK.KZ"),
(2546, "Krivogastani Municipality", 141, "MK.KG"),
(2547, "KruÅ¡evo", 141, "MK.KS"),
(2548, "Kumanovo", 141, "MK.UM"),
(2549, "Lipkovo", 141, "MK.LI"),
(2550, "Lozovo Municipality", 141, "MK.LO"),
(2551, "Mavrovo and Rostusa", 141, "MK.MR"),
(2552, "Makedonska Kamenica", 141, "MK.MK"),
(2553, "Brod", 141, "MK.MD"),
(2554, "Pelagonia", 141, "MK.MG"),
(2555, "Negotino", 141, "MK.NG"),
(2556, "Novatsi", 141, "MK.NV"),
(2557, "Novo Selo", 141, "MK.NS"),
(2558, "Oslomej Municipality", 141, "MK.OS"),
(2559, "Ohrid", 141, "MK.OD"),
(2560, "Pehcevo Municipality", 141, "MK.PH"),
(2561, "Plasnica Municipality", 141, "MK.PN"),
(2562, "Prilep", 141, "MK.PP"),
(2563, "Probistip", 141, "MK.PT"),
(2564, "Radovis", 141, "MK.RV"),
(2565, "Rankovce Municipality", 141, "MK.RN"),
(2566, "Resen Municipality", 141, "MK.RE"),
(2567, "Vardar", 141, "MK.RM"),
(2568, "Saraj", 141, "MK.AJ"),
(2569, "Sveti Nikole", 141, "MK.SL"),
(2570, "Sopiste", 141, "MK.SS"),
(2571, "Northeastern", 141, "MK.NA"),
(2572, "Struga Municipality", 141, "MK.UG"),
(2573, "Southeastern", 141, "MK.RU"),
(2574, "Studenicani", 141, "MK.SU"),
(2575, "Tearce", 141, "MK.TR"),
(2576, "Tetovo", 141, "MK.ET"),
(2577, "Centar Municipality", 141, "MK.CE"),
(2578, "Centar Å¾upa", 141, "MK.CZ"),
(2579, "Cair Municipality", 141, "MK.CI"),
(2580, "CaÅ¡ka", 141, "MK.CA"),
(2581, "Cesinovo-Oblesevo Municipality", 141, "MK.CH"),
(2582, "Cucer Sandevo", 141, "MK.CS"),
(2583, "Å tip", 141, "MK.ST"),
(2584, "Centar Municipality", 141, "MK.SO"),
(2585, "Skopje", 141, "MK.PE"),
(2586, "Kayes", 142, "ML.KY"),
(2587, "Koulikoro", 142, "ML.KK"),
(2588, "Sikasso", 142, "ML.SK"),
(2589, "SÃ©gou", 142, "ML.SG"),
(2590, "Mopti", 142, "ML.MO"),
(2591, "Timbuktu", 142, "ML.TT"),
(2592, "Gao", 142, "ML.GO"),
(2593, "Kidal", 142, "ML.KD"),
(2594, "Bamako", 142, "ML.BA"),
(2595, "Malta", 143, "MT.CE.AT"),
(2596, "Malta", 143, "MT.CE.BA"),
(2597, "Malta", 143, "MT.SE.BR"),
(2598, "Malta", 143, "MT.CE.BI"),
(2599, "Malta", 143, "MT.SO.BZ"),
(2600, "Malta", 143, "MT.SE.BO"),
(2601, "Malta", 143, "MT.NO.DI"),
(2602, "Malta", 143, "MT.SE.FG"),
(2603, "Malta", 143, "MT.SE.FL"),
(2604, "Fontana", 143, "MT.GO.FO"),
(2605, "Malta", 143, "MT.SO.GU"),
(2606, "Malta", 143, "MT.CE.GZ"),
(2607, "Għajnsielem", 143, "MT.GO.GJ"),
(2608, "Għarb", 143, "MT.GO.GB"),
(2609, "Malta", 143, "MT.NO.GH"),
(2610, "Għasri", 143, "MT.GO.GS"),
(2611, "Malta", 143, "MT.SO.GH"),
(2612, "Malta", 143, "MT.SO.HA"),
(2613, "Malta", 143, "MT.CE.IK"),
(2614, "Malta", 143, "MT.SE.IS"),
(2615, "Malta", 143, "MT.SE.KA"),
(2616, "Kerċem", 143, "MT.GO.KE"),
(2617, "Malta", 143, "MT.SO.KI"),
(2618, "Malta", 143, "MT.CE.LI"),
(2619, "Malta", 143, "MT.SO.LU"),
(2620, "Malta", 143, "MT.SE.MX"),
(2621, "Malta", 143, "MT.SE.MS"),
(2622, "Malta", 143, "MT.SE.MA"),
(2623, "Malta", 143, "MT.NO.MD"),
(2624, "Malta", 143, "MT.NO.ME"),
(2625, "Malta", 143, "MT.NO.MG"),
(2626, "Malta", 143, "MT.NO.MO"),
(2627, "Malta", 143, "MT.SO.MQ"),
(2628, "Malta", 143, "MT.CE.MS"),
(2629, "Malta", 143, "MT.NO.MT"),
(2630, "Munxar", 143, "MT.GO.MU"),
(2631, "Nadur", 143, "MT.GO.NA"),
(2632, "Malta", 143, "MT.NO.NA"),
(2633, "Malta", 143, "MT.SE.PA"),
(2634, "Malta", 143, "MT.NO.PE"),
(2635, "Malta", 143, "MT.CE.PI"),
(2636, "Qala", 143, "MT.GO.QA"),
(2637, "Malta", 143, "MT.SO.QO"),
(2638, "Malta", 143, "MT.SO.QR"),
(2639, "Rabat Gozo", 143, "MT.GO.RA"),
(2640, "Malta", 143, "MT.NO.RA"),
(2641, "Malta", 143, "MT.SO.SA"),
(2642, "Malta", 143, "MT.CE.SG"),
(2643, "Malta", 143, "MT.CE.SN"),
(2644, "Saint Lawrence", 143, "MT.GO.SL"),
(2645, "Malta", 143, "MT.NO.SP"),
(2646, "Sannat", 143, "MT.GO.SA"),
(2647, "Malta", 143, "MT.SO.SL"),
(2648, "Malta", 143, "MT.CE.SV"),
(2649, "Malta", 143, "MT.SO.SI"),
(2650, "Malta", 143, "MT.CE.SL"),
(2651, "Malta", 143, "MT.NO.SW"),
(2652, "Malta", 143, "MT.CE.TA"),
(2653, "Malta", 143, "MT.SE.TA"),
(2654, "Malta", 143, "MT.SE.VA"),
(2655, "Xagħra", 143, "MT.GO.XA"),
(2656, "Xewkija", 143, "MT.GO.XE"),
(2657, "Malta", 143, "MT.SE.XG"),
(2658, "Malta", 143, "MT.SE.ZA"),
(2659, "Żebbuġ Gozo", 143, "MT.GO.ZE"),
(2660, "Malta", 143, "MT.SO.ZB"),
(2661, "Malta", 143, "MT.SE.ZJ"),
(2662, "Malta", 143, "MT.SO.ZU"),
(2663, "Sagaing", 144, "MM.SA"),
(2664, "Bago", 144, "MM.BA"),
(2665, "Magway", 144, "MM.MG"),
(2666, "Mandalay", 144, "MM.ML"),
(2667, "Tanintharyi", 144, "MM.TN"),
(2668, "Yangon", 144, "MM.YA"),
(2669, "Ayeyarwady", 144, "MM.AY"),
(2670, "Kachin", 144, "MM.KC"),
(2671, "Kayah", 144, "MM.KH"),
(2672, "Kayin", 144, "MM.KN"),
(2673, "Chin", 144, "MM.CH"),
(2674, "Mon", 144, "MM.MO"),
(2675, "Rakhine", 144, "MM.RA"),
(2676, "Shan", 144, "MM.SH"),
(2677, "Andrijevica", 145, "ME.AN"),
(2678, "Bar", 145, "ME.BA"),
(2679, "Berane", 145, "ME.BR"),
(2680, "Bijelo Polje", 145, "ME.BP"),
(2681, "Budva", 145, "ME.BU"),
(2682, "Cetinje", 145, "ME.CE"),
(2683, "Danilovgrad", 145, "ME.DA"),
(2684, "Herceg Novi", 145, "ME.HN"),
(2685, "KolaÅ¡in", 145, "ME.KL"),
(2686, "Kotor", 145, "ME.KT"),
(2687, "Mojkovac", 145, "ME.MK"),
(2688, "NikÅ¡ic", 145, "ME.NK"),
(2689, "Plav", 145, "ME.PA"),
(2690, "Pljevlja", 145, "ME.PL"),
(2691, "PluÅ¾ine", 145, "ME.PU"),
(2692, "Podgorica", 145, "ME.PG"),
(2693, "RoÅ¾aje", 145, "ME.RO"),
(2694, "Å avnik", 145, "ME.SA"),
(2695, "Tivat", 145, "ME.TI"),
(2696, "Ulcinj", 145, "ME.UL"),
(2697, "Å½abljak", 145, "ME.ZA"),
(2698, "Ulaanbaatar", 146, "MN.UB"),
(2699, "Orhon", 146, "MN.ER"),
(2700, "Darhan-Uul", 146, "MN.DA"),
(2701, "Hentiy", 146, "MN.HN"),
(2702, "HÃ¶vsgÃ¶l", 146, "MN.HG"),
(2703, "Hovd", 146, "MN.HD"),
(2704, "Uvs", 146, "MN.UV"),
(2705, "TÃ¶v", 146, "MN.TO"),
(2706, "Selenge", 146, "MN.SL"),
(2707, "SÃ¼hbaatar", 146, "MN.SB"),
(2708, "ÃmnÃ¶govi", 146, "MN.OG"),
(2709, "ÃvÃ¶rhangay", 146, "MN.OH"),
(2710, "Dzavhan", 146, "MN.DZ"),
(2711, "Dundgovi", 146, "MN.DU"),
(2712, "Dornod", 146, "MN.DD"),
(2713, "Dornogovi", 146, "MN.DG"),
(2714, "Govi-Sümber", 146, "MN.GS"),
(2715, "Govi-Altay", 146, "MN.GA"),
(2716, "Bulgan", 146, "MN.BU"),
(2717, "Bayanhongor", 146, "MN.BH"),
(2718, "Bayan-Ãlgiy", 146, "MN.BO"),
(2719, "Arhangay", 146, "MN.AR"),
(2720, "Rota", 147, "MP.RO"),
(2721, "Tinian", 147, "MP.TI"),
(2722, "Saipan", 147, "MP.SA"),
(2723, "Northern Islands", 147, "MP.NI"),
(2724, "Niassa", 148, "MZ.NS"),
(2725, "Manica", 148, "MZ.MN"),
(2726, "Gaza", 148, "MZ.GA"),
(2727, "Inhambane", 148, "MZ.IN"),
(2728, "Maputo", 148, "MZ.MP"),
(2729, "Nampula", 148, "MZ.NM"),
(2730, "Cabo Delgado", 148, "MZ.CD"),
(2731, "Zambezia", 148, "MZ.ZA"),
(2732, "Sofala", 148, "MZ.SO"),
(2733, "Tete", 148, "MZ.TE"),
(2734, "Hodh ech Chargui", 149, "MR.HC"),
(2735, "Hodh el Gharbi", 149, "MR.HG"),
(2736, "Assaba", 149, "MR.AS"),
(2737, "Gorgol", 149, "MR.GO"),
(2738, "Brakna", 149, "MR.BR"),
(2739, "Trarza", 149, "MR.TR"),
(2740, "Adrar", 149, "MR.AD"),
(2741, "Dakhlet Nouadhibou", 149, "MR.DN"),
(2742, "Tagant", 149, "MR.TG"),
(2743, "Guidimaka", 149, "MR.GD"),
(2744, "Tiris Zemmour", 149, "MR.TZ"),
(2745, "Inchiri", 149, "MR.IN"),
(2746, "Nouakchott", 149, "MR.NO"),
(2747, "Saint Anthony", 150, "MS.SA"),
(2748, "Saint Georges", 150, "MS.SG"),
(2749, "Saint Peter", 150, "MS.SP"),
(2750, "Agalega Islands", 151, "MU.AG"),
(2751, "Black River", 151, "MU.BL"),
(2752, "Beau Bassin", 151, "MU-BR~"),
(2753, "Curepipe (2)", 151, "MU-CU~"),
(2754, "Flacq", 151, "MU.FL"),
(2755, "Grand Port", 151, "MU.GP"),
(2756, "Moka", 151, "MU.MO"),
(2757, "Pamplemousses", 151, "MU.PA"),
(2758, "Port Louis", 151, "MU-PL~"),
(2759, "Plaines Wilhems", 151, "MU.PW"),
(2760, "Quatre Bornes", 151, "MU-QB~"),
(2761, "Rodrigues", 151, "MU.RO"),
(2762, "Riviere du Rempart", 151, "MU.RR"),
(2763, "Savanne", 151, "MU.SA"),
(2764, "Vacoas", 151, "MU.VP~"),
(2765, "Balaka", 152, "MW.BA"),
(2766, "Blantyre", 152, "MW.BL"),
(2767, "Chikwawa", 152, "MW.CK"),
(2768, "Chiradzulu", 152, "MW.CR"),
(2769, "Chitipa", 152, "MW.CT"),
(2770, "Dedza", 152, "MW.DE"),
(2771, "Dowa", 152, "MW.DO"),
(2772, "Kasungu", 152, "MW.KS"),
(2773, "Lilongwe", 152, "MW.LI"),
(2774, "Nkhata Bay", 152, "MW.LK"),
(2775, "Mchinji", 152, "MW.MC"),
(2776, "Mangochi", 152, "MW.MG"),
(2777, "Machinga", 152, "MW.MA"),
(2778, "Mulanje", 152, "MW.MJ"),
(2779, "Mwanza", 152, "MW.MN"),
(2780, "Mzimba", 152, "MW.MZ"),
(2781, "Nkhata Bay", 152, "MW.NA"),
(2782, "Mwanza", 152, "MW.NN"),
(2783, "Ntchisi", 152, "MW.NI"),
(2784, "Nkhotakota", 152, "MW.NK"),
(2785, "Nsanje", 152, "MW.NS"),
(2786, "Ntcheu", 152, "MW.NU"),
(2787, "Phalombe", 152, "MW.PH"),
(2788, "Rumphi", 152, "MW.RU"),
(2789, "Salima", 152, "MW.SA"),
(2790, "Thyolo", 152, "MW.TH"),
(2791, "Zomba", 152, "MW.ZO"),
(2792, "Johor", 153, "MY.JH"),
(2793, "Kedah", 153, "MY.KH"),
(2794, "Kelantan", 153, "MY.KN"),
(2795, "Melaka", 153, "MY.ME"),
(2796, "Negeri Sembilan", 153, "MY.NS"),
(2797, "Pahang", 153, "MY.PH"),
(2798, "Pulau Pinang", 153, "MY.PG"),
(2799, "Perak", 153, "MY.PK"),
(2800, "Perlis", 153, "MY.PL"),
(2801, "Selangor", 153, "MY.SL"),
(2802, "Trengganu", 153, "MY.TE"),
(2803, "Sabah", 153, "MY.SA"),
(2804, "Sarawak", 153, "MY.SK"),
(2805, "Kuala Lumpur", 153, "MY.KL"),
(2806, "Labuan", 153, "MY.LA"),
(2807, "Putrajaya", 153, "MY.PJ"),
(2808, "Caprivi", 154, "NA.CA"),
(2809, "Erongo", 154, "NA.ER"),
(2810, "Hardap", 154, "NA.HA"),
(2811, "Karas", 154, "NA.KA"),
(2812, "Khomas", 154, "NA.KH"),
(2813, "Kunene", 154, "NA.KU"),
(2814, "Otjozondjupa", 154, "NA.OD"),
(2815, "Omaheke", 154, "NA.OH"),
(2816, "Kavango", 154, "NA.OK"),
(2817, "Oshana", 154, "NA.ON"),
(2818, "Omusati", 154, "NA.OS"),
(2819, "Oshikoto", 154, "NA.OT"),
(2820, "Ohangwena", 154, "NA.OW"),
(2821, "Ãles LoyautÃ©", 155, "NC.IL"),
(2822, "Sud", 155, "NC.SU"),
(2823, "Nord", 155, "NC.NO"),
(2824, "Agadez", 156, "NE.AG"),
(2825, "Diffa", 156, "NE.DF"),
(2826, "Dosso", 156, "NE.DS"),
(2827, "Maradi", 156, "NE.MA"),
(2828, "Tahoua", 156, "NE.TH"),
(2829, "Tillaberi", 156, "NE.TL"),
(2830, "Zinder", 156, "NE.ZI"),
(2831, "Niamey", 156, "NE.NI"),
(2832, "Norfolk Island", 157, "NF.NF"),
(2833, "Abia", 158, "NG.AB"),
(2834, "Adamawa", 158, "NG.AD"),
(2835, "Akwa Ibom", 158, "NG.AK"),
(2836, "Anambra", 158, "NG.AN"),
(2837, "Bauchi", 158, "NG.BA"),
(2838, "Benue", 158, "NG.BE"),
(2839, "Borno", 158, "NG.BO"),
(2840, "Bayelsa", 158, "NG.BY"),
(2841, "Cross River", 158, "NG.CR"),
(2842, "Delta", 158, "NG.DE"),
(2843, "Ebonyi", 158, "NG.EB"),
(2844, "Edo", 158, "NG.ED"),
(2845, "Ekiti", 158, "NG.EK"),
(2846, "Enugu", 158, "NG.EN"),
(2847, "Federal Capital Territory", 158, "NG.FC"),
(2848, "Gombe", 158, "NG.GO"),
(2849, "Imo", 158, "NG.IM"),
(2850, "Jigawa", 158, "NG.JI"),
(2851, "Kaduna", 158, "NG.KD"),
(2852, "Kebbi", 158, "NG.KE"),
(2853, "Kano", 158, "NG.KN"),
(2854, "Kogi", 158, "NG.KO"),
(2855, "Katsina", 158, "NG.KT"),
(2856, "Kwara", 158, "NG.KW"),
(2857, "Lagos", 158, "NG.LA"),
(2858, "Nassarawa", 158, "NG.NA"),
(2859, "Niger", 158, "NG.NI"),
(2860, "Ogun", 158, "NG.OG"),
(2861, "Ondo", 158, "NG.ON"),
(2862, "Osun", 158, "NG.OS"),
(2863, "Oyo", 158, "NG.OY"),
(2864, "Plateau", 158, "NG.PL"),
(2865, "Rivers", 158, "NG.RI"),
(2866, "Sokoto", 158, "NG.SO"),
(2867, "Taraba", 158, "NG.TA"),
(2868, "Yobe", 158, "NG.YO"),
(2869, "Zamfara", 158, "NG.ZA"),
(2870, "AtlÃ¡ntico Norte", 159, "NI.AN"),
(2871, "AtlÃ¡ntico Sur", 159, "NI.AS"),
(2872, "Boaco", 159, "NI.BO"),
(2873, "Carazo", 159, "NI.CA"),
(2874, "Chinandega", 159, "NI.CI"),
(2875, "Chontales", 159, "NI.CO"),
(2876, "EstelÃ­", 159, "NI.ES"),
(2877, "Granada", 159, "NI.GR"),
(2878, "Jinotega", 159, "NI.JI"),
(2879, "LeÃ³n", 159, "NI.LE"),
(2880, "Madriz", 159, "NI.MD"),
(2881, "Managua", 159, "NI.MN"),
(2882, "Masaya", 159, "NI.MS"),
(2883, "Matagalpa", 159, "NI.MT"),
(2884, "Nueva Segovia", 159, "NI.NS"),
(2885, "Rivas", 159, "NI.RI"),
(2886, "RÃÂ­o San Juan", 159, "NI.SJ"),
(2887, "Niue", 160, "NU.NU"),
(2888, "Bonaire", 161, "BQ.BO"),
(2889, "Saba", 161, "BQ.SB"),
(2890, "St. Eustatius", 161, "BQ.SE"),
(2891, "Drenthe", 161, "NL.DR"),
(2892, "Flevoland", 161, "NL.FL"),
(2893, "Friesland", 161, "NL.FR"),
(2894, "Gelderland", 161, "NL.GE"),
(2895, "Groningen", 161, "NL.GR"),
(2896, "Limburg", 161, "NL.LI"),
(2897, "Noord-Brabant", 161, "NL.NB"),
(2898, "Noord-Holland", 161, "NL.NH"),
(2899, "Overijssel", 161, "NL.OV"),
(2900, "Utrecht", 161, "NL.UT"),
(2901, "Zeeland", 161, "NL.ZE"),
(2902, "Zuid-Holland", 161, "NL.ZH"),
(2903, "Ãstfold", 162, "NO.OF"),
(2904, "Akershus", 162, "NO.AK"),
(2905, "Oslo", 162, "NO.OS"),
(2906, "Hedmark", 162, "NO.HE"),
(2907, "Oppland", 162, "NO.OP"),
(2908, "Buskerud", 162, "NO.BU"),
(2909, "Vestfold", 162, "NO.VF"),
(2910, "Telemark", 162, "NO.TE"),
(2911, "Aust-Agder", 162, "NO.AA"),
(2912, "Vest-Agder", 162, "NO.VA"),
(2913, "Rogaland", 162, "NO.RO"),
(2914, "Hordaland", 162, "NO.HO"),
(2915, "Sogn og Fjordane", 162, "NO.SF"),
(2916, "MÃ¸re og Romsdal", 162, "NO.MR"),
(2917, "SÃ¸r-TrÃ¸ndelag", 162, "NO.ST"),
(2918, "Nord-TrÃ¸ndelag", 162, "NO.NT"),
(2919, "Nordland", 162, "NO.NO"),
(2920, "Troms", 162, "NO.TR"),
(2921, "Finnmark", 162, "NO.FI"),
(2922, "Svalbard", 162, "SJ.SV"),
(2923, "Bouvet Island", 162, "BV.BV"),
(2924, "Bagmati", 163, "NP.MM"),
(2925, "Bheri", 163, "NP.MP"),
(2926, "Dhawalagiri", 163, "NP.PM"),
(2927, "Gandaki", 163, "NP.PM"),
(2928, "Janakpur", 163, "NP.MM"),
(2929, "Karnali", 163, "NP.MP"),
(2930, "Kosi", 163, "NP.PW"),
(2931, "Lumbini", 163, "NP.PM"),
(2932, "Mahakali", 163, "NP.SP"),
(2933, "Mechi", 163, "NP.PW"),
(2934, "Narayani", 163, "NP.MM"),
(2935, "Rapti", 163, "NP.MP"),
(2936, "Sagarmatha", 163, "NP.PW"),
(2937, "Seti", 163, "NP.SP"),
(2938, "Aiwo", 164, "NR.AI"),
(2939, "Anabar", 164, "NR.AB"),
(2940, "Anetan", 164, "NR.AT"),
(2941, "Anibare", 164, "NR.AR"),
(2942, "Baiti", 164, "NR.BA"),
(2943, "Boe", 164, "NR.BO"),
(2944, "Buada", 164, "NR.BU"),
(2945, "Denigomodu", 164, "NR.DE"),
(2946, "Ewa", 164, "NR.EW"),
(2947, "Ijuw", 164, "NR.IJ"),
(2948, "Meneng", 164, "NR.ME"),
(2949, "Nibok", 164, "NR.NI"),
(2950, "Uaboe", 164, "NR.UA"),
(2951, "Yaren", 164, "NR.YA"),
(2952, "Auckland", 165, "NZ.AU"),
(2953, "Bay of Plenty", 165, "NZ.BP"),
(2954, "Canterbury", 165, "NZ.CA"),
(2955, "Chatham Islands", 165, "NZ.CI"),
(2956, "Gisborne", 165, "NZ.GI"),
(2957, "Hawke's Bay", 165, "NZ.HB"),
(2958, "Marlborough", 165, "NZ.MA"),
(2959, "Manawatu-Wanganui", 165, "NZ.MW"),
(2960, "Nelson", 165, "NZ.NE"),
(2961, "Northland", 165, "NZ.NO"),
(2962, "Otago", 165, "NZ.OT"),
(2963, "Southland", 165, "NZ.SO"),
(2964, "Tasman", 165, "NZ.TS"),
(2965, "Taranaki", 165, "NZ.TK"),
(2966, "Wellington", 165, "NZ.WG"),
(2967, "Waikato", 165, "NZ.WK"),
(2968, "West Coast", 165, "NZ.WC"),
(2969, "Kermadec Islands", 165, "NZ.X01~"),
(2970, "Three Kings Islands", 165, "NZ.X03~"),
(2971, "Antipodes Islands", 165, "NZ.X04~"),
(2972, "Campbell Islands", 165, "NZ.X05~"),
(2973, "Auckland Islands", 165, "NZ.X06~"),
(2974, "The Snares", 165, "NZ.X07~"),
(2975, "Al Batnah", 166, "OM.BS"),
(2976, "Al Batnah", 166, "OM.BS"),
(2977, "Buraymi", 166, "OM.BU"),
(2978, "Ad Dakhliyah", 166, "OM.DA"),
(2979, "Muscat", 166, "OM.MA"),
(2980, "Musandam", 166, "OM.MU"),
(2981, "Ash Sharqiyah", 166, "OM.SS"),
(2982, "Ash Sharqiyah", 166, "OM.SN"),
(2983, "Al Wusta", 166, "OM.WU"),
(2984, "Al Dhahira", 166, "OM.DH"),
(2985, "Dhofar", 166, "OM.JA"),
(2986, "Baluchistan", 167, "PK.BA"),
(2987, "Northern Areas", 167, "PK.NA"),
(2988, "F.C.T.", 167, "PK.IS"),
(2989, "Azad Kashmir", 167, "PK.JK"),
(2990, "N.W.F.P.", 167, "PK.NW"),
(2991, "Punjab", 167, "PK.PB"),
(2992, "Sind", 167, "PK.SD"),
(2993, "F.A.T.A.", 167, "PK.TA"),
(2994, "Bocas del Toro", 168, "PA.BC"),
(2995, "CoclÃ©", 168, "PA.CC"),
(2996, "ColÃ³n", 168, "PA.CL"),
(2997, "ChiriquÃ­", 168, "PA.CH"),
(2998, "DariÃ©n", 168, "PA.DR"),
(2999, "Herrera", 168, "PA.HE"),
(3000, "Los Santos", 168, "PA.LS"),
(3001, "Panama", 168, "PA.SB"),
(3002, "Veraguas", 168, "PA.VR"),
(3003, "EmberÃ¡", 168, "PA.EM"),
(3004, "Kuna Yala", 168, "PA.SB"),
(3005, "NgÃ¶be BuglÃ©", 168, "PA.NB"),
(3006, "Pitcairn Islands", 169, "PN.PN"),
(3007, "Amazonas", 170, "PE.AM"),
(3008, "Ancash", 170, "PE.AN"),
(3009, "ApurÃ­mac", 170, "PE.AP"),
(3010, "Arequipa", 170, "PE.AR"),
(3011, "Ayacucho", 170, "PE.AY"),
(3012, "Cajamarca", 170, "PE.CJ"),
(3013, "Callao", 170, "PE.CL"),
(3014, "Cusco", 170, "PE.CS"),
(3015, "HuÃ¡nuco", 170, "PE.HC"),
(3016, "Huancavelica", 170, "PE.HV"),
(3017, "Ica", 170, "PE.IC"),
(3018, "JunÃ­n", 170, "PE.JU"),
(3019, "La Libertad", 170, "PE.LL"),
(3020, "Lambayeque", 170, "PE.LB"),
(3021, "Lima", 170, "PE.LR"),
(3022, "Loreto", 170, "PE.LO"),
(3023, "Madre de Dios", 170, "PE.MD"),
(3024, "Moquegua", 170, "PE.MQ"),
(3025, "Pasco", 170, "PE.PA"),
(3026, "Piura", 170, "PE.PI"),
(3027, "Callao", 170, "PE.PU"),
(3028, "San MartÃ­n", 170, "PE.SM"),
(3029, "Tacna", 170, "PE.TA"),
(3030, "Tumbes", 170, "PE.TU"),
(3031, "Ucayali", 170, "PE.UC"),
(3032, "Abra", 171, "PH.AB"),
(3033, "Agusan del Norte", 171, "PH.AN"),
(3034, "Agusan del Sur", 171, "PH.AS"),
(3035, "Aklan", 171, "PH.AK"),
(3036, "Albay", 171, "PH.AL"),
(3037, "Antique", 171, "PH.AQ"),
(3038, "Apayao", 171, "PH.AP"),
(3039, "Aurora", 171, "PH.AU"),
(3040, "Bataan", 171, "PH.BA"),
(3041, "Basilan", 171, "PH.BS"),
(3042, "Bacolod", 171, "PH.BCD"),
(3043, "Benguet", 171, "PH.BG"),
(3044, "Biliran", 171, "PH.BI"),
(3045, "Bohol", 171, "PH.BO"),
(3046, "Batangas", 171, "PH.BT"),
(3047, "Batanes", 171, "PH.BN"),
(3048, "Bukidnon", 171, "PH.BK"),
(3049, "Bulacan", 171, "PH.BU"),
(3050, "Cagayan", 171, "PH.CG"),
(3051, "Camiguin", 171, "PH.CM"),
(3052, "Camarines Norte", 171, "PH.CN"),
(3053, "Capiz", 171, "PH.CP"),
(3054, "Camarines Sur", 171, "PH.CS"),
(3055, "Catanduanes", 171, "PH.CT"),
(3056, "Cavite", 171, "PH.CV"),
(3057, "Cebu", 171, "PH.CB"),
(3058, "Compostela Valley", 171, "PH.CL"),
(3059, "Davao Oriental", 171, "PH.DO"),
(3060, "Davao del Sur", 171, "PH.DR"),
(3061, "Davao del Norte", 171, "PH.DR"),
(3062, "Eastern Samar", 171, "PH.ES"),
(3063, "Guimaras", 171, "PH.GU"),
(3064, "Ifugao", 171, "PH.IF"),
(3065, "Iloilo", 171, "PH.II"),
(3066, "Ilocos Norte", 171, "PH.IN"),
(3067, "Ilocos Sur", 171, "PH.IS"),
(3068, "Isabela", 171, "PH.IB"),
(3069, "Kalinga", 171, "PH.KA"),
(3070, "Laguna", 171, "PH.LG"),
(3071, "Lanao del Norte", 171, "PH.LN"),
(3072, "Lapu-Lapu", 171, "PH.LAP"),
(3073, "Lanao del Sur", 171, "PH.LS"),
(3074, "Leyte", 171, "PH.LE"),
(3075, "La Union", 171, "PH.LU"),
(3076, "Marinduque", 171, "PH.MQ"),
(3077, "Maguindanao", 171, "PH.MG"),
(3078, "Masbate", 171, "PH.MB"),
(3079, "Mindoro Occidental", 171, "PH.MC"),
(3080, "Mandaue", 171, "PH.MDE"),
(3081, "Mindoro Oriental", 171, "PH.MR"),
(3082, "PH.MM", 171, "PH.MM"),
(3083, "Mountain Province", 171, "PH.MT"),
(3084, "Misamis Occidental", 171, "PH.MD"),
(3085, "Misamis Oriental", 171, "PH.MN"),
(3086, "Maguindanao", 171, "PH.NC"),
(3087, "Negros Occidental", 171, "PH.ND"),
(3088, "Negros Oriental", 171, "PH.NR"),
(3089, "Northern Samar", 171, "PH.NS"),
(3090, "Nueva Ecija", 171, "PH.NE"),
(3091, "Nueva Vizcaya", 171, "PH.NV"),
(3092, "Pampanga", 171, "PH.PM"),
(3093, "Pangasinan", 171, "PH.PN"),
(3094, "Palawan", 171, "PH.PL"),
(3095, "Quezon", 171, "PH.QZ"),
(3096, "Quirino", 171, "PH.QR"),
(3097, "Rizal", 171, "PH.RI"),
(3098, "Romblon", 171, "PH.RO"),
(3099, "Sarangani", 171, "PH.SG"),
(3100, "South Cotabato", 171, "PH.SC"),
(3101, "Siquijor", 171, "PH.SQ"),
(3102, "Southern Leyte", 171, "PH.SL"),
(3103, "Sulu", 171, "PH.SU"),
(3104, "Sorsogon", 171, "PH.SR"),
(3105, "Sultan Kudarat", 171, "PH.SK"),
(3106, "Surigao del Norte", 171, "PH.DI"),
(3107, "Surigao del Sur", 171, "PH.SS"),
(3108, "Tarlac", 171, "PH.TR"),
(3109, "Tawitawi", 171, "PH.TT"),
(3110, "Samar", 171, "PH.SM"),
(3111, "Zamboanga City", 171, "PH.ZN"),
(3112, "Zamboanga del Sur", 171, "PH.ZS"),
(3113, "Zambales", 171, "PH.ZM"),
(3114, "Zamboanga Sibugay", 171, "PH.ZS"),
(3115, "Aimeliik", 172, "PW.AM"),
(3116, "Airai", 172, "PW.AR"),
(3117, "Angaur", 172, "PW.AN"),
(3118, "Hatohobei", 172, "PW.HA"),
(3119, "Kayangel", 172, "PW.KA"),
(3120, "Koror", 172, "PW.KO"),
(3121, "Melekeok", 172, "PW.ME"),
(3122, "Ngaraard", 172, "PW.ND"),
(3123, "Ngarchelong", 172, "PW.NC"),
(3124, "Ngardmau", 172, "PW.NM"),
(3125, "Ngatpang", 172, "PW.NP"),
(3126, "Ngchesar", 172, "PW.NS"),
(3127, "Ngeremlengui", 172, "PW.NL"),
(3128, "Ngiwal", 172, "PW.NW"),
(3129, "Peleliu", 172, "PW.PE"),
(3130, "Sonsorol", 172, "PW.SO"),
(3131, "Chimbu", 173, "PG.CH"),
(3132, "Central", 173, "PG.CE"),
(3133, "East New Britain", 173, "PG.EN"),
(3134, "Eastern Highlands", 173, "PG.EH"),
(3135, "Enga", 173, "PG.EG"),
(3136, "East Sepik", 173, "PG.ES"),
(3137, "Gulf", 173, "PG.GU"),
(3138, "Milne Bay", 173, "PG.MB"),
(3139, "Morobe", 173, "PG.MR"),
(3140, "Madang", 173, "PG.MD"),
(3141, "Manus", 173, "PG.MN"),
(3142, "National Capital District", 173, "PG.NC"),
(3143, "New Ireland", 173, "PG.NI"),
(3144, "Northern", 173, "PG.NO"),
(3145, "North Solomons", 173, "PG.NS"),
(3146, "Sandaun", 173, "PG.SA"),
(3147, "Southern Highlands", 173, "PG.SL"),
(3148, "West New Britain", 173, "PG.WN"),
(3149, "Western Highlands", 173, "PG.WL"),
(3150, "Western", 173, "PG.WE"),
(3151, "Lower Silesian", 174, "PL.DS"),
(3152, "Kuyavian-Pomeranian", 174, "PL.KP"),
(3153, "Lubusz", 174, "PL.LB"),
(3154, "ÅÃ³dÅº", 174, "PL.LD"),
(3155, "Lublin", 174, "PL.LU"),
(3156, "Lesser Poland", 174, "PL.MA"),
(3157, "Masovian", 174, "PL.MZ"),
(3158, "Opole", 174, "PL.OP"),
(3159, "Podlachian", 174, "PL.PD"),
(3160, "Subcarpathian", 174, "PL.PK"),
(3161, "Pomeranian", 174, "PL.PM"),
(3162, "ÅwiÄtokrzyskie", 174, "PL.SK"),
(3163, "Silesian", 174, "PL.SL"),
(3164, "Warmian-Masurian", 174, "PL.WN"),
(3165, "Greater Poland", 174, "PL.WP"),
(3166, "West Pomeranian", 174, "PL.ZP"),
(3167, "Puerto Rico", 175, "PR.X00~"),
(3168, "P'yÅngyang", 176, "KP.PY"),
(3169, "P'yÅngan-namdo", 176, "KP.PN"),
(3170, "P'yÅngan-bukto", 176, "KP.PB"),
(3171, "Chagang-do", 176, "KP.CH"),
(3172, "Hwanghae-namdo", 176, "KP.WN"),
(3173, "Hwanghae-bukto", 176, "KP.WK"),
(3174, "KangwÅn-do", 176, "KP.KW"),
(3175, "HamgyÅng-namdo", 176, "KP.HN"),
(3176, "HamgyÅng-bukto", 176, "KP.HG"),
(3177, "Ryanggang", 176, "KP.YG"),
(3178, "HamgyÅng-bukto", 176, "KP.NJ"),
(3179, "Aveiro", 177, "PT.AV"),
(3180, "Beja", 177, "PT.BE"),
(3181, "Braga", 177, "PT.BR"),
(3182, "BraganÃ§a", 177, "PT.BA"),
(3183, "Castelo Branco", 177, "PT.CB"),
(3184, "Coimbra", 177, "PT.CO"),
(3185, "Ãvora", 177, "PT.EV"),
(3186, "Faro", 177, "PT.FA"),
(3187, "Guarda", 177, "PT.GU"),
(3188, "Leiria", 177, "PT.LE"),
(3189, "Lisboa", 177, "PT.LI"),
(3190, "Portalegre", 177, "PT.PA"),
(3191, "Porto", 177, "PT.PO"),
(3192, "SantarÃ©m", 177, "PT.SA"),
(3193, "Setúbal", 177, "PT.SE"),
(3194, "Viana do Castelo", 177, "PT.VC"),
(3195, "Vila Real", 177, "PT.VR"),
(3196, "Viseu", 177, "PT.VI"),
(3197, "Azores", 177, "PT.AC"),
(3198, "Madeira", 177, "PT.MA"),
(3199, "ConcepciÃ³n", 178, "PY.CN"),
(3200, "San Pedro", 178, "PY.SP"),
(3201, "Cordillera", 178, "PY.CR"),
(3202, "GuairÃ¡", 178, "PY.GU"),
(3203, "CaaguazÃº", 178, "PY.CG"),
(3204, "CaazapÃ¡", 178, "PY.CZ"),
(3205, "ItapÃºa", 178, "PY.IT"),
(3206, "Misiones", 178, "PY.MI"),
(3207, "ParaguarÃ­", 178, "PY.PG"),
(3208, "Alto ParanÃ¡", 178, "PY.AA"),
(3209, "Central", 178, "PY.CE"),
(3210, "ÃeembucÃº", 178, "PY.NE"),
(3211, "Amambay", 178, "PY.AM"),
(3212, "CanindeyÃº", 178, "PY.CY"),
(3213, "Presidente Hayes", 178, "PY.PH"),
(3214, "Alto Paraguay", 178, "PY.AG"),
(3215, "BoquerÃ³n", 178, "PY.BQ"),
(3216, "AsunciÃ³n", 178, "PY.AS"),
(3217, "GAZ-00 (Gaza Strip aggregation)", 179, "PS.GZ"),
(3218, "WEB-00 (West Bank aggregation)", 179, "PS.WE"),
(3219, "Windward Islands", 180, "PF.WI"),
(3220, "Leeward Islands", 180, "PF.LI"),
(3221, "Tuamotu-Gambier", 180, "PF.TG"),
(3222, "Austral Islands", 180, "PF.TI"),
(3223, "Marquesas Islands", 180, "PF.MI"),
(3224, "Ad Dawhah", 181, "QA.DA"),
(3225, "Al Khawr", 181, "QA.KR"),
(3226, "Madinat ach Shamal", 181, "QA.MS"),
(3227, "Ar Rayyan", 181, "QA.RY"),
(3228, "Umm Salal", 181, "QA.SL"),
(3229, "Al Wakrah", 181, "QA.WA"),
(3230, "Al Daayen", 181, "QA.DY"),
(3231, "Alba", 182, "RO.AB"),
(3232, "Arges", 182, "RO.AG"),
(3233, "Arad", 182, "RO.AR"),
(3234, "Bucharest", 182, "RO.BI"),
(3235, "Bacau", 182, "RO.BC"),
(3236, "Bihor", 182, "RO.BH"),
(3237, "Bistrita-Nasaud", 182, "RO.BN"),
(3238, "Braila", 182, "RO.BR"),
(3239, "Botosani", 182, "RO.BT"),
(3240, "Brasov", 182, "RO.BV"),
(3241, "Buzau", 182, "RO.BZ"),
(3242, "Cluj", 182, "RO.CJ"),
(3243, "Calarasi", 182, "RO.CL"),
(3244, "Caras-Severin", 182, "RO.CS"),
(3245, "Constanta", 182, "RO.CT"),
(3246, "Covasna", 182, "RO.CV"),
(3247, "DÃ¢mbovita", 182, "RO.DB"),
(3248, "Dolj", 182, "RO.DJ"),
(3249, "Gorj", 182, "RO.GJ"),
(3250, "Galati", 182, "RO.GL"),
(3251, "Giurgiu", 182, "RO.GR"),
(3252, "Hunedoara", 182, "RO.HD"),
(3253, "Harghita", 182, "RO.HR"),
(3254, "Ilfov", 182, "RO.IF"),
(3255, "Ialomita", 182, "RO.IL"),
(3256, "Iasi", 182, "RO.IS"),
(3257, "Mehedinti", 182, "RO.MH"),
(3258, "Maramures", 182, "RO.MM"),
(3259, "Mures", 182, "RO.MS"),
(3260, "Neamt", 182, "RO.NT"),
(3261, "Olt", 182, "RO.OT"),
(3262, "Prahova", 182, "RO.PH"),
(3263, "Sibiu", 182, "RO.SB"),
(3264, "Salaj", 182, "RO.SJ"),
(3265, "Satu Mare", 182, "RO.SM"),
(3266, "Suceava", 182, "RO.SV"),
(3267, "Tulcea", 182, "RO.TL"),
(3268, "Timis", 182, "RO.TM"),
(3269, "Teleorman", 182, "RO.TR"),
(3270, "VÃ¢lcea", 182, "RO.VL"),
(3271, "Vrancea", 182, "RO.VN"),
(3272, "Vaslui", 182, "RO.VS"),
(3273, "Sevastopol City Municipality", 183, "UA.SC"),
(3274, "Crimea", 183, "UA.KR"),
(3275, "Adygey", 183, "RU.AD"),
(3276, "Gorno-Altay", 183, "RU.GA"),
(3277, "Altay", 183, "RU.AL"),
(3278, "Amur", 183, "RU.AM"),
(3279, "Arkhangel'sk", 183, "RU.AR"),
(3280, "Astrakhan'", 183, "RU.AS"),
(3281, "Bashkortostan", 183, "RU.BK"),
(3282, "Belgorod", 183, "RU.BL"),
(3283, "Bryansk", 183, "RU.BR"),
(3284, "Buryat", 183, "RU.BU"),
(3285, "Chechenskaya Respublika", 183, "RU.CN"),
(3286, "Chelyabinsk", 183, "RU.CL"),
(3287, "Chukotskiy avtonomnyy okrug", 183, "RU.CK"),
(3288, "Chuvash", 183, "RU.CV"),
(3289, "Dagestan", 183, "RU.DA"),
(3290, "Ingush", 183, "RU.IN"),
(3291, "Irkutsk", 183, "RU.IK"),
(3292, "Ivanovo", 183, "RU.IV"),
(3293, "Kamchatka", 183, "RU.KQ"),
(3294, "Kabardin-Balkar", 183, "RU.KB"),
(3295, "Karachay-Cherkess", 183, "RU.KC"),
(3296, "Krasnodar", 183, "RU.KD"),
(3297, "Kemerovo", 183, "RU.KE"),
(3298, "Kaliningrad", 183, "RU.KN"),
(3299, "Kurgan", 183, "RU.KU"),
(3300, "Khabarovsk", 183, "RU.KH"),
(3301, "Khanty-Mansiy", 183, "RU.KM"),
(3302, "Kirov", 183, "RU.KV"),
(3303, "Khakass", 183, "RU.KK"),
(3304, "Kalmyk", 183, "RU.KL"),
(3305, "Kaluga", 183, "RU.KG"),
(3306, "Komi", 183, "RU.KO"),
(3307, "Kostroma", 183, "RU.KT"),
(3308, "Karelia", 183, "RU.KI"),
(3309, "Kursk", 183, "RU.KS"),
(3310, "Krasnoyarskiy kray", 183, "RU.KX"),
(3311, "Leningrad", 183, "RU.LN"),
(3312, "Lipetsk", 183, "RU.LP"),
(3313, "Maga Buryatdan", 183, "RU.MG"),
(3314, "Mariy-El", 183, "RU.ME"),
(3315, "Mordovia", 183, "RU.MR"),
(3316, "Moskva", 183, "RU.MS"),
(3317, "Moskovsskaya", 183, "RU.MS"),
(3318, "Murmansk", 183, "RU.MM"),
(3319, "Nenetskiy avtonomnyy okrug", 183, "RU.NN"),
(3320, "Novgorod", 183, "RU.NG"),
(3321, "Nizhegorod", 183, "RU.NZ"),
(3322, "Novosibirsk", 183, "RU.NS"),
(3323, "Omsk", 183, "RU.OM"),
(3324, "Orenburg", 183, "RU.OB"),
(3325, "Orel", 183, "RU.OL"),
(3326, "Perm'", 183, "RU.PE"),
(3327, "Penza", 183, "RU.PZ"),
(3328, "Primor'ye", 183, "RU.PR"),
(3329, "Pskov", 183, "RU.PS"),
(3330, "Rostov", 183, "RU.RO"),
(3331, "Ryazan'", 183, "RU.RZ"),
(3332, "Chukot", 183, "RU.CK"),
(3333, "Sakhalin", 183, "RU.SL"),
(3334, "Samara", 183, "RU.SA"),
(3335, "Saratov", 183, "RU.SR"),
(3336, "Severnaya Osetiya, Respublika [Alaniya] [Respublika Severnaya Osetiya-Alaniya]", 183, "RU.NO"),
(3337, "Smolensk", 183, "RU.SM"),
(3338, "City of St. Petersburg", 183, "RU.SP"),
(3339, "Stavropol'", 183, "RU.ST"),
(3340, "Sverdlovsk", 183, "RU.SV"),
(3341, "Tatarstan", 183, "RU.TT"),
(3342, "Tambov", 183, "RU.TB"),
(3343, "Tomsk", 183, "RU.TO"),
(3344, "Tula", 183, "RU.TL"),
(3345, "Tver'", 183, "RU.TV"),
(3346, "Tuva", 183, "RU.TU"),
(3347, "Tyumen'", 183, "RU.TY"),
(3348, "Udmurt", 183, "RU.UD"),
(3349, "Ul'yanovsk", 183, "RU.UL"),
(3350, "Volgograd", 183, "RU.VG"),
(3351, "Vladimir", 183, "RU.VL"),
(3352, "Vologda", 183, "RU.VO"),
(3353, "Voronezh", 183, "RU.VR"),
(3354, "RU.X01~", 183, "RU.X01~"),
(3355, "Yamal-Nenets", 183, "RU.YN"),
(3356, "Yaroslavl'", 183, "RU.YS"),
(3357, "Yevrey", 183, "RU.YV"),
(3358, "Chita", 183, "RU.CT"),
(3359, "Kigali City", 184, "RW.KV"),
(3360, "Eastern", 184, "RW.ES"),
(3361, "Northern", 184, "RW.NO"),
(3362, "Province de l'Ouest", 184, "RW.OU"),
(3363, "Southern", 184, "RW.SU"),
(3364, "Ar Riyad", 185, "SA.RI"),
(3365, "Makkah", 185, "SA.MK"),
(3366, "Al Madinah", 185, "SA.MD"),
(3367, "Ash Sharqiyah", 185, "SA.SH"),
(3368, "Al Quassim", 185, "SA.QS"),
(3369, "Ha'il", 185, "SA.HA"),
(3370, "Tabuk", 185, "SA.TB"),
(3371, "Al Hudud ash Shamaliyah", 185, "SA.HS"),
(3372, "Jizan", 185, "SA.JZ"),
(3373, "Najran", 185, "SA.NJ"),
(3374, "Al Bahah", 185, "SA.BA"),
(3375, "Al Jawf", 185, "SA.JF"),
(3376, "`Asir", 185, "SA.AS"),
(3377, "West Darfur", 186, "SD.CD"),
(3378, "North Darfur", 186, "SD.ND"),
(3379, "South Darfur", 186, "SD.SF"),
(3380, "West Darfur", 186, "SD.WF"),
(3381, "Gedarif", 186, "SD.GD"),
(3382, "Gezira", 186, "SD.GZ"),
(3383, "Kassala", 186, "SD.KA"),
(3384, "Khartoum", 186, "SD.KH"),
(3385, "North Kordufan", 186, "SD.NK"),
(3386, "South Kordufan", 186, "SD.SK"),
(3387, "Blue Nile", 186, "SD.BN"),
(3388, "Northern", 186, "SD.NO"),
(3389, "River Nile", 186, "SD.RN"),
(3390, "White Nile", 186, "SD.WN"),
(3391, "Red Sea", 186, "SD.RS"),
(3392, "Sennar", 186, "SD.SI"),
(3393, "Diourbel", 187, "SN.DB"),
(3394, "Dakar", 187, "SN.DK"),
(3395, "Fatick", 187, "SN.FK"),
(3396, "Kaolack", 187, "SN.KF"),
(3397, "Kolda", 187, "SN.KO"),
(3398, "Tambacounda", 187, "SN.TB"),
(3399, "Kaolack", 187, "SN.KC"),
(3400, "Louga", 187, "SN.LG"),
(3401, "Matam", 187, "SN.MT"),
(3402, "Kolda", 187, "SN.KO"),
(3403, "Matam", 187, "SN.ST"),
(3404, "Tambacounda", 187, "SN.TB"),
(3405, "ThiÃ¨s", 187, "SN.TH"),
(3406, "Ziguinchor", 187, "SN.ZG"),
(3407, "Central Singapore", 188, "SG.CS"),
(3408, "North East", 188, "SG.NE"),
(3409, "North West", 188, "SG.NW"),
(3410, "South East", 188, "SG.SE"),
(3411, "South West", 188, "SG.SW"),
(3412, "South Georgia and the South Sandwich Islands", 189, "GS.GS"),
(3413, "Central", 190, "SB.CN"),
(3414, "Choiseul", 190, "SB.CH"),
(3415, "Capital Territory (Honiara)", 190, "SB.CT"),
(3416, "Guadalcanal", 190, "SB.GU"),
(3417, "Isabel", 190, "SB.IS"),
(3418, "Makira", 190, "SB.MK"),
(3419, "Malaita", 190, "SB.ML"),
(3420, "Rennell and Bellona", 190, "SB.RB"),
(3421, "Temotu", 190, "SB.TE"),
(3422, "Eastern", 191, "SL.EA"),
(3423, "Northern", 191, "SL.NO"),
(3424, "Southern", 191, "SL.SO"),
(3425, "Western", 191, "SL.WE"),
(3426, "AhuachapÃ¡n", 192, "SV.AH"),
(3427, "CabaÃ±as", 192, "SV.CA"),
(3428, "Chalatenango", 192, "SV.CH"),
(3429, "CuscatlÃ¡n", 192, "SV.CU"),
(3430, "La Libertad", 192, "SV.LI"),
(3431, "MorazÃ¡n", 192, "SV.MO"),
(3432, "La Paz", 192, "SV.PA"),
(3433, "Santa Ana", 192, "SV.SA"),
(3434, "San Miguel", 192, "SV.SM"),
(3435, "Sonsonate", 192, "SV.SO"),
(3436, "San Salvador", 192, "SV.SS"),
(3437, "San Vicente", 192, "SV.SV"),
(3438, "La UniÃ³n", 192, "SV.UN"),
(3439, "UsulutÃ¡n", 192, "SV.US"),
(3440, "Acquaviva", 193, "SM.AC"),
(3441, "Chiesanuova", 193, "SM.CH"),
(3442, "Domagnano", 193, "SM.DO"),
(3443, "Faetano", 193, "SM.FA"),
(3444, "Fiorentino", 193, "SM.FI"),
(3445, "Borgo Maggiore", 193, "SM.BM"),
(3446, "San Marino", 193, "SM.SM"),
(3447, "Montegiardino", 193, "SM.MG"),
(3448, "Serravalle", 193, "SM.SE"),
(3449, "Bakool", 194, "SO.BK"),
(3450, "Banaadir", 194, "SO.BN"),
(3451, "Bari", 194, "SO.BR"),
(3452, "Bay", 194, "SO.BY"),
(3453, "Galguduud", 194, "SO.GA"),
(3454, "Gedo", 194, "SO.GE"),
(3455, "Hiiraan", 194, "SO.HI"),
(3456, "Jubbada Dhexe", 194, "SO.JD"),
(3457, "Jubbada Hoose", 194, "SO.JH"),
(3458, "Mudug", 194, "SO.MU"),
(3459, "Nugaal", 194, "SO.NU"),
(3460, "Shabeellaha Dhexe", 194, "SO.SD"),
(3461, "Shabeellaha Hoose", 194, "SO.SH"),
(3462, "St.-Pierre", 195, "PM.SP"),
(3463, "Miquelon-Langlade", 195, "PM.ML"),
(3464, "Grad Beograd", 196, "RS.BG"),
(3465, "Severno-Backi", 196, "RS.SC"),
(3466, "Srednje-Banatski", 196, "RS.SD"),
(3467, "Severno-Banatski", 196, "RS.SN"),
(3468, "JuÅ¾no-Banatski", 196, "RS.JN"),
(3469, "Zapadno-Backi", 196, "RS.ZC"),
(3470, "JuÅ¾no-Backi", 196, "RS.JC"),
(3471, "Sremski", 196, "RS.SM"),
(3472, "Macvanski", 196, "RS.MA"),
(3473, "Kolubarski", 196, "RS.KB"),
(3474, "Podunavski", 196, "RS.PD"),
(3475, "Branicevski", 196, "RS.BR"),
(3476, "Å umadijski", 196, "RS.SU"),
(3477, "Pomoravski", 196, "RS.PM"),
(3478, "Borski", 196, "RS.BO"),
(3479, "Zajecarski", 196, "RS.ZJ"),
(3480, "Zlatiborski", 196, "RS.ZL"),
(3481, "Moravicki", 196, "RS.MR"),
(3482, "RaÅ¡ki", 196, "RS.RS"),
(3483, "Pomoravski", 196, "RS.RN"),
(3484, "NiÅ¡avski", 196, "RS.NS"),
(3485, "Toplicki", 196, "RS.TO"),
(3486, "Pirotski", 196, "RS.PI"),
(3487, "Jablanicki", 196, "RS.JA"),
(3488, "Pcinjski", 196, "RS.PC"),
(3489, "North Bahr-al-Ghazal", 197, "SS.NB"),
(3490, "West Bahr-al-Ghazal", 197, "SS.WB"),
(3491, "Central Equatoria", 197, "SS.BG"),
(3492, "East Equatoria", 197, "SS.EE"),
(3493, "West Equatoria", 197, "SS.WE"),
(3494, "Jungoli", 197, "SS.JG"),
(3495, "Lakes", 197, "SS.EB"),
(3496, "Upper Nile", 197, "SS.UN"),
(3497, "Unity", 197, "SS.WH"),
(3498, "Warap", 197, "SS.WR"),
(3499, "Principe", 198, "ST.PR"),
(3500, "Sao Tome", 198, "ST.ST"),
(3501, "Brokopondo", 199, "SR.BR"),
(3502, "Commewijne", 199, "SR.CM"),
(3503, "Coronie", 199, "SR.CR"),
(3504, "Marowijne", 199, "SR.MA"),
(3505, "Nickerie", 199, "SR.NI"),
(3506, "Paramaribo", 199, "SR.PM"),
(3507, "Para", 199, "SR.PR"),
(3508, "Saramacca", 199, "SR.SA"),
(3509, "Sipaliwini", 199, "SR.SI"),
(3510, "Wanica", 199, "SR.WA"),
(3511, "BanskobystrickÃ½", 200, "SK.BC"),
(3512, "BratislavskÃ½", 200, "SK.BL"),
(3513, "KoÅ¡ickÃ½", 200, "SK.KI"),
(3514, "Nitriansky", 200, "SK.NI"),
(3515, "PreÅ¡ov", 200, "SK.PV"),
(3516, "TrnavskÃ½", 200, "SK.TA"),
(3517, "Trenciansky", 200, "SK.TC"),
(3518, "Å½ilinskÃ½", 200, "SK.ZI"),
(3519, "AjdovÅ¡Äina", 201, "SI.SP.AJ"),
(3520, "Beltinci", 201, "SI.PM.BE"),
(3521, "Bled", 201, "SI.GO.BL"),
(3522, "Bohinj", 201, "SI.GO.BO"),
(3523, "Borovnica", 201, "SI.LJ.BO"),
(3524, "Zasavska", 201, "SI.ZS"),
(3525, "Bovec", 201, "SI.SP.BO"),
(3526, "Brda", 201, "SI.SP.BR"),
(3527, "Brezovica", 201, "SI.LJ.BR"),
(3528, "BreÅ¾ice", 201, "SI.PS.BR"),
(3529, "Celje", 201, "SI.SA.CE"),
(3530, "Cerklje na Gorenjskem", 201, "SI.GO.CG"),
(3531, "Cerknica", 201, "SI.NO.CE"),
(3532, "Cerkno", 201, "SI.SP.CE"),
(3533, "Crenšovci", 201, "SI.PM.CR"),
(3534, "Crna na Koroškem", 201, "SI.KO.CK"),
(3535, "Crnomelj", 201, "SI.DO.CR"),
(3536, "Destrnik", 201, "SI.PD.DE"),
(3537, "Divaca", 201, "SI.JP.DI"),
(3538, "Dobrepolje", 201, "SI.LJ.DB"),
(3539, "Dobrova-Polhov Gradec", 201, "SI.LJ.DP"),
(3540, "Dol pri Ljubljani", 201, "SI.LJ.DL"),
(3541, "DomÅ¾ale", 201, "SI.LJ.DM"),
(3542, "Dornava", 201, "SI.PD.DO"),
(3543, "Dravograd", 201, "SI.KO.DR"),
(3544, "Duplek", 201, "SI.PD.DU"),
(3545, "Gorenja vas-Poljane", 201, "SI.GO.GV"),
(3546, "Gorišnica", 201, "SI.PD.GO"),
(3547, "Gornja Radgona", 201, "SI.PM.GR"),
(3548, "Gornji Grad", 201, "SI.SA.GG"),
(3549, "Gornji Petrovci", 201, "SI.PM.GP"),
(3550, "Grosuplje", 201, "SI.LJ.GR"),
(3551, "Šalovci", 201, "SI.PM.SA"),
(3552, "Hrastnik", 201, "SI.ZS.HR"),
(3553, "Hrpelje-Kozina", 201, "SI.JP.HK"),
(3554, "Idrija", 201, "SI.SP.ID"),
(3555, "Ig", 201, "SI.LJ.IG"),
(3556, "Ilirska Bistrica", 201, "SI.NO.IB"),
(3557, "Ivancna Gorica", 201, "SI.LJ.IV"),
(3558, "Izola", 201, "SI.JP.IZ"),
(3559, "Jesenice", 201, "SI.GO.JS"),
(3560, "Juršinci", 201, "SI.PD.DO"),
(3561, "Kamnik", 201, "SI.LJ.KA"),
(3562, "Kanal", 201, "SI.SP.KA"),
(3563, "Kidricevo", 201, "SI.PD.KI"),
(3564, "Kobarid", 201, "SI.SP.KO"),
(3565, "Kobilje", 201, "SI.PM.KO"),
(3566, "Kocevje", 201, "SI.LJ.KC"),
(3567, "Komen", 201, "SI.JP.KM"),
(3568, "Koper", 201, "SI.JP.KP"),
(3569, "Kozje", 201, "SI.SA.KO"),
(3570, "Kranj", 201, "SI.GO.KR"),
(3571, "Kranjska Gora", 201, "SI.GO.KG"),
(3572, "Krsko", 201, "SI.PS.KS"),
(3573, "Kungota", 201, "SI.PD.KU"),
(3574, "Kuzma", 201, "SI.PM.KU"),
(3575, "LaÅ¡ko", 201, "SI.SA.LA"),
(3576, "Lenart", 201, "SI.PD.LE"),
(3577, "Lendava", 201, "SI.PM.LE"),
(3578, "Litija", 201, "SI.LJ.LI"),
(3579, "Ljubljana", 201, "SI.LJ"),
(3580, "Ljubno", 201, "SI.SA.LJ"),
(3581, "Ljutomer", 201, "SI.PM.LJ"),
(3582, "Logatec", 201, "SI.LJ.LO"),
(3583, "Loška dolina", 201, "SI.NO.LD"),
(3584, "Loški Potok", 201, "SI.LJ.LP"),
(3585, "Luce", 201, "SI.SA"),
(3586, "Lukovica", 201, "SI.LJ.LU"),
(3587, "Majšperk", 201, "SI.PD.MJ"),
(3588, "Maribor", 201, "SI.PD.MB"),
(3589, "Medvode", 201, "SI.LJ.MD"),
(3590, "Mengeš", 201, "SI.LJ.MN"),
(3591, "Metlika", 201, "SI.DO.CR"),
(3592, "Mežica", 201, "SI.KO.ME"),
(3593, "Miren-Kostanjevica", 201, "SI.SP.MK"),
(3594, "Mislinja", 201, "SI.KO.MI"),
(3595, "Moravce", 201, "SI.LJ.MO"),
(3596, "Moravske Toplice", 201, "SI.PM.MT"),
(3597, "Mozirje", 201, "SI.SA.MO"),
(3598, "Murska Sobota", 201, "SI.PM.MS"),
(3599, "Muta", 201, "SI.KO.MU"),
(3600, "Naklo", 201, "SI.GO.NA"),
(3601, "Nazarje", 201, "SI.SA.NA"),
(3602, "Nova Gorica", 201, "SI.SP"),
(3603, "Novo Mesto", 201, "SI.DO.NM"),
(3604, "Odranci", 201, "SI.PM.OD"),
(3605, "OrmoÅ¾", 201, "SI.PD.OR"),
(3606, "Pesnica", 201, "SI.PD.PE"),
(3607, "Piran", 201, "SI.JP.PI"),
(3608, "Pivka", 201, "SI.SP.PI"),
(3609, "Podcetrtek", 201, "SI.SA.PD"),
(3610, "Podvelka", 201, "SI.KO.PO"),
(3611, "Postojna", 201, "SI.SP.PO"),
(3612, "Preddvor", 201, "SI.GO.PR"),
(3613, "Ptuj", 201, "SI.PD.PT"),
(3614, "Puconci", 201, "SI.PM.PU"),
(3615, "Race-Fram", 201, "SI.PD.RF"),
(3616, "Radece", 201, "SI.SA.RA"),
(3617, "Radenci", 201, "SI.PM.RD"),
(3618, "Radlje ob Dravi", 201, "SI.KO.RD"),
(3619, "Radovljica", 201, "SI.GO.RA"),
(3620, "Ravne na KoroÅ¡kem", 201, "SI.KO.RK"),
(3621, "Ribnica", 201, "SI.LJ.RI"),
(3622, "Rogašovci", 201, "SI.PM.RO"),
(3623, "Rogaška Slatina", 201, "SI.SA.RS"),
(3624, "Rogatec", 201, "SI.SA.RO"),
(3625, "RuÅ¡e", 201, "SI.PD.RU"),
(3626, "Semic", 201, "SI.DO.SM"),
(3627, "Sevnica", 201, "SI.PS.SE"),
(3628, "SeÅ¾ana", 201, "SI.JP.SE"),
(3629, "Slovenj Gradec", 201, "SI.KO"),
(3630, "Slovenska Bistrica", 201, "SI.PD.SB"),
(3631, "Slovenske Konjice", 201, "SI.SA.SK"),
(3632, "Starše", 201, "SI.PD.ST"),
(3633, "Sveti Jurij", 201, "SI.PM.SJ"),
(3634, "Šencur", 201, "SI.GO.SE"),
(3635, "Šentilj", 201, "SI.PD.SE"),
(3636, "Šentjernej", 201, "SI.DO.SN"),
(3637, "Å entjur pri Celju", 201, "SI.SA.SC"),
(3638, "Škocjan", 201, "SI.DO.SK"),
(3639, "Å kofja Loka", 201, "SI.GO.SL"),
(3640, "Škofljica", 201, "SI.LJ.SK"),
(3641, "Å marje pri JelÅ¡ah", 201, "SI.SA.SJ"),
(3642, "Šmartno ob Paki", 201, "SI.SA.SP"),
(3643, "Šoštanj", 201, "SI.SA.SS"),
(3644, "Štore", 201, "SI.SA.ST"),
(3645, "Tolmin", 201, "SI.SP.TO"),
(3646, "Trbovlje", 201, "SI.ZS"),
(3647, "Trebnje", 201, "SI.DO.TR"),
(3648, "TrÅ¾iÄ", 201, "SI.GO.TR"),
(3649, "Turnišce", 201, "SI.PM.TU"),
(3650, "Velenje", 201, "SI.SA.VE"),
(3651, "Velike Lašce", 201, "SI.LJ.VL"),
(3652, "Videm", 201, "SI.PD.VI"),
(3653, "Vipava", 201, "SI.SP.VI"),
(3654, "Vitanje", 201, "SI.SA.VI"),
(3655, "Vodice", 201, "SI.LJ.VO"),
(3656, "Vojnik", 201, "SI.SA.VO"),
(3657, "Vrhnika", 201, "SI.LJ.VR"),
(3658, "Vuzenica", 201, "SI.KO.VU"),
(3659, "Zavrc", 201, "SI.PD.ZA"),
(3660, "Zrece", 201, "SI.SA.ZR"),
(3661, "Železniki", 201, "SI.GO.ZE"),
(3662, "Žiri", 201, "SI.GO.ZI"),
(3663, "Benedikt", 201, "SI.PD.BE"),
(3664, "Bistrica ob Sotli", 201, "SI.SA.BS"),
(3665, "Bloke", 201, "SI.NO.BL"),
(3666, "Braslovce", 201, "SI.SA.BR"),
(3667, "Cankova", 201, "SI.PM.CA"),
(3668, "Cerkvenjak", 201, "SI.PD.CE"),
(3669, "Dobje", 201, "SI.SA.DJ"),
(3670, "Dobrna", 201, "SI.SA.DR"),
(3671, "Dobrovnik/Dobronak", 201, "SI.PM.DO"),
(3672, "Dolenjske Toplice", 201, "SI.DO.DT"),
(3673, "Grad", 201, "SI.PM.GD"),
(3674, "Hajdina", 201, "SI.PD.HA"),
(3675, "Hoce-Slivnica", 201, "SI.PD.HS"),
(3676, "Hodoš/Hodos", 201, "SI.PM.HO"),
(3677, "Horjul", 201, "SI.LJ.HO"),
(3678, "Jezersko", 201, "SI.GO.JZ"),
(3679, "Komenda", 201, "SI.LJ.KM"),
(3680, "Kostel", 201, "SI.LJ.KS"),
(3681, "Križevci", 201, "SI.PM.KR"),
(3682, "Lovrenc na Pohorju", 201, "SI.PD.LP"),
(3683, "Markovci", 201, "SI.PD.MK"),
(3684, "Miklavž na Dravskem polju", 201, "SI.PD.MD"),
(3685, "Mirna Pec", 201, "SI.DO.MP"),
(3686, "Oplotnica", 201, "SI.PD.OP"),
(3687, "Podlehnik", 201, "SI.PD.PO"),
(3688, "Polzela", 201, "SI.SA.PL"),
(3689, "Prebold", 201, "SI.SA.PR"),
(3690, "Prevalje", 201, "SI.KO.PR"),
(3691, "Razkrižje", 201, "SI.PM.RZ"),
(3692, "Ribnica na Pohorju", 201, "SI.KO.RP"),
(3693, "Selnica ob Dravi", 201, "SI.PD.SD"),
(3694, "Sodražica", 201, "SI.LJ.SO"),
(3695, "Solcava", 201, "SI.SA.SL"),
(3696, "Sveta Ana", 201, "SI.PD.SA"),
(3697, "Sveti Andraž v Slovenskih goricah", 201, "SI.PD.SS"),
(3698, "Šempeter-Vrtojba", 201, "SI.SP.SV"),
(3699, "Tabor", 201, "SI.SA.TA"),
(3700, "Trnovska vas", 201, "SI.PD.TV"),
(3701, "Trzin", 201, "SI.LJ.TR"),
(3702, "Velika Polana", 201, "SI.PM.VP"),
(3703, "Veržej", 201, "SI.PM.VE"),
(3704, "Vransko", 201, "SI.SA.VR"),
(3705, "Zalec", 201, "SI.SA.ZA"),
(3706, "Žetale", 201, "SI.PD.ZE"),
(3707, "Žirovnica", 201, "SI.GO.ZV"),
(3708, "Žužemberk", 201, "SI.DO.ZU"),
(3709, "Litija", 201, "SI.LJ.LI"),
(3710, "Gornja Radgona", 201, "SI.PM.GR"),
(3711, "Stockholm", 202, "SE.ST"),
(3712, "VÃ¤sterbotten", 202, "SE.VB"),
(3713, "Norrbotten", 202, "SE.NB"),
(3714, "Uppsala", 202, "SE.UP"),
(3715, "SÃ¶dermanland", 202, "SE.SD"),
(3716, "ÃstergÃ¶tland", 202, "SE.OG"),
(3717, "JÃ¶nkÃ¶ping", 202, "SE.JO"),
(3718, "Kronoberg", 202, "SE.KR"),
(3719, "Kalmar", 202, "SE.KA"),
(3720, "Gotland", 202, "SE.GT"),
(3721, "Blekinge", 202, "SE.BL"),
(3722, "SkÃ¥ne", 202, "SE.SN"),
(3723, "Halland", 202, "SE.HA"),
(3724, "VÃ¤stra GÃ¶taland", 202, "SE.VG"),
(3725, "VÃ¤rmland", 202, "SE.VR"),
(3726, "Orebro", 202, "SE.OR"),
(3727, "VÃ¤stmanland", 202, "SE.VM"),
(3728, "Dalarna", 202, "SE.KO"),
(3729, "GÃ¤vleborg", 202, "SE.GV"),
(3730, "VÃ¤sternorrland", 202, "SE.VN"),
(3731, "JÃ¤mtland", 202, "SE.JA"),
(3732, "Hhohho", 203, "SZ.HH"),
(3733, "Lubombo", 203, "SZ.LU"),
(3734, "Manzini", 203, "SZ.MA"),
(3735, "Shiselweni", 203, "SZ.SH"),
(3736, "St. Maarten", 204, "SX.SM"),
(3737, "Anse aux Pins", 205, "SC.PI"),
(3738, "Anse Boileau", 205, "SC.AB"),
(3739, "Anse Etoile", 205, "SC.ET"),
(3740, "Au Cap", 205, "SC.LO"),
(3741, "Anse Royale", 205, "SC.RO"),
(3742, "Baie Lazare", 205, "SC.BL"),
(3743, "Baie Ste. Anne", 205, "SC.BS"),
(3744, "Beau Vallon", 205, "SC.BV"),
(3745, "Bel Air", 205, "SC.BA"),
(3746, "Belombre", 205, "SC.BO"),
(3747, "Cascade", 205, "SC.CA"),
(3748, "Glacis", 205, "SC.GL"),
(3749, "Grand Anse Mahe", 205, "SC.GM"),
(3750, "Grand Anse Praslin", 205, "SC.GP"),
(3751, "La Digue", 205, "SC.DI"),
(3752, "English River", 205, "SC.RA"),
(3753, "Mont Buxton", 205, "SC.MB"),
(3754, "Mont Fleuri", 205, "SC.MF"),
(3755, "Plaisance", 205, "SC.PL"),
(3756, "Pointe Larue", 205, "SC.PR"),
(3757, "Port Glaud", 205, "SC.PG"),
(3758, "Saint Louis", 205, "SC.SL"),
(3759, "Takamaka", 205, "SC.TA"),
(3760, "Les Mamelles", 205, "SC.LM"),
(3761, "Roche Caiman", 205, "SC.RC"),
(3762, "Outer Islands", 205, "SC.OI"),
(3763, "Dimashq", 206, "SY.DI"),
(3764, "Dar`a", 206, "SY.DR"),
(3765, "Dayr Az Zawr", 206, "SY.DY"),
(3766, "Hasaka (Al Haksa)", 206, "SY.HA"),
(3767, "Homs (Hims)", 206, "SY.HI"),
(3768, "Aleppo (Halab)", 206, "SY.HL"),
(3769, "Hamah", 206, "SY.HM"),
(3770, "Idlib", 206, "SY.ID"),
(3771, "Lattakia (Al Ladhiqiyah)", 206, "SY.LA"),
(3772, "Quneitra", 206, "SY.QU"),
(3773, "Ar Raqqah", 206, "SY.RA"),
(3774, "Damascus", 206, "SY.RD"),
(3775, "As Suwayda'", 206, "SY.SU"),
(3776, "Tartus", 206, "SY.TA"),
(3777, "United Nations Neutral Zone", 206, "SY.X01~"),
(3778, "Middle Caicos", 207, "TC.X01~"),
(3779, "North Caicos", 207, "TC.X02~"),
(3780, "Providencales and West Caicos", 207, "TC.X03~"),
(3781, "South and East Caicos", 207, "TC.X04~"),
(3782, "Gand Turk", 207, "TC.X05~"),
(3783, "Salt Cay", 207, "TC.X06~"),
(3784, "Batha", 208, "TD.BA"),
(3785, "Kanem", 208, "TD.BG"),
(3786, "Bet", 208, "TD.BR"),
(3787, "Hadjer-Lamis", 208, "TD.CG"),
(3788, "GuÃ©ra", 208, "TD.GR"),
(3789, "Hadjer-Lamis", 208, "TD.HD"),
(3790, "Kanem", 208, "TD.KM"),
(3791, "Lac", 208, "TD.LC"),
(3792, "Logone Occidental", 208, "TD.LO"),
(3793, "Logone Oriental", 208, "TD.LR"),
(3794, "Mandoul", 208, "TD.MA"),
(3795, "Mandoul", 208, "TD.MO"),
(3796, "Mayo-Kebbi Est", 208, "TD.ME"),
(3797, "Mayo-Kebbi Ouest", 208, "TD.MW"),
(3798, "Ville de N'Djamena", 208, "TD.NJ"),
(3799, "OuaddaÃ¯", 208, "TD.OA"),
(3800, "Salamat", 208, "TD.SA"),
(3801, "OuaddaÃ¯", 208, "TD.SI"),
(3802, "Tandjile", 208, "TD.TA"),
(3803, "Bet", 208, "TD.TI"),
(3804, "Wadi Fira", 208, "TD.BI"),
(3805, "Bet", 208, "TD.EN"),
(3806, "Centre", 209, "TG.CE"),
(3807, "Kara", 209, "TG.KA"),
(3808, "Maritime", 209, "TG.MA"),
(3809, "Plateaux", 209, "TG.PL"),
(3810, "Savanes", 209, "TG.SA"),
(3811, "Bangkok Metropolis", 210, "TH.BM"),
(3812, "Samut Prakan", 210, "TH.SP"),
(3813, "Nonthaburi", 210, "TH.NO"),
(3814, "Pathum Thani", 210, "TH.PT"),
(3815, "Phra Nakhon Si Ayutthaya", 210, "TH.PA"),
(3816, "Ang Thong", 210, "TH.AT"),
(3817, "Lop Buri", 210, "TH.LB"),
(3818, "Sing Buri", 210, "TH.SB"),
(3819, "Chai Nat", 210, "TH.CN"),
(3820, "Saraburi", 210, "TH.SR"),
(3821, "Chon Buri", 210, "TH.CB"),
(3822, "Rayong", 210, "TH.RY"),
(3823, "Chanthaburi", 210, "TH.CT"),
(3824, "Trat", 210, "TH.TT"),
(3825, "Chachoengsao", 210, "TH.CC"),
(3826, "Prachin Buri", 210, "TH.PB"),
(3827, "Nakhon Nayok", 210, "TH.NN"),
(3828, "Sa Kaeo", 210, "TH.SK"),
(3829, "Nakhon Ratchasima", 210, "TH.NR"),
(3830, "Buri Ram", 210, "TH.BR"),
(3831, "Surin", 210, "TH.SU"),
(3832, "Si Sa Ket", 210, "TH.SI"),
(3833, "Ubon Ratchathani", 210, "TH.UR"),
(3834, "Yasothon", 210, "TH.YS"),
(3835, "Chaiyaphum", 210, "TH.CY"),
(3836, "Amnat Charoen", 210, "TH.AC"),
(3837, "Bueng Kan", 210, "TH.BK"),
(3838, "Nong Bua Lam Phu", 210, "TH.NB"),
(3839, "Khon Kaen", 210, "TH.KK"),
(3840, "Udon Thani", 210, "TH.UN"),
(3841, "Loei", 210, "TH.LE"),
(3842, "Nong Khai", 210, "TH.NH"),
(3843, "Maha Sarakham", 210, "TH.MS"),
(3844, "Roi Et", 210, "TH.RE"),
(3845, "Kalasin", 210, "TH.KL"),
(3846, "Sakon Nakhon", 210, "TH.SN"),
(3847, "Nakhon Phanom", 210, "TH.NF"),
(3848, "Mukdahan", 210, "TH.MD"),
(3849, "Chiang Mai", 210, "TH.CM"),
(3850, "Lamphun", 210, "TH.LN"),
(3851, "Lampang", 210, "TH.LG"),
(3852, "Uttaradit", 210, "TH.UD"),
(3853, "Phrae", 210, "TH.PR"),
(3854, "Nan", 210, "TH.NA"),
(3855, "Phayao", 210, "TH.PY"),
(3856, "Chiang Rai", 210, "TH.CR"),
(3857, "Mae Hong Son", 210, "TH.MH"),
(3858, "Nakhon Sawan", 210, "TH.NS"),
(3859, "Uthai Thani", 210, "TH.UT"),
(3860, "Kamphaeng Phet", 210, "TH.KP"),
(3861, "Tak", 210, "TH.TK"),
(3862, "Sukhothai", 210, "TH.SO"),
(3863, "Phitsanulok", 210, "TH.PS"),
(3864, "Phichit", 210, "TH.PC"),
(3865, "Phetchabun", 210, "TH.PH"),
(3866, "Ratchaburi", 210, "TH.RT"),
(3867, "Kanchanaburi", 210, "TH.KN"),
(3868, "Suphan Buri", 210, "TH.SH"),
(3869, "Nakhon Pathom", 210, "TH.NP"),
(3870, "Samut Sakhon", 210, "TH.SS"),
(3871, "Samut Songkhram", 210, "TH.SM"),
(3872, "Phetchaburi", 210, "TH.PE"),
(3873, "Prachuap Khiri Khan", 210, "TH.PK"),
(3874, "Nakhon Si Thammarat", 210, "TH.NT"),
(3875, "Krabi", 210, "TH.KR"),
(3876, "Phangnga", 210, "TH.PG"),
(3877, "Phuket", 210, "TH.PU"),
(3878, "Surat Thani", 210, "TH.ST"),
(3879, "Ranong", 210, "TH.RN"),
(3880, "Chumphon", 210, "TH.CP"),
(3881, "Songkhla", 210, "TH.SG"),
(3882, "Satun", 210, "TH.SA"),
(3883, "Trang", 210, "TH.TG"),
(3884, "Phatthalung", 210, "TH.PL"),
(3885, "Pattani", 210, "TH.PI"),
(3886, "Yala", 210, "TH.YL"),
(3887, "Narathiwat", 210, "TH.NW"),
(3888, "Dushanbe", 211, "TJ.DU"),
(3889, "Gorno-Badakhshan", 211, "TJ.BK"),
(3890, "Khatlon", 211, "TJ.KL"),
(3891, "Leninabad", 211, "TJ.LE"),
(3892, "Tadzhikistan Territories", 211, "TJ.RR"),
(3893, "Ahal", 212, "TM.AL"),
(3894, "Balkan", 212, "TM.BA"),
(3895, "Tashauz", 212, "TM.DA"),
(3896, "Chardzhou", 212, "TM.LE"),
(3897, "Mary", 212, "TM.MA"),
(3898, "Aileu", 213, "TL.AL"),
(3899, "Ainaro", 213, "TL.AN"),
(3900, "Baucau", 213, "TL.BC"),
(3901, "Bobonaro", 213, "TL.BB"),
(3902, "Cova Lima", 213, "TL.CL"),
(3903, "Dili", 213, "TL.DL"),
(3904, "Ermera", 213, "TL.ER"),
(3905, "Lautem", 213, "TP.BT"),
(3906, "Liquica", 213, "TP.LQ"),
(3907, "Manufahi", 213, "TL.MF"),
(3908, "Manatuto", 213, "TL.MT"),
(3909, "Ambeno", 213, "TL.AM"),
(3910, "Viqueque", 213, "TL.VQ"),
(3911, "'Eua", 214, "TO.EU"),
(3912, "Ha'apai", 214, "TO.HA"),
(3913, "Niuas", 214, "TO.NI"),
(3914, "Tongatapu", 214, "TO.TT"),
(3915, "Vava'eu", 214, "TO.VA"),
(3916, "Arima", 215, "TT.AR"),
(3917, "Chaguanas", 215, "TT.CH"),
(3918, "Couva-Tabaquite-Talparo", 215, "TT.CT"),
(3919, "Diego Martin", 215, "TT.DM"),
(3920, "Eastern Tobago", 215, "TT.TO"),
(3921, "Penal-Debe", 215, "TT.PD"),
(3922, "Port of Spain", 215, "TT.PS"),
(3923, "Princes Town", 215, "TT.PT"),
(3924, "Point Fortin", 215, "TT.PF"),
(3925, "Rio Claro-Mayaro", 215, "TT.MR"),
(3926, "San Fernando", 215, "TT.SF"),
(3927, "Sangre Grande", 215, "TT.SN"),
(3928, "Siparia", 215, "TT.SI"),
(3929, "San Juan-Laventille", 215, "TT.SL"),
(3930, "Tunapuna-Piarco", 215, "TT.TP"),
(3931, "Western Tobago", 215, "TT.TO"),
(3932, "Tunis", 216, "TN.TU"),
(3933, "Ben Arous (Tunis Sud)", 216, "TN.BA"),
(3934, "Manubah", 216, "TN.MN"),
(3935, "Nabeul", 216, "TN.NB"),
(3936, "Zaghouan", 216, "TN.ZA"),
(3937, "Bizerte", 216, "TN.BZ"),
(3938, "BÃ©ja", 216, "TN.BJ"),
(3939, "Jendouba", 216, "TN.JE"),
(3940, "Le Kef", 216, "TN.KF"),
(3941, "Siliana", 216, "TN.SL"),
(3942, "Kairouan", 216, "TN.KR"),
(3943, "KassÃ©rine", 216, "TN.KS"),
(3944, "Sidi Bou Zid", 216, "TN.SZ"),
(3945, "Sousse", 216, "TN.SS"),
(3946, "Monastir", 216, "TN.MS"),
(3947, "Mahdia", 216, "TN.MH"),
(3948, "Sfax", 216, "TN.SF"),
(3949, "Gafsa", 216, "TN.GF"),
(3950, "Tozeur", 216, "TN.TO"),
(3951, "Kebili", 216, "TN.KB"),
(3952, "GabÃ¨s", 216, "TN.GB"),
(3953, "MÃ©denine", 216, "TN.ME"),
(3954, "Tataouine", 216, "TN.TA"),
(3955, "Adana", 217, "TR.AA"),
(3956, "Adiyaman", 217, "TR.AD"),
(3957, "Afyon", 217, "TR.AF"),
(3958, "Agri", 217, "TR.AG"),
(3959, "Amasya", 217, "TR.AM"),
(3960, "Ankara", 217, "TR.AN"),
(3961, "Antalya", 217, "TR.AL"),
(3962, "Artvin", 217, "TR.AV"),
(3963, "Aydin", 217, "TR.AY"),
(3964, "Balikesir", 217, "TR.BK"),
(3965, "Bilecik", 217, "TR.BC"),
(3966, "BingÃ¶l", 217, "TR.BG"),
(3967, "Bitlis", 217, "TR.BT"),
(3968, "Bolu", 217, "TR.BL"),
(3969, "Burdur", 217, "TR.BD"),
(3970, "Bursa", 217, "TR.BU"),
(3971, "Ãanakkale", 217, "TR.CK"),
(3972, "Ãankiri", 217, "TR.CI"),
(3973, "Ãorum", 217, "TR.CM"),
(3974, "Denizli", 217, "TR.DN"),
(3975, "Diyarbakir", 217, "TR.DY"),
(3976, "Edirne", 217, "TR.ED"),
(3977, "Elazig", 217, "TR.EG"),
(3978, "Erzincan", 217, "TR.EN"),
(3979, "Erzurum", 217, "TR.EM"),
(3980, "Eskisehir", 217, "TR.ES"),
(3981, "Gaziantep", 217, "TR.GA"),
(3982, "Giresun", 217, "TR.GI"),
(3983, "GÃ¼mÃ¼shane", 217, "TR.GU"),
(3984, "Hakkari", 217, "TR.HK"),
(3985, "Hatay", 217, "TR.HT"),
(3986, "Isparta", 217, "TR.IP"),
(3987, "Mersin", 217, "TR.IC"),
(3988, "Istanbul", 217, "TR.IB"),
(3989, "Izmir", 217, "TR.IZ"),
(3990, "Kars", 217, "TR.KA"),
(3991, "Kastamonu", 217, "TR.KS"),
(3992, "Kayseri", 217, "TR.KY"),
(3993, "Kirklareli", 217, "TR.KL"),
(3994, "Kirsehir", 217, "TR.KH"),
(3995, "Kocaeli", 217, "TR.KC"),
(3996, "Konya", 217, "TR.KO"),
(3997, "KÃ¼tahya", 217, "TR.KU"),
(3998, "Malatya", 217, "TR.ML"),
(3999, "Manisa", 217, "TR.MN"),
(4000, "K. Maras", 217, "TR.KM"),
(4001, "Mardin", 217, "TR.MR"),
(4002, "Mugla", 217, "TR.MG"),
(4003, "Mus", 217, "TR.MS"),
(4004, "Nevsehir", 217, "TR.NV"),
(4005, "Nigde", 217, "TR.NG"),
(4006, "Ordu", 217, "TR.OR"),
(4007, "Rize", 217, "TR.RI"),
(4008, "Sakarya", 217, "TR.SK"),
(4009, "Samsun", 217, "TR.SS"),
(4010, "Siirt", 217, "TR.SI"),
(4011, "Sinop", 217, "TR.SP"),
(4012, "Sivas", 217, "TR.SV"),
(4013, "Tekirdag", 217, "TR.TG"),
(4014, "Tokat", 217, "TR.TT"),
(4015, "Trabzon", 217, "TR.TB"),
(4016, "Tunceli", 217, "TR.TC"),
(4017, "Sanliurfa", 217, "TR.SU"),
(4018, "Usak", 217, "TR.US"),
(4019, "Van", 217, "TR.VA"),
(4020, "Yozgat", 217, "TR.YZ"),
(4021, "Zinguldak", 217, "TR.ZO"),
(4022, "Aksaray", 217, "TR.AK"),
(4023, "Bayburt", 217, "TR.BB"),
(4024, "Karaman", 217, "TR.KR"),
(4025, "Kinkkale", 217, "TR.KK"),
(4026, "Batman", 217, "TR.BM"),
(4027, "Sirnak", 217, "TR.SR"),
(4028, "Bartin", 217, "TR.BR"),
(4029, "Ardahan", 217, "TR.AR"),
(4030, "IÃÅ¸dÃÂ±r", 217, "TR.IG"),
(4031, "Yalova", 217, "TR.YL"),
(4032, "Karabük", 217, "TR.KB"),
(4033, "Kilis", 217, "TR.KI"),
(4034, "Osmaniye", 217, "TR.OS"),
(4035, "Düzce", 217, "TR.DU"),
(4036, "Tuvalu", 218, "TV.X01~"),
(4037, "Changhua County", 219, "TW.TW.CG"),
(4038, "Chiayi City", 219, "TW.TW.CS"),
(4039, "Chiayi County", 219, "TW.TW.CH"),
(4040, "Hsinchu County", 219, "TW.TW.HH"),
(4041, "Hsinchu City", 219, "TW.TW.HS"),
(4042, "Hualien County", 219, "TW.TW.HL"),
(4043, "Yilan County", 219, "TW.TW.IL"),
(4044, "Keelung City", 219, "TW.TW.CL"),
(4045, "Kaohsiung City", 219, "TW.KH.KC"),
(4046, "Kinmen", 219, "TW.FK.KM"),
(4047, "Miaoli County", 219, "TW.TW.ML"),
(4048, "Nantou County", 219, "TW.TW.NT"),
(4049, "Penghu County", 219, "TW.TW.PH"),
(4050, "Pingtung County", 219, "TW.TW.PT"),
(4051, "Taoyuan County", 219, "TW.TW.TY"),
(4052, "Tainan City", 219, "TW.TW.TN"),
(4053, "Taipei City", 219, "TW.TP.TC"),
(4054, "Taipei County", 219, "TW.TW.TP"),
(4055, "Taitung County", 219, "TW.TW.TT"),
(4056, "Taichung City", 219, "TW.TW.TG"),
(4057, "Yunlin County", 219, "TW.TW.YL"),
(4058, "Arusha", 220, "TZ.AS"),
(4059, "Dar-Es-Salaam", 220, "TZ.DS"),
(4060, "Dodoma", 220, "TZ.DO"),
(4061, "Iringa", 220, "TZ.IG"),
(4062, "Kagera", 220, "TZ.KG"),
(4063, "Kaskazini-Pemba", 220, "TZ.PN"),
(4064, "Kaskazini-Unguja", 220, "TZ.ZN"),
(4065, "Kigoma", 220, "TZ.KM"),
(4066, "Kilimanjaro", 220, "TZ.KL"),
(4067, "Kusini-Pemba", 220, "TZ.PS"),
(4068, "Zanzibar South and Central", 220, "TZ.ZS"),
(4069, "Lindi", 220, "TZ.LI"),
(4070, "Mara", 220, "TZ.MA"),
(4071, "Mbeya", 220, "TZ.MB"),
(4072, "Zanzibar West", 220, "TZ.ZW"),
(4073, "Morogoro", 220, "TZ.MO"),
(4074, "Mtwara", 220, "TZ.MT"),
(4075, "Mwanza", 220, "TZ.MZ"),
(4076, "Pwani", 220, "TZ.PW"),
(4077, "Rukwa", 220, "TZ.RU"),
(4078, "Ruvuma", 220, "TZ.RV"),
(4079, "Shinyanga", 220, "TZ.SY"),
(4080, "Singida", 220, "TZ.SD"),
(4081, "Tabora", 220, "TZ.TB"),
(4082, "Tanga", 220, "TZ.TN"),
(4083, "Manyara", 220, "TZ.MY"),
(4084, "Kagera", 220, "TZ.GE"),
(4085, "Rukwa", 220, "TZ.KA"),
(4086, "Iringa", 220, "TZ.NJ"),
(4087, "Shinyanga", 220, "TZ.SI"),
(4088, "Kalangala", 221, "UG.KN"),
(4089, "Kampala", 221, "UG.KM"),
(4090, "Kiboga", 221, "UG.QO"),
(4091, "Luwero", 221, "UG.LL"),
(4092, "Masaka", 221, "UG.MQ"),
(4093, "Mpigi", 221, "UG.MJ"),
(4094, "Mubende", 221, "UG.MD"),
(4095, "Mukono", 221, "UG.MV"),
(4096, "Nakasongola", 221, "UG.NA"),
(4097, "Rakai", 221, "UG.RI"),
(4098, "Sembabule", 221, "UG.SE"),
(4099, "Kayunga", 221, "UG.KY"),
(4100, "Wakiso", 221, "UG.WA"),
(4101, "Mityana", 221, "UG.TY"),
(4102, "Nakaseke", 221, "UG.NK"),
(4103, "Masaka", 221, "UG.LY"),
(4104, "Mukono", 221, "UG.BZ"),
(4105, "Masaka", 221, "UG.BM"),
(4106, "Mpigi", 221, "UG.BT"),
(4107, "Mukono", 221, "UG.BV"),
(4108, "Mpigi", 221, "UG.GM"),
(4109, "Masaka", 221, "UG.QA"),
(4110, "Kiboga", 221, "UG.QZ"),
(4111, "Masaka", 221, "UG.LE"),
(4112, "Bugiri", 221, "UG.BI"),
(4113, "Busia", 221, "UG.BU"),
(4114, "Iganga", 221, "UG.IC"),
(4115, "Jinja", 221, "UG.JI"),
(4116, "Kamuli", 221, "UG.QU"),
(4117, "Kapchorwa", 221, "UG.QP"),
(4118, "Katakwi", 221, "UG.KK"),
(4119, "Kumi", 221, "UG.QM"),
(4120, "Mbale", 221, "UG.ME"),
(4121, "Pallisa", 221, "UG.PS"),
(4122, "Soroti", 221, "UG.ST"),
(4123, "Tororo", 221, "UG.TR"),
(4124, "Kaberamaido", 221, "UG.KD"),
(4125, "Mayuge", 221, "UG.MG"),
(4126, "Sironko", 221, "UG.SK"),
(4127, "Amuria", 221, "UG.AM"),
(4128, "Budaka", 221, "UG.BD"),
(4129, "Bukwa", 221, "UG.AI"),
(4130, "Butaleja", 221, "UG.BJ"),
(4131, "Kaliro", 221, "UG.RO"),
(4132, "Manafwa", 221, "UG.MW"),
(4133, "Namutumba", 221, "UG.BK"),
(4134, "Manafwa", 221, "UG.BA"),
(4135, "Kumi", 221, "UG.BE"),
(4136, "Sironko", 221, "UG.BB"),
(4137, "Kamuli", 221, "UG.BY"),
(4138, "Kibuku", 221, "UG.QB"),
(4139, "Kapchorwa", 221, "UG.QW"),
(4140, "Iganga", 221, "UG.LK"),
(4141, "Namayingo", 221, "UG.NY"),
(4142, "Kumi", 221, "UG.NR"),
(4143, "Soroti", 221, "UG.SX"),
(4144, "Adjumani", 221, "UG.AD"),
(4145, "Apac", 221, "UG.AQ"),
(4146, "Arua Municipality", 221, "UG.AX"),
(4147, "Gulu", 221, "UG.GL"),
(4148, "Kitgum", 221, "UG.QT"),
(4149, "Kotido", 221, "UG.KF"),
(4150, "Lira", 221, "UG.LL"),
(4151, "Moroto", 221, "UG.MX"),
(4152, "Moyo", 221, "UG.MY"),
(4153, "Nebbi", 221, "UG.NB"),
(4154, "Nakapiripirit", 221, "UG.NI"),
(4155, "Pader", 221, "UG.PR"),
(4156, "Yumbe", 221, "UG.YU"),
(4157, "Amolatar", 221, "UG.AT"),
(4158, "Kaabong", 221, "UG.AB"),
(4159, "Koboko", 221, "UG.OK"),
(4160, "Abim", 221, "UG.AI"),
(4161, "Dokolo", 221, "UG.DO"),
(4162, "Gulu", 221, "UG.AY"),
(4163, "Maracha", 221, "UG.MH"),
(4164, "Oyam", 221, "UG.OY"),
(4165, "Pader", 221, "UG.AG"),
(4166, "Lira", 221, "UG.AL"),
(4167, "Nakapiripirit", 221, "UG.AZ"),
(4168, "Bushenyi", 221, "UG.BH"),
(4169, "Apac", 221, "UG.QL"),
(4170, "Kitgum", 221, "UG.LM"),
(4171, "Moroto", 221, "UG.NQ"),
(4172, "Nwoya", 221, "UG.NW"),
(4173, "Lira", 221, "UG.OT"),
(4174, "Nebbi", 221, "UG.ZO"),
(4175, "Bundibugyo", 221, "UG.BX"),
(4176, "Bushenyi", 221, "UG.BC"),
(4177, "Hoima", 221, "UG.HO"),
(4178, "Kabale", 221, "UG.KA"),
(4179, "Kabarole", 221, "UG.BR"),
(4180, "Kasese", 221, "UG.KS"),
(4181, "Kibale", 221, "UG.KI"),
(4182, "Kisoro", 221, "UG.KR"),
(4183, "Masindi", 221, "UG.MZ"),
(4184, "Mbarara", 221, "UG.RR"),
(4185, "Ntungamo", 221, "UG.NT"),
(4186, "Rukungiri", 221, "UG.RK"),
(4187, "Kamwenge", 221, "UG.KE"),
(4188, "Kanungu", 221, "UG.UU"),
(4189, "Kyenjojo", 221, "UG.QJ"),
(4190, "Ibanda", 221, "UG.IB"),
(4191, "Isingiro", 221, "UG.NG"),
(4192, "Buliisa", 221, "UG.BL"),
(4193, "Masindi", 221, "UG.QD"),
(4194, "Kyenjojo", 221, "UG.QG"),
(4195, "Bushenyi", 221, "UG.MM"),
(4196, "Bundibugyo", 221, "UG.NO"),
(4197, "Bushenyi", 221, "UG.RZ"),
(4198, "Bushenyi", 221, "UG.SH"),
(4199, "Vinnytsya", 222, "UA.VI"),
(4200, "Volyn", 222, "UA.VO"),
(4201, "Luhans'k", 222, "UA.LH"),
(4202, "Dnipropetrovs'k", 222, "UA.DP"),
(4203, "Donets'k", 222, "UA.DT"),
(4204, "Zhytomyr", 222, "UA.ZT"),
(4205, "Transcarpathia", 222, "UA.ZK"),
(4206, "Zaporizhzhya", 222, "UA.ZP"),
(4207, "Ivano-Frankivs'k", 222, "UA.IF"),
(4208, "Kiev City Municipality", 222, "UA.KC"),
(4209, "Kiev", 222, "UA.KV"),
(4210, "Kirovohrad", 222, "UA.KH"),
(4211, "L'viv", 222, "UA.LV"),
(4212, "Mykolayiv", 222, "UA.MY"),
(4213, "Odessa", 222, "UA.OD"),
(4214, "Poltava", 222, "UA.PL"),
(4215, "Rivne", 222, "UA.RV"),
(4216, "Sumy", 222, "UA.SM"),
(4217, "Ternopil'", 222, "UA.TP"),
(4218, "Kharkiv", 222, "UA.KK"),
(4219, "Kherson Oblast", 222, "UA.KS"),
(4220, "Khmel'nyts'kyy", 222, "UA.KM"),
(4221, "Cherkasy", 222, "UA.CK"),
(4222, "Chernihiv", 222, "UA.CH"),
(4223, "Chernivtsi", 222, "UA.CV"),
(4224, "Johnston Atoll", 223, "UM.JQ"),
(4225, "Midway Islands", 223, "UM.MQ"),
(4226, "Navassa Island", 223, "UM.BQ"),
(4227, "Wake Atoll", 223, "UM.WQ"),
(4228, "Baker Island", 223, "UM.FQ"),
(4229, "Howland Island", 223, "UM.HQ"),
(4230, "Jarvis Island", 223, "UM.DQ"),
(4231, "Palmyra Atoll", 223, "UM.LQ"),
(4232, "Artigas", 224, "UY.AR"),
(4233, "Canelones", 224, "UY.CA"),
(4234, "Cerro Largo", 224, "UY.CL"),
(4235, "Colonia", 224, "UY.CO"),
(4236, "Durazno", 224, "UY.DU"),
(4237, "Florida", 224, "UY.FD"),
(4238, "Flores", 224, "UY.FS"),
(4239, "Lavalleja", 224, "UY.LA"),
(4240, "Maldonado", 224, "UY.MA"),
(4241, "Montevideo", 224, "UY.MO"),
(4242, "PaysandÃº", 224, "UY.PA"),
(4243, "RÃ­o Negro", 224, "UY.RN"),
(4244, "Rocha", 224, "UY.RO"),
(4245, "Rivera", 224, "UY.RV"),
(4246, "Salto", 224, "UY.SA"),
(4247, "San JosÃ©", 224, "UY.SJ"),
(4248, "Soriano", 224, "UY.SO"),
(4249, "TacuarembÃ³", 224, "UY.TA"),
(4250, "Treinta y Tres", 224, "UY.TT"),
(4251, "Alaska", 225, "US.AK"),
(4252, "Alabama", 225, "US.AL"),
(4253, "Arkansas", 225, "US.AR"),
(4254, "Arizona", 225, "US.AZ"),
(4255, "California", 225, "US.CA"),
(4256, "Colorado", 225, "US.CO"),
(4257, "Connecticut", 225, "US.CT"),
(4258, "District of Columbia", 225, "US.DC"),
(4259, "Delaware", 225, "US.DE"),
(4260, "Florida", 225, "US.FL"),
(4261, "Georgia", 225, "US.GA"),
(4262, "Hawaii", 225, "US.HI"),
(4263, "Iowa", 225, "US.IA"),
(4264, "Idaho", 225, "US.ID"),
(4265, "Illinois", 225, "US.IL"),
(4266, "Indiana", 225, "US.IN"),
(4267, "Kansas", 225, "US.KS"),
(4268, "Kentucky", 225, "US.KY"),
(4269, "Louisiana", 225, "US.LA"),
(4270, "Massachusetts", 225, "US.MA"),
(4271, "Maryland", 225, "US.MD"),
(4272, "Maine", 225, "US.ME"),
(4273, "Michigan", 225, "US.MI"),
(4274, "Minnesota", 225, "US.MN"),
(4275, "Missouri", 225, "US.MO"),
(4276, "Mississippi", 225, "US.MS"),
(4277, "Montana", 225, "US.MT"),
(4278, "North Carolina", 225, "US.NC"),
(4279, "North Dakota", 225, "US.ND"),
(4280, "Nebraska", 225, "US.NE"),
(4281, "New Hampshire", 225, "US.NH"),
(4282, "New Jersey", 225, "US.NJ"),
(4283, "New Mexico", 225, "US.NM"),
(4284, "Nevada", 225, "US.NV"),
(4285, "New York", 225, "US.NY"),
(4286, "Ohio", 225, "US.OH"),
(4287, "Oklahoma", 225, "US.OK"),
(4288, "Oregon", 225, "US.OR"),
(4289, "Pennsylvania", 225, "US.PA"),
(4290, "Rhode Island", 225, "US.RI"),
(4291, "South Carolina", 225, "US.SC"),
(4292, "South Dakota", 225, "US.SD"),
(4293, "Tennessee", 225, "US.TN"),
(4294, "Texas", 225, "US.TX"),
(4295, "Utah", 225, "US.UT"),
(4296, "Virginia", 225, "US.VA"),
(4297, "Vermont", 225, "US.VT"),
(4298, "Washington", 225, "US.WA"),
(4299, "Wisconsin", 225, "US.WI"),
(4300, "West Virginia", 225, "US.WV"),
(4301, "Wyoming", 225, "US.WY"),
(4302, "Andijon", 226, "UZ.AN"),
(4303, "Bukhoro", 226, "UZ.BU"),
(4304, "Ferghana", 226, "UZ.FA"),
(4305, "Jizzakh", 226, "UZ.JI"),
(4306, "Namangan", 226, "UZ.NG"),
(4307, "Navoi", 226, "UZ.NW"),
(4308, "Kashkadarya", 226, "UZ.QA"),
(4309, "Karakalpakstan", 226, "UZ.QR"),
(4310, "Samarkand", 226, "UZ.SA"),
(4311, "Sirdaryo", 226, "UZ.SI"),
(4312, "Surkhandarya", 226, "UZ.SU"),
(4313, "Tashkent", 226, "UZ.TA"),
(4314, "Tashkent", 226, "UZ.TA"),
(4315, "Khorezm", 226, "UZ.KH"),
(4316, "Vatican", 227, "VA.X01~"),
(4317, "Charlotte", 228, "VC.CH"),
(4318, "Saint Andrew", 228, "VC.AN"),
(4319, "Saint David", 228, "VC.DA"),
(4320, "Saint George", 228, "VC.GE"),
(4321, "Saint Patrick", 228, "VC.PA"),
(4322, "Grenadines", 228, "VC.GT"),
(4323, "Distrito Capital", 229, "VE.DF"),
(4324, "AnzoÃ¡tegui", 229, "VE.AN"),
(4325, "Apure", 229, "VE.AP"),
(4326, "Aragua", 229, "VE.AR"),
(4327, "Barinas", 229, "VE.BA"),
(4328, "BolÃ­var", 229, "VE.BO"),
(4329, "Carabobo", 229, "VE.CA"),
(4330, "Cojedes", 229, "VE.CO"),
(4331, "FalcÃ³n", 229, "VE.FA"),
(4332, "GuÃ¡rico", 229, "VE.GU"),
(4333, "Lara", 229, "VE.LA"),
(4334, "MÃ©rida", 229, "VE.ME"),
(4335, "Miranda", 229, "VE.MI"),
(4336, "Monagas", 229, "VE.MO"),
(4337, "Nueva Esparta", 229, "VE.NE"),
(4338, "Portuguesa", 229, "VE.PO"),
(4339, "Sucre", 229, "VE.SU"),
(4340, "TÃ¡chira", 229, "VE.TA"),
(4341, "Trujillo", 229, "VE.TR"),
(4342, "Yaracuy", 229, "VE.YA"),
(4343, "Zulia", 229, "VE.ZU"),
(4344, "Dependencias Federales", 229, "VE.DP"),
(4345, "Vargas", 229, "VE.VA"),
(4346, "VE.X01~", 229, "VE.X01~"),
(4347, "Delta Amacuro", 229, "VE.DA"),
(4348, "Amazonas", 229, "VE.AM"),
(4349, "British Virgin Islands", 230, "VG.VI"),
(4350, "Saint Croix Island", 231, "VI.SC"),
(4351, "Saint Thomas Island", 231, "VI.ST"),
(4352, "Saint John Island", 231, "VI.SJ"),
(4353, "Lai Chau", 232, "VN.LI"),
(4354, "LÃ o Cai", 232, "VN.LO"),
(4355, "HÃ  Giang", 232, "VN.HG"),
(4356, "Cao Báº±ng", 232, "VN.CB"),
(4357, "Son La", 232, "VN.SL"),
(4358, "YÃªn BÃ¡i", 232, "VN.YB"),
(4359, "TuyÃªn Quang", 232, "VN.TQ"),
(4360, "Láº¡ng SÆ¡n", 232, "VN.LS"),
(4361, "Quáº£ng Ninh", 232, "VN.QN"),
(4362, "HÃ²a BÃ¬nh", 232, "VN.HO"),
(4363, "Ninh BÃ¬nh", 232, "VN.NB"),
(4364, "ThÃ¡i BÃ¬nh", 232, "VN.TB"),
(4365, "Thanh HÃ³a", 232, "VN.TH"),
(4366, "Nghá» An", 232, "VN.NA"),
(4367, "Ha Tinh", 232, "VN.HT"),
(4368, "Quáº£ng BÃ¬nh", 232, "VN.QB"),
(4369, "Quáº£ng Trá»", 232, "VN.QT"),
(4370, "Thá»«a ThiÃªn - Huáº¿", 232, "VN.TT"),
(4371, "QuÃ ng Nam", 232, "VN.QM"),
(4372, "Kon Tum", 232, "VN.KT"),
(4373, "Quáº£ng NgÃ£i", 232, "VN.QG"),
(4374, "Gia Lai", 232, "VN.GL"),
(4375, "BÃ¬nh Äá»nh", 232, "VN.BD"),
(4376, "PhÃº YÃªn", 232, "VN.PY"),
(4377, "Dak Lak", 232, "VN.DC"),
(4378, "KhÃ¡nh HÃ²a", 232, "VN.KH"),
(4379, "LÃ¢m Äá»ng", 232, "VN.LD"),
(4380, "Ninh Thuáº­n", 232, "VN.NT"),
(4381, "TÃ¢y Ninh", 232, "VN.TN"),
(4382, "ÄÃ´ng Nam Bá»", 232, "VN.DN"),
(4383, "BÃ¬nh Thuáº­n", 232, "VN.BU"),
(4384, "Long An", 232, "VN.LA"),
(4385, "BÃ  Rá»a - VÅ©ng TÃ u", 232, "VN.BV"),
(4386, "An Giang", 232, "VN.AG"),
(4387, "Ã?ng ThÃ¡p", 232, "VN.DT"),
(4388, "Tien Giang", 232, "VN.TG"),
(4389, "KiÃªn Giang", 232, "VN.KG"),
(4390, "VÄ©nh Long", 232, "VN.VL"),
(4391, "Báº¿n Tre", 232, "VN.BR"),
(4392, "TrÃ  Vinh", 232, "VN.TV"),
(4393, "SÃ³c TrÄng", 232, "VN.ST"),
(4394, "ÄÃ´ng Báº¯c", 232, "VN.BK"),
(4395, "Báº¯c Giang", 232, "VN.BG"),
(4396, "Báº¡c LiÃªu", 232, "VN.BL"),
(4397, "Báº¯c Ninh", 232, "VN.BN"),
(4398, "BÃ¬nh DÆ°Æ¡ng", 232, "VN.BI"),
(4399, "BÃ¬nh PhÆ°á»c", 232, "VN.BP"),
(4400, "CÃ  Mau", 232, "VN.CM"),
(4401, "Háº£i DÆ°Æ¡ng", 232, "VN.HD"),
(4402, "HÃ  Nam", 232, "VN.HM"),
(4403, "Äá»ng Báº±ng SÃ´ng Há»ng", 232, "VN.HY"),
(4404, "Nam Äá»nh", 232, "VN.ND"),
(4405, "PhÃº Thá»", 232, "VN.PT"),
(4406, "ThÃ¡i NguyÃªn", 232, "VN.TY"),
(4407, "VÄ©nh PhÃºc", 232, "VN.VC"),
(4408, "Äiá»n BiÃªn", 232, "VN.DB"),
(4409, "Dac Nong", 232, "VN.DO"),
(4410, "Hau Giang", 232, "VN.HU"),
(4411, "Can Tho", 232, "VN.CN"),
(4412, "ÄÃ  Náºµng", 232, "VN.DA"),
(4413, "Ha Noi", 232, "VN.HI"),
(4414, "Háº£i PhÃ²ng", 232, "VN.HP"),
(4415, "Há» ChÃ­ Minh city", 232, "VN.HC"),
(4416, "Malampa", 233, "VU.ML"),
(4417, "Penama", 233, "VU.PM"),
(4418, "Sanma", 233, "VU.SN"),
(4419, "Shefa", 233, "VU.SE"),
(4420, "Tafea", 233, "VU.TF"),
(4421, "Torba", 233, "VU.TR"),
(4422, "Alo", 234, "WF.AL"),
(4423, "Singave", 234, "WF.SI"),
(4424, "Hahake", 234, "WF.UV"),
(4425, "A`ana", 235, "WS.AA"),
(4426, "Aiga-i-le-Tai", 235, "WS.AL"),
(4427, "Atua", 235, "WS.AT"),
(4428, "Fa`asaleleaga", 235, "WS.FA"),
(4429, "Gaga`emauga", 235, "WS.GE"),
(4430, "Gagaifomauga", 235, "WS.GI"),
(4431, "Palauli", 235, "WS.PA"),
(4432, "Satupa`itea", 235, "WS.SA"),
(4433, "Tuamasaga", 235, "WS.TU"),
(4434, "Va`a-o-Fonoti", 235, "WS.VF"),
(4435, "Vaisigano", 235, "WS.VS"),
(4436, "Abyan", 236, "YE.AB"),
(4437, "`Adan", 236, "YE.AD"),
(4438, "'Amran", 236, "YE.AM"),
(4439, "Al Bayda'", 236, "YE.BA"),
(4440, "Ad¸ D¸ali'", 236, "YE.DL"),
(4441, "Dhamar", 236, "YE.DH"),
(4442, "Hadramawt", 236, "YE.HA"),
(4443, "Hajjah", 236, "YE.HJ"),
(4444, "Al Hudaydah", 236, "YE.HU"),
(4445, "Ibb", 236, "YE.IB"),
(4446, "Al Jawf", 236, "YE.JA"),
(4447, "Lahij", 236, "YE.LA"),
(4448, "Ma'rib", 236, "YE.MA"),
(4449, "Al Mahrah", 236, "YE.MR"),
(4450, "Al Mahwit", 236, "YE.MW"),
(4451, "Raymah", 236, "YE.RM"),
(4452, "Amanat Al Asimah", 236, "YE.SA"),
(4453, "Sa`dah", 236, "YE.SD"),
(4454, "Shabwah", 236, "YE.SH"),
(4455, "Sana'a", 236, "YE.NA"),
(4456, "Ta`izz", 236, "YE.TA"),
(4457, "Eastern Cape", 237, "ZA.EC"),
(4458, "Orange Free State", 237, "ZA.FS"),
(4459, "Gauteng", 237, "ZA.GT"),
(4460, "Limpopo", 237, "ZA.NP"),
(4461, "Mpumalanga", 237, "ZA.MP"),
(4462, "Northern Cape", 237, "ZA.NC"),
(4463, "KwaZulu-Natal", 237, "ZA.NL"),
(4464, "North West", 237, "ZA.NW"),
(4465, "Western Cape", 237, "ZA.WC"),
(4466, "Western", 238, "ZM.WE"),
(4467, "Central", 238, "ZM.CE"),
(4468, "Eastern", 238, "ZM.ES"),
(4469, "Luapula", 238, "ZM.LP"),
(4470, "Northern", 238, "ZM.NR"),
(4471, "North-Western", 238, "ZM.NW"),
(4472, "Southern", 238, "ZM.SO"),
(4473, "Copperbelt", 238, "ZM.CO"),
(4474, "Lusaka", 238, "ZM.LS"),
(4475, "Northern", 238, "ZM.MU"),
(4476, "Bulawayo", 239, "ZW.BU"),
(4477, "Harare", 239, "ZW.HA"),
(4478, "Manicaland", 239, "ZW.MA"),
(4479, "Mashonaland Central", 239, "ZW.MC"),
(4480, "Mashonaland East", 239, "ZW.ME"),
(4481, "Midlands", 239, "ZW.MI"),
(4482, "Matabeleland North", 239, "ZW.MN"),
(4483, "Matabeleland South", 239, "ZW.MS"),
(4484, "Masvingo", 239, "ZW.MV"),
(4485, "Mashonaland West", 239, "ZW.MW"),
(4486, "Clipperton Island", 242, "-99.X02~"),
(4487, "Coral Sea Islands", 244, "-99.X03~"),
(4488, "Cyprus TRNC", 245, "-99.X04~"),
(4489, "Dhekelia", 246, "-99.X16~"),
(4490, "Christmas Island", 247, "-99.X14~"),
(4491, "Baykonur lease in Qyzylorda", 248, "-99.X05~"),
(4492, "Kashmir", 249, "-99.X06~"),
(4493, "Spratly Islands", 250, "-99.X08~"),
(4494, "Somaliland", 253, "-99.X11~"),
(4495, "Guantanamo Bay USNB", 254, "-99.X13~"),
(4496, "Akrotiri", 255, "-99.X17~");